2009-11-02 08:48  fillods

	* configure.ac.ltv2: update

2009-11-01 22:43  fillods

	* kit/si570avrusb.c: fix warning

2009-11-01 22:39  fillods

	* src/iofunc.c: fix corner case in port_close()

2009-11-01 22:37  fillods

	* tentec/jupiter.c: RIG_STATUS_BETA

2009-11-01 22:35  fillods

	* flexradio/dttsp.c: fix warning (WIP)

2009-11-01 22:35  fillods

	* tentec/paragon.c: comments

2009-11-01 22:31  fillods

	* AUTHORS: New entries before 1.2.10 release

2009-11-01 22:15  fillods

	* tentec/rx320.c: * more get_levels
	  * rx range for ITU region 1
	  * status as STABLE
	  * bump version

2009-11-01 22:09  fillods

	* tentec/rx340.c: bump version

2009-11-01 22:03  fillods

	* bindings/ignore.swg: SPID backend

2009-11-01 18:48  fillods

	* src/parallel.c, src/rig.c: convert parallel ptt to cwdaemon
	  interface(STROBE+INIT)

2009-11-01 14:45  fillods

	* configure.ac, kit/Makefile.am: check CXX presence, compile .cc
	  files conditionaly (usrp_impl.cc)

2009-11-01 13:05  fillods

	* icom/ic718.c: IC-718 has no PTT control

2009-10-31 17:39  fillods

	* icom/ic706.c: IC706MkIIG: range_list for ITU region 1

2009-10-30 23:43  fillods

	* flexradio/dttsp.c: UDP interface support besides IPC

2009-10-30 17:59  n0nb

	* configure.ac, src/Makefile.am: OSX patches from Stelios, M0GLD

2009-10-28 15:13  aa6e

	* autofixer.sh: repair echo cmd

2009-10-27 22:57  fillods

	* tentec/tentec.h: duplicated proto

2009-10-27 22:43  fillods

	* include/hamlib/riglist.h: new RIG_MODEL_ARMSTRONG

2009-10-17 15:32  fillods

	* icom/ic756.c: * fix ts_sc_list
	  * IC756PROIII: PARM's, VFO list, MEM_CAP, attenuator list,
	  OP_TUNE, antennas, filter list

2009-10-17 15:31  fillods

	* icom/icom.c: * more antennas/formats in icom_set_ant/icom_get_ant
	  * support for RIG_OP_TUNE
	  * experimental icom_set_dsp_flt()

2009-10-17 15:24  fillods

	* icom/ic7800.c: fix special LEVEL_ATT for IC7800

2009-10-17 10:48  fillods

	* icom/ic718.c: reverse modes, level list, mem caps, PTT_RIG, freq
	  range region 1, no ctcss, no rptr

2009-10-17 10:42  fillods

	* include/hamlib/riglist.h: IC7700, PM-SDR

2009-09-27 21:22  fillods

	* tuner/v4l.c: fix set_freq, patch from Julian Cable

2009-09-27 12:02  n0nb

	* tentec/jupiter.c: Patch from Ken Prox, "Added new filters
	  included in the latest Jupiter
	  firmware. Fixed array over run in function tt538_filter_number."

2009-09-22 10:07  fillods

	* include/hamlib/rotlist.h: new GS232 controller (not A or B)

2009-09-14 21:22  fillods

	* aor/aor.c, aor/ar8000.c: Patch ID:2845171 "Initial changes to get
	  the AOR8000 working"
	  by JohnU (johncunderwood)

2009-09-14 07:49  fillods

	* src/iofunc.c, src/iofunc.h, src/rig.c: factorize
	  port_open/port_close, fix a bug when setting RTS/DTR

2009-09-14 07:37  fillods

	* kit/si570avrusb.c: check USB device for vendor name/product,
	  set/get freq by value with PE0FKO's firmware

2009-09-14 07:32  fillods

	* include/hamlib/rig.h, src/usb_port.c: allow check of vendor name
	  and product string when looking for USB device

2009-09-14 07:30  fillods

	* spid/spid.c: set status as BETA

2009-09-14 07:30  fillods

	* gs232a/gs232a.c: better error handling

2009-09-14 07:27  fillods

	* tests/rigmem.1, tests/rigmem.c: check for memory support

2009-09-14 07:25  fillods

	* src/register.c: fix thinko about rig_check_backend_version

2009-09-08 07:51  fillods

	* kit/si570avrusb.c: BPF support, PTT fix

2009-09-05 09:08  fillods

	* kit/si570avrusb.c: fix Hz vs. MHz freq

2009-09-04 21:52  fillods

	* kit/Makefile.am, kit/kit.c, kit/kit.h, kit/si570avrusb.c,
	  kit/si570avrusb.h: initial release of SoftRock Si570, based on
	  usbsoftrock-0.5 by VK6JBL

2009-09-04 21:30  fillods

	* src/register.c, src/register.h: use define ABI_VERSION when
	  declaring backends, patch by Stelios Bounanos M0GLD

2009-08-19 14:17  mrtembry

	* yaesu/newcat.c: changed time delay for mem channels

2009-08-04 15:21  fillods

	* pcr/pcr.c, pcr/pcr.h, pcr/pcr1000.c, pcr/pcr1500.c: - implemented
	  RIG_FUNC_AFC
	  - fixed some PCR1000 filter list, added set/get_powerstat
	  - wire up RIG_LEVEL_CWPITCH and RIG_FUNC_VSC
	  - moved some prototypes to pcr.c

2009-08-03 22:13  fillods

	* tentec/rx340.c: implementation from RX340 manual

2009-08-03 15:32  fillods

	* rs/esmc.c, rs/rs.c, rs/rs.h: freq, mode, func, some levels,
	  get_info, still untested

2009-08-02 16:15  fillods

	* pcr/Makefile.am, pcr/pcr.c, pcr/pcr.h, pcr/pcr1500.c: PCR-1500
	  support

2009-08-02 15:24  fillods

	* include/hamlib/riglist.h: PCR1500 & PCR2500

2009-07-02 15:38  nj8j

	* AUTHORS: Change email address for NJ8J

2009-06-23 21:00  fillods

	* include/Makefile.am, include/num_stdio.h, kenwood/th.c: Wrap
	  sscanf in order to workaround some locales where the decimal
	  separator (float format, ...) is not a dot.

2009-06-23 20:55  fillods

	* kenwood/kenwood.c, kenwood/kenwood.h: * remove 17500 mistakenly
	  put into kenwood38_ctcss_list
	  * basic automatic split vfo targeting

2009-06-23 20:30  fillods

	* src/cal.c, src/event.c, src/iofunc.c, tests/sprintflst.c:
	  copyright clarification

2009-06-07 16:48  fillods

	* icom/ic7000.c: fix copy/paste bug on set_mem

2009-06-03 18:21  n0nb

	* configure.ac: Adding configure.ac back in as Stephane appears to
	  be working on the
	  libtool issue.

2009-06-03 18:01  n0nb

	* README.developer, configure.ac: configure.ac superceded by
	  configure.ac.ltv2 and configure.ac.ltv2 so
	  removing to avoid confusion. Updated README.developer to reflect
	  these
	  new files when adding a new backend.

2009-06-03 17:48  n0nb

	* configure.ac.ltv1, configure.ac.ltv2: Add spid backend to fix
	  build error.

2009-06-01 17:05  fillods

	* autogen.sh: autodetect libtool v1 vs. v2 invocation

2009-06-01 17:02  fillods

	* src/serial.c: While we're at it, add support for 150 bps serial
	  devices

2009-06-01 16:58  fillods

	* icom/ic7000.c, icom/icom.c, icom/icom.h: * Bug fixed in
	  icom_set_ctcss_tone and icom_set_ctcss_sql, reported by Joe
	  KJ0EYT.
	  * New: icom_set_dcs_code/icom_get_dcs_code
	  * More declarations for IC-7000

2009-06-01 16:51  fillods

	* kenwood/thf7.c, src/tones.c, src/tones.h, yaesu/ft817.c,
	  yaesu/ft857.c, yaesu/ft897.c: variable common_dcs_list[] with 104
	  DCS codes

2009-06-01 13:58  fillods

	* gs232a/gs232a.c: Bug fix in set_pos about protocol compliance.
	  Problem seen
	  with the Alpha SPID BIG-RAS rotator by Magne / LA1BFA.
	  In get_pos, changed angle parsing in order to do away with
	  float parsing of an interger only value.

2009-06-01 10:28  fillods

	* AUTHORS, Makefile.am, configure.ac, include/hamlib/rotlist.h,
	  spid, spid/Makefile.am, spid/spid.c, spid/spid.h, spid/spid.txt:
	  Support for the SPID Rot2Prog rotator controller, by Norvald H.
	  Ryeng, LA6YKA

2009-05-18 18:39  fillods

	* src/serial.c: Add support for 600 bps serial devices, SF ID:
	  2793000, patch by Magne, LA1BFA

2009-05-17 17:47  y32kn

	* icom/ic910.c: fixed wrong spelling of RIG_VFO_MAIN and
	  RIG_VFO_SUB

2009-05-17 10:48  y32kn

	* icom/icom.c: fixed evaluation of parameters for icom_get_dcd()

2009-05-15 18:21  aa6e

	* autofixer.sh: minor update

2009-05-15 14:05  y32kn

	* icom/ic910.c: Enable setting of MAIN and SUB vfo from 'V' command
	  in rigctl/d

2009-05-14 20:08  aa6e

	* autofixer.sh, autogen.sh.ltv1, autogen.sh.ltv2,
	  configure.ac.ltv1, configure.ac.ltv2: autofixer.sh supportin
	  libtool v1 and v2

2009-05-14 20:06  aa6e

	* README.developer: Autofixer sets up for libtool v1 or v2

2009-04-30 22:38  mrtembry

	* yaesu/newcat.c: Changed delay for memmory channels

2009-04-29 18:31  fillods

	* autogen.sh, configure.ac: Update libtool support, patch by Priit
	  ES0PLS

2009-04-22 20:43  fillods

	* tentec/Makefile.am, tentec/paragon.c, tentec/tentec.c,
	  tentec/tentec.h: Skeleton for TT-585 Paragon

2009-04-15 17:34  fillods

	* src/conf.c, src/token.h: make ptt/dcd override accessible trough
	  set_conf/get_conf

2009-03-26 12:05  jawatson

	* icom/ic7200.c: Corrected modes in ic7200.c

2009-03-25 19:33  jawatson

	* icom/Makefile.am, icom/ic7200.c, icom/icom.c, icom/icom.h: Added
	  ic7200 to icom

2009-03-25 18:21  fillods

	* yaesu/ft920.c: Data USB in narrow mode patch, by nh7o

2009-03-23 22:49  fillods

	* bindings/Makefile.am, configure.ac, macros/tcl.m4: Make building
	  tcl-bindings optional

2009-03-23 22:39  fillods

	* kenwood/k2.c: fixes and more features (split, ant, levels, ..)

2009-03-23 22:26  fillods

	* include/hamlib/riglist.h, uniden/Makefile.am, uniden/bc898.c,
	  uniden/uniden.c, uniden/uniden.h: BC898 cloned after BC895

2009-03-23 19:18  fillods

	* macros/Makefile.am: files removed by previous libxml2 and
	  pkg-config patchs, thanks to Priit Laes

2009-03-21 18:17  aa6e

	* tentec/orion.c: Init revision - tnx Stephane

2009-03-21 11:32  fillods

	* configure.ac, macros/pkg.m4: Get rid of included pkg-config
	  macros and use system one. Patch by Priit Laes

2009-03-21 11:25  fillods

	* configure.ac: make missing libxml-2.0 non fatal

2009-03-21 11:19  fillods

	* configure.ac, macros/libxml2.m4, tests/Makefile.am: Use
	  pkg-config check for libxml2 instead of ancient m4 macro, patch
	  by Priit Laes

2009-03-21 11:07  fillods

	* Makefile.am, configure.ac, rs, rs/Makefile.am, rs/esmc.c,
	  rs/rs.c, rs/rs.h: R&S skelton backend

2009-03-07 03:30  n0nb

	* README, README.betatester, README.developer, README.release:
	  Update files for SVN information and commands.

2009-03-07 02:42  n0nb

	* configure.ac: Bump release version to 1.2.10svn

2009-03-05 21:08  fillods

	* libltdl/COPYING.LIB, libltdl/Makefile.am, libltdl/Makefile.in,
	  libltdl/aclocal.m4, libltdl/config-h.in, libltdl/config.guess,
	  libltdl/config.sub, libltdl/configure, libltdl/configure.ac,
	  libltdl/install-sh, libltdl/ltdl.c, libltdl/ltdl.h,
	  libltdl/ltmain.sh, libltdl/missing, ltmain.sh: update to libtool
	  1.5.26 Debian 1.5.26-1ubuntu1 (1.1220.2.493 2008/02/01 16:58:18)

2009-03-05 15:45  fillods

	* bindings/ignore.swg, include/hamlib/riglist.h: add IC-7200 and
	  R&S ESMC

2009-03-05 14:14  fillods

	* include/hamlib/rig_dll.h: fix static build and backend loading
	  for mingw32

2009-02-26 23:04  mrtembry

	* yaesu/newcat.c: Adjusted backup, restore delay

2009-02-25 19:19  fillods

	* src/Makefile.am: get ready for next round

2009-02-25 19:16  fillods

	* configure.ac: get ready for next round (1.2.10)

2009-02-25 19:15  fillods

	* ChangeLog, NEWS, configure.ac: Update for 1.2.9 release

2009-02-23 22:03  fillods

	* libltdl/Makefile.in: build fix

2009-02-23 21:53  fillods

	* racal/racal.c: fix warning with old compilers

2009-02-23 21:52  fillods

	* yaesu/newcat.c: old compilers don't like mixed variable
	  declaration and code

2009-02-20 15:21  fillods

	* tentec/orion.h, yaesu/ft1000d.c, yaesu/ft757gx.c: increase
	  version number

2009-02-20 14:20  fillods

	* icom/ic706.c: bug in ic706_r2i_mode()

2009-02-20 14:19  fillods

	* kenwood/ts140.c: fix warning

2009-02-20 14:14  fillods

	* include/hamlib/rig.h, src/rig.c: set/get_split_{freq,mode}
	  assisted by frontend

2009-02-20 12:40  fillods

	* yaesu/ft757gx.c: cosmetic

2009-02-20 12:39  fillods

	* yaesu/ft2000.h, yaesu/ft9000.h: add RIG_LEVEL_NOTCHF

2009-02-20 12:38  fillods

	* winradio/g303.c, winradio/g305.c: remove double binding of dll
	  symbol

2009-02-20 12:33  fillods

	* yaesu/ft847.c, yaesu/ft847.h: * big cleanup and error code
	  checking
	  * implemented:
	  - split operation through SAT mode
	  - get_dcd/get_ptt
	  - get_level: ALC

2009-02-20 12:28  fillods

	* yaesu/ft100.c: fix tx_range_list2 power range

2009-02-20 12:27  fillods

	* yaesu/ft747.c: passband width setting, and return code checking

2009-02-20 12:26  fillods

	* yaesu/ft857.h: added split operation

2009-02-20 12:26  fillods

	* src/locator.c, src/mem.c, src/rotator.c, src/settings.c,
	  src/tones.c, tests/rigmem.1, tests/rigsmtr.1, tests/rigswr.1:
	  copyright year

2009-02-20 12:23  fillods

	* rft/ekd500.c: new URL for documentation

2009-02-20 12:22  fillods

	* lib/termios.c: fix DEBUG_VERBOSE code

2009-02-20 12:22  fillods

	* kenwood/ts850.c: TS-850 has skip flag in mem caps

2009-02-20 10:33  fillods

	* kenwood/ts790.c: * split opertation
	  * set/get_channel
	  * scanning

2009-02-20 09:55  fillods

	* yaesu/ft857.c: added split operation

2009-02-18 22:51  fillods

	* jrc/Makefile.am, jrc/jrc.c, jrc/jrc.h, jrc/nrd525.c: added
	  NRD-525

2009-02-18 20:56  fillods

	* dummy/Makefile.am, dummy/rot_dummy.c: emulate rotator slowly
	  rotating

2009-02-17 23:01  fillods

	* dummy/netrotctl.c: fix stupid bug in netrotctl_open

2009-02-17 08:03  fillods

	* tests/sprintflst.c: typo

2009-02-17 08:03  fillods

	* tests/rotctl.c: report hamlib version upon startup

2009-02-15 09:54  mrtembry

	* yaesu/newcat.c: Added delays for first time through mem write

2009-02-14 21:33  aa6e

	* tentec/orion.c: Downgrade ERR to WARN (i/o retry)

2009-02-14 16:46  fillods

	* yaesu/ft100.c, yaesu/ft100.h: * big cleanup
	  * implemented:
	  - ft100_get_ptt
	  - ft100_get_split_vfo
	  - get_level: RIG_LEVEL_MICGAIN, RIG_LEVEL_SQL
	  - implement width in set_mode

2009-02-14 00:26  fillods

	* yaesu/Makefile.am, yaesu/ft100.c, yaesu/ft100.h,
	  yaesu/yaesu_tones.h: * redo the ft100 set_ctcss/set_dcs with
	  appropriate list, yaesu_tones.h no more needed
	  * change P1 of FT100's Status Update. Returned data seems longer
	  than documented.
	  * populate FT100's bandplan of ITU Region 1
	  * some error code checking

2009-02-13 19:34  azummo

	* kenwood/kenwood.c: band up/down was inverted

2009-02-13 19:29  azummo

	* kenwood/kenwood.c, kenwood/th.c, kenwood/ts680.c: style fixes

2009-02-11 19:26  aa6e

	* tentec/orion.c: Minor comment re rit/xit

2009-02-10 22:51  fillods

	* kenwood/k3.c: closer look at the K3, still untested

2009-02-10 22:48  fillods

	* kenwood/kenwood.c, kenwood/kenwood.h: * implemented
	  RIG_LEVEL_KEYSPD and RIG_LEVEL_PREAMP
	  * fixed RIG_LEVEL_ATT
	  * fix kenwood_set_channel prototype

2009-02-09 20:59  azummo

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts850.c: check ptt
	  status before set_ptt. enabled on ts850.

2009-02-09 20:37  azummo

	* kenwood/kenwood.c: removed comment about switch optimizatons. the
	  compiler will generate the
	  assembly code in a different order which is usually based on the
	  case value.
	  other compiler optimizations might also affect it, so it's
	  useless to optimize
	  the order.

2009-02-09 20:37  azummo

	* AUTHORS: Added my call sign

2009-02-06 17:31  fillods

	* pcr/pcr.c, pcr/pcr.h, pcr/pcr100.c: support ANL through ext_level

2009-02-06 17:28  fillods

	* tests/rigctl_parse.c: added RIG_CONF_BUTTON

2009-02-06 17:27  fillods

	* dummy/dummy.c, dummy/dummy.h: new RIG_CONF_BUTTON example,
	  renamed the other ext_levels

2009-02-06 17:11  fillods

	* AUTHORS: Add Alessandro Zummo

2009-02-06 14:15  azummo

	* include/hamlib/rig.h, kenwood/kenwood.c, kenwood/kenwood.h,
	  kenwood/ts450s.c, kenwood/ts850.c: implemented set/get_ext_param
	  (voice, fine, xit, rit). enabled on ts450 and
	  ts850

2009-02-05 21:05  azummo

	* kenwood/kenwood.c: Add description for the kenwood mode n. 8

2009-02-03 23:42  azummo

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts850.c: generic,
	  ts850: implemented CTCSS TN command (reported not working for
	  ts850,
	  should now be fixed)

2009-02-03 23:22  azummo

	* kenwood/ic10.c, kenwood/kenwood.c, kenwood/th.c, kenwood/thf7.c,
	  kenwood/thg71.c, kenwood/tmv7.c, kenwood/ts2000.c,
	  kenwood/ts2k.c, kenwood/ts2k_menu.c, kenwood/ts570.c,
	  kenwood/ts850.c, kenwood/ts870s.c: Replace __FUNCTION__, which is
	  gcc specific and was deprecated
	  a long time ago, with __func__, which is at least defined in C99.

2009-02-03 22:56  azummo

	* kenwood/ts140.c, kenwood/ts480.c, kenwood/ts570.c,
	  kenwood/ts680.c, kenwood/ts850.c, kenwood/ts870s.c:
	  ts570,ts850,ts870s,ts140,ts480,ts680: use kenwood_simple_cmd
	  where possible

2009-02-03 22:47  azummo

	* kenwood/kenwood.c: remove unused parameter from get_kenwood_func

2009-02-03 22:45  azummo

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts450s.c: ts450:
	  implement set_channel

2009-02-03 22:42  azummo

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/thg71.c,
	  kenwood/tmv7.c, kenwood/ts450s.c, kenwood/ts690.c:
	  thg71,tmv7,ts450s,ts690: verify rig id at rig_open

2009-02-03 22:33  azummo

	* kenwood/kenwood.c: fix tabs

2009-02-03 22:13  azummo

	* kenwood/ts140.c, kenwood/ts2000.c, kenwood/ts480.c,
	  kenwood/ts570.c, kenwood/ts680.c, kenwood/ts850.c,
	  kenwood/ts870s.c: ts140,ts2000,ts480,ts570,ts680,ts850,ts870s:
	  remove usage of fixed ; and EOM

2009-02-03 11:25  azummo

	* kenwood/kenwood.c: remove fixed command terminator (;) from
	  generic code

2009-02-02 20:33  azummo

	* kenwood/ts450s.c: ts450: indentation fixes

2009-02-02 20:30  azummo

	* kenwood/kenwood.c, kenwood/ts850.c: ts450,ts690,ts850: use FL
	  command to get/set filters in get/set_mode. (code from ts850.c)

2009-02-02 20:28  azummo

	* kenwood/ts450s.c: ts450: remove RIG_FUNC_TONE from has_xx_func if
	  tone unit is not detected

2009-02-02 07:30  azummo

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts570.c: Make
	  set_ptt behave as before, fix set_ant for ts570.c

2009-02-02 07:29  azummo

	* kenwood/kenwood.c, kenwood/kenwood.h: Add kenwood_simple_cmd

2009-01-29 22:54  fillods

	* include/hamlib/riglist.h, kenwood/Makefile.am, kenwood/kenwood.c,
	  kenwood/kenwood.h, kenwood/trc80.c: added Kenwood TRC-80

2009-01-29 19:50  azummo

	* pcr/pcr.c, pcr/pcr.h, pcr/pcr100.c: Support get/set_powerstat on
	  pcr100

2009-01-29 08:41  azummo

	* kenwood/kenwood.c: Use an appropriate debug level

2009-01-28 23:31  azummo

	* kenwood/ts570.c, kenwood/ts690.c: Call kenwood_init in each and
	  every driver

2009-01-28 23:30  azummo

	* kenwood/k2.c, kenwood/k3.c, kenwood/r5000.c, kenwood/th.c,
	  kenwood/thd7.c, kenwood/thf7.c, kenwood/thg71.c,
	  kenwood/tmd700.c, kenwood/tmv7.c, kenwood/ts140.c,
	  kenwood/ts2000.c, kenwood/ts440.c, kenwood/ts480.c,
	  kenwood/ts50s.c, kenwood/ts570.c, kenwood/ts680.c,
	  kenwood/ts690.c, kenwood/ts711.c, kenwood/ts790.c,
	  kenwood/ts811.c, kenwood/ts850.c, kenwood/ts870s.c,
	  kenwood/ts930.c, kenwood/ts940.c, kenwood/ts950.c: Remove const
	  from priv_caps to allow kenwood_init to initialize default values
	  if they're missing

2009-01-28 22:53  fillods

	* dummy/dummy.c, dummy/dummy.h: * Extra levels and extra parms
	  * dummy backend now has 2 antennas

2009-01-28 22:49  fillods

	* tests/dumpcaps.c: fix segfault with extra levels

2009-01-27 19:05  fillods

	* pcr/Makefile.am, pcr/pcr.c, pcr/pcr.h, pcr/pcr100.c,
	  pcr/pcr1000.c: pcr patch from Alessandro Zummo, with more
	  reliability and new features:
	  * CTCSS tone squelch
	  * selectable baud rate (300 - 38400)
	  * ANL - Automatic Noise Limiter (commented out, until created in
	  frontend)
	  * simplified and cleaned up code
	  * RIG_LEVEL_STRENGTH
	  * RIG_LEVEL_RAWSTR

2009-01-25 16:23  fillods

	* include/hamlib/rig.h: better documentation of enum rig_errcode_e

2009-01-25 16:14  fillods

	* rotorez/rotorez.c, rotorez/rotorez.h: enumaration of backend
	  tokens

2009-01-25 15:39  fillods

	* src/rot_conf.c: argument checking in rot_set_conf

2009-01-25 14:25  fillods

	* src/conf.c: argument checking in rig_set_conf, patch from Zhang
	  Bo + edit

2009-01-24 13:33  fillods

	* Makefile.am, configure.ac: do not distribute any more the
	  gnuradio backend (out of date)

2009-01-23 03:24  n0nb

	* kenwood/ic10.c, kenwood/k2.c, kenwood/k3.c, kenwood/kenwood.c,
	  kenwood/kenwood.h, kenwood/r5000.c, kenwood/th.c, kenwood/thd7.c,
	  kenwood/thf7.c, kenwood/thg71.c, kenwood/tmd700.c,
	  kenwood/tmv7.c, kenwood/ts140.c, kenwood/ts2000.c,
	  kenwood/ts2k.c, kenwood/ts440.c, kenwood/ts450s.c,
	  kenwood/ts480.c, kenwood/ts50s.c, kenwood/ts570.c,
	  kenwood/ts680.c, kenwood/ts690.c, kenwood/ts711.c,
	  kenwood/ts790.c, kenwood/ts811.c, kenwood/ts850.c,
	  kenwood/ts870s.c, kenwood/ts930.c, kenwood/ts940.c,
	  kenwood/ts950.c: Several Kenwood patches from Alessandro Zummo,
	  azummo-lists@towertech.it
	  
	  Among the changes:
	  
	  I finally had the time to build the CAT interface for my TS450
	  and
	  discovered a couple of new commands.
	  
	  MX; MX0; MX1; is used to activate the AIP function
	  FL; FLXXXYYY; is used to set the filters.
	  
	  I made a perl script to try every possible two-letters command.
	  If
	  amyone is interested, at their own risk, just ask.
	  
	  I've then modified and optimized the kenwood driver:
	  
	  - moved MD_ defined to .h
	  - added init/cleanup
	  - ts450_get_mode -> kenwood_get_mode_if
	  - support reading memory channel freq within kenwood_get_freq
	  - added kenwood_safe_transaction as an helper with result len
	  check
	  - added kenwood_get_if
	  - added get_level for RIG_LEVEL_CWPITCH
	  - set/get for RIG_FUNC_AIP
	  - replaced ts140/680 get_mode and get_freq
	  - removed the delay on the ts450. it works just fine without it.
	  
	  =============================
	  the attached patch requires the first one I sent and
	  addresses a few remaining issues
	  
	  - converted 8 spaces to tabs
	  - added kenwood_mode_table
	  - added kenwood_simple_transaction helper func
	  - use kenwood2rmode and rmode2kenwood where possible
	  - some code cleanup
	  - use kenwood_safe/simple_transaction where possible
	  - added kenwood_get_mem_if (ts140,ts450,ts680,ts690,ts850)
	  - added kenwood_get_channel (ts450,ts850)
	  - added FUNC_FINE_STEP (commented out, we have no more func
	  slots)
	  - added LEVEL_CWPITCH (set)
	  - no reason to have ts850_set_func, ts850_set_level
	  - ... ts480_get/set_ant, ts480_set_func
	  - ... ts570_set/get_ant, ts570_get_channel, ts570_get_rit
	  - ... ts680_set_func
	  - ... ts790_get_mode, ts790_get_vfo
	  
	  this patch is a bit more extensive and tested only on the TS450.
	  feedback will be appreciated.
	  
	  where I removed code I took care to verify that the generic
	  code in kenwood.c worked in the same way.

2009-01-20 19:44  fillods

	* AUTHORS, Makefile.am, bindings/ignore.swg, configure.ac,
	  heathkit, heathkit/Makefile.am, heathkit/hd1780.c,
	  heathkit/hd1780.h, include/hamlib/rotlist.h: Heathkit HD 1780
	  Intellirotor backend, by Rob Frohne, KL7NA

2009-01-17 14:47  n0nb

	* rotorez/rotorez.c, rotorez/rotorez.h, rotorez/rotorez.txt: Update
	  copyright date.

2009-01-17 14:37  n0nb

	* rotorez/rotorez.c, rotorez/rotorez.h, rotorez/rotorez.txt:
	  Improved buffer flush by shortening serial timeout from 5 to 1.5
	  seconds.
	  Re-worked rotorez_rot_set_conf to use token values defined in
	  rotorez.h
	  but will need to wait until tokens are available in Hamlib for
	  full use.
	  Improved documentation in rotorez.txt of changes.

2009-01-16 04:21  n0nb

	* rotorez/rotorez.c, rotorez/rotorez.txt: Fix to flush buffer if
	  RotorEZ should receive an invalid command in
	  which case it puts a long string into the buffer.

2009-01-15 03:45  n0nb

	* tests/rigctld.8, tests/rotctld.8: Minor documentation updates.

2009-01-14 11:55  fillods

	* configure.ac: next version will be 1.2.9

2009-01-12 19:29  fillods

	* tentec/omnivii.c: set_level(RIG_LEVEL_AGC) and RIG_AGC_OFF

2009-01-12 12:29  n0nb

	* yaesu/ft857.c, yaesu/ft897.c: Commented out filter definitions as
	  these radios do not support setting
	  of passband. Thanks to Rich Newsom WA4SXZ for testing.

2009-01-12 12:11  mrtembry

	* yaesu/ft990.c: FT1000D additions

2009-01-12 00:51  mrtembry

	* yaesu/newcat.c: Cleanup returns on set commands

2009-01-11 18:05  fillods

	* tentec/omnivii.c: filter table from Jeff, W4GPL

2009-01-11 17:42  mrtembry

	* include/hamlib/rig.h: removed NFM NFM

2009-01-11 17:39  mrtembry

	* yaesu/ft2000.c, yaesu/ft450.c, yaesu/ft9000.c, yaesu/ft950.c,
	  yaesu/newcat.c: removed NFM NAM

2009-01-11 17:36  mrtembry

	* src/misc.c: removed NAM NFM

2009-01-11 13:21  fillods

	* winradio/Makefile.am, winradio/g305.c, winradio/winradio.c,
	  winradio/winradio.h: Add Winradio G305

2009-01-11 13:16  fillods

	* include/hamlib/riglist.h: Add Winradio G305/G315

2009-01-11 12:42  fillods

	* tentec/Makefile.am, tentec/omnivii.c, tentec/tentec.c,
	  tentec/tentec.h: Add Tentec Omni VII, cloned after Jupiter

2009-01-11 10:04  mrtembry

	* yaesu/newcat.c: hanged get_mem and get_channel to leave
	  channel_num
	  alone on an error. get_mem should always be valid.
	  get_channel will return 0 Hz in freq on an empty channel.

2009-01-10 14:52  mrtembry

	* yaesu/newcat.c: Added backup and restore to Memory Channel.
	  Added get_cmd and set_cmd. Added get_vfo_mode for showing if rig
	  is
	  in RIG_VFO_MEM at any time.

2009-01-09 23:03  n0nb

	* README.betatester, include/hamlib/rig.h: Documentation updates.

2009-01-08 21:38  mrtembry

	* yaesu/newcat.c: Change set_tx_vfo RIG_VFO_MEM logic

2009-01-08 18:51  mrtembry

	* src/misc.c: Added RIG_LEVEL_BKIN_DLYMS string

2009-01-08 12:57  mrtembry

	* yaesu/newcat.c: Added split_mode and split_freq tracking to
	  restore_vfo, backup_vfo

2009-01-08 07:22  mrtembry

	* yaesu/newcat.c: Changes to vfo_restore, get_split_vfo

2009-01-07 23:09  mrtembry

	* yaesu/newcat.c: Fixed False Positive get_split_vfo in memory mode

2009-01-07 20:59  mrtembry

	* yaesu/newcat.c: Changed get_split_vfo to use passed vfo
	  Added split mode to vfo_backup and vfo_restore

2009-01-07 00:50  mrtembry

	* yaesu/newcat.c: Added newcat_backup_vfo, newcat_restore_vfo
	  Updated FT9000 valid commands
	  Added valid command test to functions
	  Some code cleanup

2009-01-05 23:03  mrtembry

	* yaesu/newcat.c: Changed RIG_LEVEL_BKINDL to tenth_dots per second
	  Cleanup of set/get_mem and set/get_channel

2009-01-05 17:39  aa6e

	* tentec/orion.c, tentec/orion.h: Orion: Allow frontend to handle
	  RIG_LEVEL_STRENGTH

2009-01-05 12:16  n0nb

	* configure.ac: Patch from Thomas Beierlein, DL1JBE, to fix
	  parallel make, i.e.
	  `make -jN'.

2009-01-05 02:20  mrtembry

	* tests/rigctl_parse.c: memset channel_t chan in get_channel

2009-01-04 23:59  mrtembry

	* yaesu/newcat.c: Changed RIG_LEVEL_BKINDL math, 1 dot == 2UI (on
	  time + off time)

2009-01-04 16:03  mrtembry

	* yaesu/ft2000.c, yaesu/ft2000.h, yaesu/ft450.c, yaesu/ft9000.c,
	  yaesu/ft9000.h, yaesu/ft950.c: Adjusted bandwidth filters, Added
	  set/get_channel, set/get_trn

2009-01-04 14:49  fillods

	* tests/rigctl.1, tests/rigctl.c, tests/rigctl_parse.c,
	  tests/rigctld.c, tests/rotctl.1, tests/rotctl.c,
	  tests/rotctl_parse.c, tests/rotctld.c: flexible command
	  termination for send_cmd

2009-01-04 14:23  mrtembry

	* tests/rigctl.1, tests/rigctl_parse.c: Partially implemented
	  set_channel

2009-01-04 14:01  mrtembry

	* yaesu/newcat.c, yaesu/newcat.h: Fixed newcat_set_channel bugs

2009-01-04 10:40  fillods

	* yaesu/Makefile.am, yaesu/ft840.c, yaesu/ft840.h, yaesu/yaesu.c,
	  yaesu/yaesu.h: New FT-840 backend, as suggested by Thomas - DK6KD

2009-01-04 01:27  aa6e

	* tests/example.c: Example updates

2009-01-04 00:05  mrtembry

	* yaesu/ft950.c, yaesu/newcat.c, yaesu/newcat.h: Added
	  newcat_get_channel, newcat_set_channel
	  Added RIG_VFO_MEM support

2009-01-03 23:05  aa6e

	* tentec/orion.c: Orion - implement RIG_LEVEL_STRENGTH

2009-01-03 20:58  aa6e

	* tentec/orion.c: fix string handling in LEVEL_RAWSTR

2009-01-03 14:16  mrtembry

	* tests/dumpcaps.c: Adjusted Bandwidths: to see NFM, NAM modes

2009-01-03 14:15  mrtembry

	* src/misc.c: Added NAM, NFM to mode_str

2009-01-03 14:08  mrtembry

	* include/hamlib/rig.h: Added RIG_MODE_NFM, RIG_MODE_NAM

2009-01-02 14:32  mrtembry

	* yaesu/newcat.h: Removed .width from NEWCAT_MEM_CAP

2009-01-02 03:51  aa6e

	* tests/example.c: use rawstrength.i which matters in PPC compile

2009-01-01 18:19  fillods

	* tests/rotctl_parse.c: fix send_cmd bug, patch by Rob Frohne,
	  KL7NA

2009-01-01 18:18  fillods

	* src/rotator.c: comments, patch by Rob Frohne, KL7NA

2009-01-01 17:21  mrtembry

	* tests/rigctl_parse.c: Added mw2power testing into power2mW test

2009-01-01 17:16  mrtembry

	* yaesu/newcat.c: Fixed mW2power bug

2009-01-01 17:07  dianora

	* include/hamlib/rig.h: - Extra comma on RIG_STATUS_BUGGY can cause
	  a compiler error.

2008-12-31 18:17  mrtembry

	* yaesu/newcat.c: Added debugging statements to mW2power and
	  power2mW
	  Changed _nc_rigid to int because of potential enum bugs

2008-12-31 16:58  fillods

	* yaesu/ft847.c, yaesu/ft847.h: S-meter readout for FT-847, patch
	  from Magne / LA1BFA

2008-12-30 18:52  mrtembry

	* yaesu/ft950.c, yaesu/newcat.c, yaesu/newcat.h: Added
	  newcat_get/set_trn
	  Changed power2mW mW2power to work with different radio model
	  versions

2008-12-29 13:12  n0nb

	* src/locator.c: Correction of short path azimuth calculation by
	  Dave Freese, W1HKJ
	  in the qrb function.

2008-12-28 13:53  mrtembry

	* yaesu/ft2000.c, yaesu/ft450.c, yaesu/ft9000.c, yaesu/newcat.c:
	  Added get_ts, set_ts to rigs
	  Added newcat_is_id for future reference
	  Made Changes to newcat_valid_command

2008-12-28 04:06  mrtembry

	* yaesu/newcat.c: Added more METERS to newcat_set_level
	  RIG_LEVEL_METER

2008-12-28 02:38  n0nb

	* yaesu/ft757gx.c: Patch from Stefano Merlo, IZ1IGK that avoids
	  trying to read the status
	  bytes on the FT-757GX as it has a write only serial interface.

2008-12-28 00:25  mrtembry

	* yaesu/ft950.c, yaesu/newcat.c, yaesu/newcat.h: Added
	  newcat_get_ts, newcat_set_ts
	  Added newcat_get_faststep, newcat_set_faststep

2008-12-27 08:08  mrtembry

	* yaesu/ft2000.c, yaesu/ft450.c, yaesu/ft950.c, yaesu/newcat.c,
	  yaesu/newcat.h: Added newcat_get_powerstat, newcat_set_powerstat

2008-12-26 23:57  mrtembry

	* include/hamlib/rig.h: Added RIG_LEVEL_BKIN_DLYMS - CW Breakin
	  delay in milliseconds to rig_level_e enum

2008-12-26 11:36  mrtembry

	* yaesu/ft2000.c, yaesu/ft450.c, yaesu/ft9000.c: Added functions
	  and ctcss_list as needed

2008-12-26 11:34  mrtembry

	* yaesu/newcat.c: Fixed newcat_set_ctcss_tone set bug
	  Added null pointer ctcss_list test
	  Changed newcat_set_mode width sets to after mode set
	  Changed newcat_power2mW, newcat_mW2power to allow all nc rigs

2008-12-26 00:05  mrtembry

	* yaesu/ft950.c, yaesu/newcat.c, yaesu/newcat.h: Added
	  newcat_set_ctcss_tone, newcat_get_ctcss_tone,
	  newcat_set_ctcss_sql, newcat_get_ctcss_sql

2008-12-25 14:45  mrtembry

	* yaesu/ft950.c, yaesu/newcat.c, yaesu/newcat.h: Added
	  set_rptr_shift, get_rptr_shift

2008-12-25 13:32  mrtembry

	* yaesu/newcat.c: Added FT450 filter gets and sets
	  Found some narrow filter settings in FT2000 manual
	  Made up the rest. It is a starting point.

2008-12-25 13:27  mrtembry

	* yaesu/ft450.c: Adjusted filters

2008-12-24 20:17  mrtembry

	* yaesu/newcat.c: Added RIG_METER_VDD
	  Did some cleanup

2008-12-24 20:12  mrtembry

	* include/hamlib/rig.h: Added RIG_METER_VDD

2008-12-23 22:36  mrtembry

	* yaesu/ft950.c, yaesu/newcat.c: Adjusted ft950.c filters
	  Added newcat_get/set_rxbandwidth functions
	  Added FT950 width gets and sets

2008-12-23 22:32  mrtembry

	* tests/dumpcaps.c: Adjusted Bandwidths: loop to see all modes

2008-12-21 10:51  mrtembry

	* yaesu/newcat.c: Added newcat_get_narrow newcat_set_narrow
	  internal functions.
	  Added divide by zero catch for RIG_LEVEL_BKINDL

2008-12-19 19:30  mrtembry

	* yaesu/newcat.c: Changed RIG_LEVEL_BKINDL to tenth_dots
	  Changed RIG_LEVEL_NR to ratio
	  Added ID and COMP to RIG_LEVEL_METER get
	  Changed RIG_LEVEL_IF fix out of bounds values
	  Changed RIG_METER_PO to return RIG_OK for ft950

2008-12-18 13:11  mrtembry

	* yaesu/newcat.c: Changed RIG_LEVEL_VOX delay to spec. of .1 s,
	  100ms unit intervals
	  Changed others to bounds check and fix instead of error

2008-12-17 22:57  mrtembry

	* yaesu/ft450.c, yaesu/ft450.h, yaesu/ft950.c, yaesu/ft950.h:
	  Updated filters

2008-12-16 22:40  fillods

	* src/rig.c: fix error code in rig_mW2power()

2008-12-16 22:40  fillods

	* drake/drake.c: fix error code in drake_set_mem()

2008-12-16 22:38  fillods

	* yaesu/newcat.c: * fix WFM mode misunderstanding
	  * convert some RIG_EINVAL to RIG_EPROTO

2008-12-16 22:33  fillods

	* yaesu/ft2000.c, yaesu/ft9000.c: FM narrow, AM filters

2008-12-16 09:01  mrtembry

	* yaesu/newcat.c: Changes to newcat_vfo_op, newcat_get/set_level,
	  newcat_get/set_func
	  Updated FT9000 CAT manual sure helps.
	  Terry KJ4EED
	  :
	  ----------------------------------------------------------------------

2008-12-15 21:52  mrtembry

	* yaesu/newcat.c: Added FT2000/FT9000 main_sub_vfo to
	  newcat_get/set_mode,
	  newcat_get/set_level, newcat_get/set_func,
	  newcat_get/set_ant

2008-12-14 22:02  fillods

	* README.betatester: blurb about S-meter calibration (from FAQ)

2008-12-14 21:46  fillods

	* yaesu/Makefile.am: Add FT-2000 and FTDX-9000 headers

2008-12-14 20:09  fillods

	* icom/ic706.c: special mode conversion

2008-12-14 20:05  fillods

	* yaesu/newcat.c: * newcat_get_mode: RIG_MODE_PKTFM, fill in proper
	  width
	  * RX antenna (RIG_ANT_5)
	  * namespace cleanup

2008-12-14 20:02  fillods

	* include/hamlib/riglist.h, yaesu/Makefile.am, yaesu/ft2000.c,
	  yaesu/ft2000.h, yaesu/ft9000.c, yaesu/ft9000.h, yaesu/yaesu.c,
	  yaesu/yaesu.h: Add FT-2000 and FTDX-9000

2008-12-14 19:26  fillods

	* include/hamlib/rig.h: RIG_ANT_5

2008-12-14 19:25  fillods

	* README.release: details, new sf upload method

2008-12-14 19:15  fillods

	* AUTHORS: Add Terry, KJ4EED

2008-12-14 19:01  fillods

	* tests/dumpcaps.c: dump CTCSS/DCS list

2008-12-14 18:51  mrtembry

	* yaesu/ft950.h, yaesu/newcat.c: newcat.c
	  Added RIG_LEVEL_NOTCHF set and get
	  ft950.h
	  Added RIG_LEVEL_NOTCHF to SUPPORTED LEVELS
	  Terry KJ4EED

2008-12-13 22:51  mrtembry

	* tests/rigctl_parse.c: Changed vfo to txvfo = RIG_VFO_TX in
	  set_split_freq(), get_split_freq()
	  Changed vfo to txvfo = RIG_VFO_TX in set_split_mode(),
	  get_split_mode()
	  RIG_VFO_TX is "split or uplink vfo";
	  This may/will break code, maybe we want a vfo option instead?
	  Terry KJ4EED

2008-12-13 21:23  mrtembry

	* yaesu/ft950.h, yaesu/newcat.c: yaesu/newcat.c
	  Added RIG_LEVEL_NR for FT950
	  Added newcat_scale_float()
	  for newcat_set_level() floating point problem
	  Using rigctl on FT950 I was trying to set RIG_LEVEL_COMP to 12
	  I kept setting it to 11. I wrote some test software and
	  found out that 0.12 * 100 = 11.
	  Compilier is gcc 4.2.4, CPU is AMD X2
	  This seems to work.
	  Terry KJ4EED
	  
	  yaesu/ft950.h
	  Added RIG_LEVEL_NR

2008-12-10 23:53  mrtembry

	* yaesu/ft950.h, yaesu/newcat.c: Added FT950 "EX117" ANTIVOX
	  level_set/get.
	  Added FT950 COMP Level_set/get.
	  Added "AB" for FT950 VFO copy.
	  Changed Command "VV" FT950 to FALSE.
	  Added RIG_LEVEL_VOX bounds checking. Keep at ms for GRIG2.
	  Added RIG_LEVEL_BKINDL bounds checking. Keep at ms for GRIG2.
	  Changed newcat_set/get_freq to not set or change
	  priv->current_vfo
	  *** Want to NOT ping-pong vfos when changing freq. ***
	  Changed newcat_get/set_rit logic. Changed newcat_get/set_xit
	  logic.
	  Changed RIG_LEVEL_IF logic. Found odd compiler problem with %+04d
	  versus %+.4d
	  Fixed some scale references between FT450 and FT950.
	  Some code cleanup. Sorry cvs diff -wB
	  Some testing on GRIG2 GUI and FlDigi.
	  Terry KJ4EED

2008-12-10 08:37  fillods

	* tests/rigctl.c, tests/rigctl_parse.c, tests/rigctld.c: fix
	  'vfo_mode stuck to 0' bug found by Zhang Bo

2008-12-09 22:07  fillods

	* kit/dwt.c: RIG_LEVEL_STRENGTH fix from Andrew Murphy

2008-12-08 19:54  y32kn

	* configure.ac, lib/dummy.c: Add dummy() function to libmisc.a so
	  that that library will never be empty.
	  OpenSolaris linker does not like empty libs.

2008-12-07 23:16  mrtembry

	* yaesu/newcat.c: Fixed RIG_LEVEL_IF set. Fixed RIG_LEVEL_VOXGAIN
	  scale problem for FT950.

2008-12-06 13:29  mrtembry

	* yaesu/newcat.c: Added newcat_valid_command() call to
	  newcat_set_xit().
	  Added newcat_valid_command() call to newcat_get_xit().
	  FT450 xit is not supported according to CAT Manual.

2008-12-06 13:28  mrtembry

	* yaesu/ft450.c: Added get_ptt, set_split_vfo, get_split_vfo,
	  set_rit

2008-12-06 13:27  mrtembry

	* yaesu/ft450.h: Added RIG_OP_TOGGLE to FT450_VFO_OPS

2008-12-06 02:37  mrtembry

	* yaesu/ft950.c, yaesu/ft950.h, yaesu/newcat.c, yaesu/newcat.h:
	  yaesu/ft950.h
	  Added RIG_OP_TOGGLE to FT950_VFO_OPS
	  
	  yaesu/ft950.c
	  Changed max_xit to Hz(9999)
	  Added set_split_vfo() and get_split_vfo()
	  
	  yaesu/newcat.h
	  Added newcat_set_split_vfo() and newcat_get_split_vfo()
	  Moved newcat.c internal function declarations to newcat.c
	  
	  yaesu/newcat.c
	  Fixed PREAMP and ATT SETs in newcat_set_level()
	  Changed newcat_is_rig_model() to newcat_is_rig()
	  Added newcat_set_vfo_from_alias() internal function
	  Added newcat_get_txvfo() and newcat_set_txvfo(), uses "FT"
	  command
	  Added newcat_get_rxvfo() and newcat_set_rxvfo(), uses "FR"
	  command
	  to extend newcat_get_vfo() and newcat_set_vfo() for FT9000
	  Added "SV" toggle command to newcat_vfo_op()
	  Changed newcat_set_rit() to use max_rit
	  Changed newcat_set_xit() to use max_xit
	  Changed newcat_set_rit() and newcat_set_xit() to 0 offset on
	  rit/xit exit
	  Added newcat_set_split_vfo() and newcat_get_split_vfo().
	  (*** Let rig.c backend do split_freq and split_mode)
	  Changed newcat_set_vfo() to call newcat_set_rxvfo() if "VS" is
	  not supported
	  Changed newcat_get_vfo() to call newcat_get_rxvfo() if "VS" is
	  not supported

2008-12-03 22:36  fillods

	* tentec/rx320.c: Calibration from Josh Rovero KK1D

2008-12-01 15:25  y32kn

	* macros/acx_pthread.m4: Use newer version, to enable OpenSolaris
	  to find the correct '-pthreads' switch.

2008-11-30 15:30  mrtembry

	* yaesu/newcat.h: Changed newcat revision 2.21

2008-11-30 12:42  mrtembry

	* yaesu/ft950.c, yaesu/newcat.c, yaesu/newcat.h: Added power2mW
	  mW2power

2008-11-29 19:26  mrtembry

	* yaesu/ft950.c, yaesu/newcat.c, yaesu/newcat.h: Added get_rit,
	  set_rit, get_xit, set_xit

2008-11-28 22:59  mrtembry

	* yaesu/newcat.c, yaesu/newcat.h: Added newcat_is_rig_model

2008-11-27 07:46  mrtembry

	* yaesu/ft950.c, yaesu/newcat.h: Added Get_Ant Set_Ant

2008-11-27 07:45  mrtembry

	* yaesu/newcat.c: Added Get_Ant, Set_Ant

2008-11-26 23:24  mrtembry

	* yaesu/newcat.c: FT950 RFPower, AGC, S Meter Changes

2008-11-26 22:16  mrtembry

	* yaesu/ft950.h: 16 data points for S Meter Calibration

2008-11-26 16:20  mrtembry

	* include/hamlib/rig.h: Added RIG_AGC_AUTO enum

2008-11-16 14:49  fillods

	* yaesu/newcat.c: get_ptt patch from Terry

2008-11-13 20:29  y32kn

	* icom/ic910.c, icom/icom.c, icom/icom.h: Infrastructure change to
	  enable backend specific coding of mode and bandwidth into rig
	  specific command tokens.
	  See ic910.c for an example

2008-11-09 15:17  y32kn

	* icom/frame.c: effectivly revert to Revision 1.33, but renamed
	  filter tokens

2008-11-09 14:26  y32kn

	* INSTALL, README.developer, icom/frame.c, icom/icom_defs.h,
	  tests/README, tests/listrigs.c: Made a comment that 'make check'
	  needs an installed hamlib library.

2008-11-05 23:07  fillods

	* src/iofunc.c: MinGW network portability and regression fix

2008-11-05 23:02  fillods

	* src/network.c, src/network.h, src/rig.c, src/rotator.c: MinGW
	  network fixes

2008-11-05 23:00  fillods

	* lib/termios.c: update from rxtx-2.1-7

2008-11-03 21:53  fillods

	* yaesu/newcat.c: fix strict compiling

2008-11-03 20:48  csete

	* yaesu/ft817.c: Fixed RIG_LEVEL_STRENGTH reading.

2008-11-03 20:45  fillods

	* yaesu/ft847.c: freq range and caps fixes according to CAT manual

2008-11-02 22:11  fillods

	* configure.ac, src/Makefile.am: get ready for next round

2008-11-02 22:01  fillods

	* ChangeLog: Release of 1.2.8

2008-11-02 22:00  fillods

	* NEWS, configure.ac: Update for 1.2.8 release

2008-11-02 17:32  fillods

	* dummy/netrigctl.c, dummy/netrotctl.c: clean signoff before
	  closing socket

2008-11-02 17:05  fillods

	* bindings/ignore.swg: new kit backend

2008-11-02 16:26  fillods

	* icom/frame.c: icom2rig_mode: fix passband widths for the IC-706
	  familly

2008-11-02 16:14  y32kn

	* icom/ic910.c: cleaup of filter width declarations

2008-11-02 14:53  fillods

	* yaesu/ft920.c: increase version number

2008-11-02 12:45  fillods

	* include/hamlib/riglist.h: added SoftRock Si570

2008-11-02 12:43  fillods

	* configure.ac: getaddrinfo replacement + libusb build fix

2008-11-02 12:42  fillods

	* src/network.c: getaddrinfo replacement

2008-11-02 12:39  fillods

	* tests/rotctld.c: exit in case of socket creation error

2008-11-01 22:39  fillods

	* yaesu/ft450.c, yaesu/ft450.h, yaesu/ft950.c, yaesu/ft950.h,
	  yaesu/newcat.c, yaesu/newcat.h: * extended newcat:
	  set_level/get_level, set_func/get_func, set_mem/get_mem,
	  vfo_op, get_info
	  * updated FT-450/FT950 accordingly

2008-11-01 22:33  fillods

	* tests/rigctld.8, tests/rotctld.8: description of error handling
	  in the protocol

2008-11-01 20:35  fillods

	* include/hamlib/rig.h: added RIG_METER_PO

2008-11-01 16:38  fillods

	* yaesu/yaesu.c: fix warning

2008-11-01 16:30  fillods

	* kenwood/th.c: fix warning

2008-11-01 16:27  fillods

	* kenwood/th.c: fix warning

2008-11-01 16:22  fillods

	* kenwood/th.c: fix warning

2008-10-31 23:08  fillods

	* src/rig.c: resolve normal passband where available in
	  rig_get_mode/rig_get_split_mode

2008-10-31 23:06  fillods

	* macros/python.m4: don't make absence of python fatal

2008-10-31 22:34  fillods

	* kenwood/ic10.c: fix compilation with old compilers

2008-10-31 22:25  fillods

	* yaesu/ft817.c: fix duplicate initializer

2008-10-31 22:22  fillods

	* configure.ac: swig 1.3.21 does not work, so raise at least to
	  1.3.22, maybe higher

2008-10-31 22:20  fillods

	* Makefile.am, configure.ac, include/hamlib/riglist.h: kill
	  microtune backend

2008-10-31 22:14  fillods

	* rpcrig/rpcrig_backend.c, rpcrot/rpcrot_backend.c: changed to
	  RIG_STATUS_BETA

2008-10-31 22:09  fillods

	* yaesu/ft857.c, yaesu/ft897.c: patch from Jeff N7YG about
	  MODE_PKTFM on FT-857, port to the FT-897 and some filters by me
	  (SF)

2008-10-31 07:51  fillods

	* src/network.c: Conditional compiling upon getaddrinfo()
	  availability. TODO: replacement code

2008-10-31 07:49  fillods

	* icom/ic275.c, icom/ic475.c: memory caps

2008-10-31 07:47  fillods

	* configure.ac: check for getaddrinfo() availability, new kit rotor
	  backend

2008-10-31 07:45  fillods

	* include/hamlib/rotlist.h, kit/Makefile.am, kit/kit.c, kit/kit.h,
	  kit/pcrotor.c: added PcRotor in a new kit rotor group

2008-10-31 00:17  aa6e

	* icom/ic756.c: fix missing comma

2008-10-31 00:10  aa6e

	* icom/ic756.c: RIG_STATUS_ALPHA reflecting initial tests.

2008-10-29 15:55  y32kn

	* icom/README.icom, icom/ic275.c, icom/ic475.c: Changed State of
	  IC-275 and IC-475 after tests.

2008-10-28 05:22  y32kn

	* yaesu/ft890.c, yaesu/ft920.c: Changed State to STABLE as reported
	  by Nate Bargmann N0NB.

2008-10-28 05:12  y32kn

	* tests/README: Added some additional descritions

2008-10-27 22:23  fillods

	* dummy/netrigctl.c, dummy/netrotctl.c, include/hamlib/rig.h,
	  include/hamlib/rotator.h, tests/rigctl.c, tests/rigctl_parse.c,
	  tests/rigctld.c, tests/rotctl.c, tests/rotctl_parse.c,
	  tests/rotctld.c: new netrigctl/netrotctl protocol with return
	  value

2008-10-27 22:20  fillods

	* src/iofunc.c: make select() watch for errors

2008-10-27 22:18  fillods

	* src/network.c: don't want SIGPIPE, and prefer IPv4 over IPv6

2008-10-27 20:45  y32kn

	* tests/Makefile.am: Added missing script for build of
	  distribution.

2008-10-26 13:54  y32kn

	* icom/ic7000.c, icom/ic707.c, icom/ic728.c, icom/ic736.c,
	  icom/ic737.c, icom/ic746.c, icom/ic756.c, icom/ic7800.c,
	  kenwood/tmd700.c, kenwood/ts480.c, rotorez/rotorez.c,
	  rpcrot/rpcrot_backend.c, winradio/wr1000.c, winradio/wr1500.c,
	  winradio/wr1550.c, winradio/wr3100.c, winradio/wr3150.c,
	  winradio/wr3500.c, winradio/wr3700.c, yaesu/ft900.c: changed
	  RIG_STATUS_NEW into RIG_STATUS_UNTESTED.

2008-10-26 13:38  y32kn

	* flexradio/sdr1k.c, gnuradio/graudio.c, gs232a/gs232a.c: changed
	  RIG_STATUS_NEW into RIG_STATUS_UNTESTED.

2008-10-26 10:47  fillods

	* src/iofunc.c: some more documenting of read_block()

2008-10-25 15:27  fillods

	* tentec/argonaut.c: set Argonaut status to STABLE

2008-10-25 14:37  fillods

	* yaesu/ft450.c, yaesu/ft950.c, yaesu/newcat.c, yaesu/newcat.h:
	  Patch from Dave, W1HKJ:
	  1. the FT-450 transceiver does not respond to the "VS;" command
	  and responds
	  with "?;" which is not a documented response. That appears to be
	  the "what's that" response. So the new_cat code needs to
	  recognize that and just keep on going.
	  2. the transceiver expects a full 8 digits when setting
	  frequency.
	  As originally written the transceiver would accept frequences >=
	  1000000 but reject all below that value.
	  3. Code for get_mode, set_mode, and set_ptt functions.
	  4. Rig status changed to RIG_STATUS_BETA.

2008-10-25 14:00  fillods

	* icom/ic725.c, icom/ic735.c, icom/ic761.c, icom/ic775.c,
	  icom/ic781.c: serial_rate_max and other misc fixes

2008-10-25 11:36  y32kn

	* include/hamlib/rig.h, src/misc.c: Dropped RIG_STATUS_NEW from
	  enum of possible backend states in rig.h.
	  
	  Mapped all RIG_STATUS_NEW requests from existing applications to
	  RIG_STATUS_UNTESTED for backward compatibility.

2008-10-25 11:10  fillods

	* tests/listrigs.c: factorization thanks to rig_strstatus()

2008-10-25 08:51  y32kn

	* icom/ic910.c: Changed backend status to RIG_STATUS_BETA to
	  reflect stable work of the rig for most commands.

2008-10-22 04:11  roger-linux

	* uniden/uniden_digital.c: Add additional comments for improved
	  reading.

2008-10-21 19:00  roger-linux

	* uniden/uniden_digital.c: Added a few more comments.

2008-10-21 18:45  roger-linux

	* uniden/uniden_digital.c: Added MDL & VER command to get_info.
	  Added many comments, info & fixmes.

2008-10-21 16:27  roger-linux

	* uniden/uniden_digital.c: Added more error codes. Distinguished NG
	  & ORER error codes from each other. Commented SQ/SQuelch unused
	  command.

2008-10-18 06:21  roger-linux

	* uniden/bcd396t.c, uniden/bcd996t.c, uniden/uniden_digital.c,
	  uniden/uniden_digital.h: - Copied uniden_transaction to
	  uniden_digital_transaction from uniden.*
	  
	  - Copied uniden_get_info to uniden_digital_get_info from uniden.*
	  
	  - Removed uniden.h include from bcd396t.c & bcd996t.c. For now,
	  might be
	  best keeping experimental code separate from the working analog
	  scanner
	  code. (Can return in the future if we find code can be merged.)

2008-10-17 11:52  roger-linux

	* uniden/uniden_digital.c: Adds some initial notes to
	  uniden_digital.c concerning protocol pdf files.
	  
	  Adds the two known models using compatible protocols.
	  
	  Roger <roger@eskimo.com>

2008-10-07 18:58  fillods

	* uniden/Makefile.am, uniden/bcd396t.c, uniden/bcd996t.c,
	  uniden/uniden.c, uniden/uniden.h, uniden/uniden_digital.c,
	  uniden/uniden_digital.h: new models: BCD396T/BCD996T

2008-10-07 17:55  fillods

	* uniden/uniden.c: SI/VR fix from Roger

2008-10-06 18:16  fillods

	* include/hamlib/riglist.h: Newer Uniden models

2008-09-23 22:02  fillods

	* src/network.c, src/network.h, src/rig.c, src/rotator.c: accept
	  partial 'pathname' for PORT_NETWORK

2008-09-22 21:34  fillods

	* yaesu/newcat.c, yaesu/newcat.h: Support table of newcat, patch by
	  Mark N1VQW

2008-09-22 21:32  fillods

	* yaesu/Makefile.am, yaesu/yaesu.c, yaesu/yaesu.h: new: FT-950

2008-09-22 21:31  fillods

	* yaesu/ft950.c, yaesu/ft950.h: cloned after FT-450

2008-09-22 21:30  fillods

	* yaesu/ft450.c: caps: 6m band

2008-09-22 20:51  fillods

	* yaesu/ft897.c: get_mode for narrow passbands, patch by Stelios,
	  M0GLD

2008-09-22 20:40  fillods

	* yaesu/ft857.c: get_mode for narrow passbands, patch by Stelios,
	  M0GLD

2008-09-21 20:32  fillods

	* tests/rigctld.8, tests/rigctld.c, tests/rotctld.8,
	  tests/rotctld.c: restrict listening IP address

2008-09-21 19:36  fillods

	* icom/icom.c: RIG_LEVEL_STRENGTH is emulated by frontend

2008-09-21 19:35  fillods

	* yaesu/ft757gx.c: update status/version and fix warning

2008-09-21 19:34  fillods

	* dummy/Makefile.am, dummy/dummy.c, dummy/dummy.h,
	  dummy/netrigctl.c, dummy/netrotctl.c, dummy/rot_dummy.c,
	  dummy/rot_dummy.h, include/hamlib/riglist.h,
	  include/hamlib/rotlist.h: new backend ala rpcrig/rpcrot, but
	  using rigctld/rotctld and simpler protocol

2008-09-21 19:30  fillods

	* src/Makefile.am, src/network.c, src/network.h, src/rig.c,
	  src/rotator.c: implementation of PORT_NETWORK

2008-09-21 19:27  fillods

	* tests/rotctl_parse.c: * dump_state for internal use by netrotctl
	  backend
	  * factorize the "END" marker for rotctld, and proprer
	  flushing/error handling

2008-09-21 19:24  fillods

	* tests/rigctl.1, tests/rigctl_parse.c, tests/rigctld.8: *
	  CTCSS/DCS squelch accessors
	  * DTMF send/recv and get_dcd
	  * dump_state for internal use by netrigctl backend
	  * factorize the "END" marker for rigctld, with proprer
	  flushing/error handling

2008-09-21 19:10  fillods

	* tests/dumpcaps.c: RIG_PORT_USB support

2008-09-21 19:10  fillods

	* src/settings.c: only emulate LEVEL_STRENGTH when
	  rig->state.str_cal is defined

2008-09-21 19:09  fillods

	* icom/ic706.c: ic706mkiig reached STATUS_STABLE

2008-09-17 20:36  fillods

	* tests/rigctld.c, tests/rotctld.c: create threads in detached
	  state in order to prevent zombies

2008-09-17 18:56  fillods

	* tests/rigctld.c, tests/rotctld.c: fix thread-leak and
	  pthread_create error code checking

2008-09-16 18:11  fillods

	* yaesu/ft100.c: S-Meter calibration table from Tony G0WFV

2008-09-15 22:15  fillods

	* yaesu/ft100.c: disable confusing width setting in ft100_set_mode
	  for now

2008-09-15 22:03  fillods

	* src/settings.c: fix RIG_LEVEL_STRENGTH emulation

2008-09-15 18:32  fillods

	* yaesu/ft100.c: VFO list fix, added filter list

2008-09-15 07:16  fillods

	* yaesu/ft100.c: fix error checking of read_block

2008-09-12 22:55  fillods

	* tests/Makefile.am, tests/rotctl.c, tests/rotctl_parse.c,
	  tests/rotctl_parse.h, tests/rotctld.8, tests/rotctld.c: initial
	  rotctld release (same idea as rigctld)

2008-09-12 15:32  fillods

	* yaesu/Makefile.am, yaesu/ft100.c, yaesu/ft100.h: FT100:
	  * fixed buffer overflow in ft100_get_freq, thanks to Tony Corbett
	  G0WFV
	  * better error code checking
	  * support for MODE_WFM
	  * implemented ft100_get_level

2008-09-12 12:54  fillods

	* yaesu/ft757gx.c: SF#2106506: Implement retries to work around
	  erratic timeouts.
	  Patch from Remi Chateauneu - f4ecw

2008-09-12 11:49  fillods

	* src/rig.c: BUG#2106524: allow backend specific override get_ptt
	  even if RIG_PTT_SERIAL_DTR (e.g. FT757GXII)

2008-09-01 19:01  fillods

	* include/hamlib/riglist.h, kenwood/Makefile.am, kenwood/k3.c,
	  kenwood/kenwood.c, kenwood/kenwood.h: new backend for the
	  Elekraft K3

2008-08-06 11:09  n0nb

	* yaesu/ft920.c, yaesu/ft920.h: Added support for RIG_MODE_PKTLSB,
	  RIG_MODE_PKTUSB, and RIG_MODE_PKTFM.
	  TNX Jeff Steinkamp N7YG.

2008-07-14 01:31  aa6e

	* THANKS: minor changes

2008-07-14 01:25  aa6e

	* THANKS: Add thanks to W1RFI & ARRL

2008-07-12 17:19  aa6e

	* icom/README.icom, icom/ic756.c: Add AF, RF gain and squelch level
	  capability.

2008-07-08 20:44  n0nb

	* yaesu/ft757gx.c, yaesu/ft757gx.h: Minor source cleanup of
	  ft757gx.c
	  Change FT757GX_DEFAULT_READ_TIMEOUT to be
	  FT757GX_STATUS_UPDATE_DATA_LENGTH * (5 + (FT757GX_PACING_INTERVAL
	  * FT757GX_PACING_DEFAULT_VALUE))
	  by default. Should allow 375 mS for read timeout at minimum in
	  ft757gx.h

2008-07-08 16:43  n0nb

	* tests/rigctl.1: Explain the -P option a bit more clearly and its
	  side effects.
	  Correct typo in the Diagnostics section.

2008-07-08 16:29  n0nb

	* yaesu/ft757gx.c: Returned ptt_type in ft757gx2_caps to
	  RIG_PTT_SERIAL_DTR and tested
	  DTR state follows PTT setting.

2008-07-08 15:02  n0nb

	* yaesu/ft757gx.c: Set PTT type to NONE
	  Corrected get_freq error off by a factor of 10--bug tracker #
	  2009215,
	  thanks to F4ECW and KC0MLS

2008-06-26 15:23  y32kn

	* bindings/Makefile.am: fix for gcc warnings: dereferencing
	  type-punned pointer will break strict-aliasing rules"

2008-06-20 03:11  n0nb

	* Makefile.am, README.developer: Added gs232a to Makefile.am
	  DIST_SUBDIRS variable
	  Clarified backend additions in README.developer

2008-06-19 04:26  aa6e

	* tentec/orion.c, tentec/orion.h: Switch back to ASCII freq.
	  setting because of hardware(?) bug.

2008-06-11 17:53  aa6e

	* AUTHORS: Add author. (credits info added to web page, also)

2008-05-23 14:30  fillods

	* tests/rigctl_parse.c: * new command dump_conf from within rigctl
	  * DBTS #258692: '?' show all the possibilities at rigctl prompt

2008-05-23 14:26  fillods

	* tests/dumpcaps.c, tests/rigctl.1, tests/rigctl.c,
	  tests/rigctl_parse.h, tests/sprintflst.h: new command dump_conf
	  from rigctl

2008-05-23 14:19  fillods

	* src/mem.c: in generic save/restore chan, only process decalred
	  properties from mem_caps

2008-05-23 14:14  fillods

	* include/hamlib/rotlist.h: copyright fix

2008-05-23 14:14  fillods

	* bindings/ignore.swg, configure.ac, gs232a, gs232a/Makefile.am,
	  gs232a/gs232a.c, gs232a/gs232a.h, include/hamlib/rotlist.h: added
	  GS-232A rotator controller

2008-05-17 16:36  fillods

	* bindings/Makefile.am: allow perl binding to find libhamlib in
	  src, but nuke LD_RUN_PATH, hence preventing any rpath backdoor

2008-05-13 13:35  y32kn

	* tests/rigmatrix.c: adapt path for model to support/model%d.txt in
	  print_caps_sum()

2008-05-08 16:21  fillods

	* configure.ac, tests/Makefile.am, tests/rigctld.c: do not make
	  rigctld conditional anoymore, check for winsock2 so rigctld can
	  compile on mingw32

2008-05-08 12:40  fillods

	* src/conf.c: check ITU region validity in
	  rig_set_conf('itu_region')

2008-05-08 10:46  fillods

	* tests/rigctl_parse.c: fix Debian #263478, rigctl: help sheet
	  doesn't line up

2008-05-07 22:18  fillods

	* flexradio/dttsp.c: prevent invalid free() in cleanup

2008-05-05 21:57  fillods

	* kenwood/th.c: * fix remaining places not knowing that tuning step
	  is hexadecimal
	  * get ready for freqs higher than 31 bits
	  * on freq higher than 470MHz, tuning step of TH-F7 must be at
	  least 10kHz
	  * fix flexible th_get_mode
	  * added RIG_LEVEL_BALANCE/RIG_LEVEL_ATT
	  * and yes, we do want to read the transaction's reply, to know if
	  successful

2008-05-04 21:47  fillods

	* bindings/perltest.pl, bindings/pytest.py, bindings/tcltest.tcl:
	  more tests/examples

2008-05-04 21:42  fillods

	* bindings/rig.swg: * fix/improve memory oriented methods
	  * made all methods returning strings more handy

2008-05-04 21:38  fillods

	* bindings/hamlib.swg: make locator/qrb/longlat functions to work
	  from bindings

2008-05-04 21:36  fillods

	* bindings/Makefile.am: partly fix dependencies

2008-05-04 21:31  fillods

	* bindings/ignore.swg: more symbols to ignore

2008-05-04 21:27  fillods

	* kenwood/th.c, kenwood/th.h, kenwood/thf7.c: * Added
	  th_set_ant/th_get_ant
	  * Flexible rmode_t conversion
	  * Made th_get_channel/th_set_channel more generic, esp. to work
	  with TH-F7E
	  * Major TH-F7E improvements

2008-05-04 21:23  fillods

	* kenwood/thd7.c, kenwood/tmd700.c, kenwood/tmv7.c: chan_list fixes

2008-05-04 21:19  fillods

	* kenwood/kenwood.c, kenwood/kenwood.h: flexible rmode_t
	  conversion, detect overflow in kenwood_transaction()

2008-05-04 21:16  fillods

	* kenwood/ts140.c, kenwood/ts680.c: get rid of non portable %lld

2008-05-04 21:15  fillods

	* include/hamlib/rig.h, kenwood/thg71.c, src/misc.c: new
	  RIG_MTYPE_BAND

2008-05-04 15:36  fillods

	* src/rig.c, src/rotator.c: default serial device on BSD systems

2008-05-04 15:33  fillods

	* uniden/Makefile.am, uniden/bc250.c, uniden/bc780.c,
	  uniden/uniden.c, uniden/uniden.h: Added BC780xlt and BC250D

2008-05-04 14:23  fillods

	* uniden/Makefile.am, uniden/bc245.c, uniden/bc895.c,
	  uniden/pro2052.c, uniden/uniden.c, uniden/uniden.h: Added
	  PRO-2052, big improvement of uniden backend

2008-05-04 14:11  fillods

	* src/settings.c: misc comment about STRENGTH relative to S9

2008-05-04 14:10  fillods

	* include/hamlib/riglist.h: More Uniden and Radio Shack models

2008-05-04 14:08  fillods

	* dummy/dummy.c: make S-Meter jiggle randomly

2008-05-01 21:30  aa6e

	* tentec/orion.c: Fix serial I/O error checking

2008-05-01 12:32  fillods

	* include/hamlib/rig.h, src/mem.c: allow rig_lookup_mem_caps() to
	  retrieve a union of all the mem_caps sets

2008-05-01 12:19  fillods

	* include/hamlib/rotator.h: harmless arg name change in order to
	  ease swig work

2008-04-27 09:57  fillods

	* tests/rigctl_parse.c: make use of factorized rig_lookup_mem_caps

2008-04-27 09:56  fillods

	* tests/dumpcaps.c, tests/dumpmem.c, tests/memsave.c: make use of
	  factorized rig_strmtype/rig_strptrshift

2008-04-27 09:53  fillods

	* kenwood/thg71.c: * Split edge range chan_list, change MTYPE of
	  PRIO

2008-04-27 09:51  fillods

	* src/mem.c: added rig_lookup_mem_caps() and rig_mem_count()

2008-04-27 09:48  fillods

	* src/misc.c: * bug fix in rig_strptrshift (+ and - were inversed,
	  ouch)
	  * added rig_parse_mtype/rig_strmtype

2008-04-27 09:46  fillods

	* include/hamlib/rig.h: * added RIG_MTYPE_PRIO
	  * added rig_lookup_mem_caps/rig_mem_count and
	  rig_strmtype/rig_parse_mtype
	  * misc change to RIG_VFO* for Swig to make them available in the
	  bindings

2008-04-27 09:31  fillods

	* src/misc.c: Patch from Jeff Laughlin - N1YWB
	  Cleanup for invalid code 'str != ""' all over misc.c

2008-04-26 09:00  fillods

	* kit/elektor507.c: url of the kit

2008-04-11 22:01  fillods

	* kit/Makefile.am: moved miniVNA to kit subdir

2008-04-11 18:22  fillods

	* configure.ac, src/Makefile.am: get ready for next round

2008-04-11 18:18  fillods

	* configure.ac: release 1.2.7.1

2008-04-11 18:18  fillods

	* ChangeLog: Release of 1.2.7.1

2008-04-11 18:03  fillods

	* Makefile.am, configure.ac, include/hamlib/riglist.h, kit/kit.c,
	  kit/kit.h, kit/miniVNA.c: moved miniVNA to kit subdir

2008-04-11 17:58  fillods

	* NEWS: Update for 1.2.7.1 release

2008-04-11 17:10  fillods

	* aor/aor.c, aor/aor.h, aor/ar2700.c, aor/ar5000.c, aor/ar8000.c,
	  aor/ar8200.c, aor/ar8600.c: implemented scanning

2008-04-11 14:43  fillods

	* src/mem.c: malloc/realloc success check

2008-04-11 14:12  fillods

	* src/ext.c: ability to report error through callback iteration

2008-04-11 14:07  fillods

	* src/iofunc.c: check write() return value

2008-04-11 12:59  fillods

	* include/hamlib/riglist.h: added FT950

2008-04-09 21:36  fillods

	* src/conf.c, src/rot_conf.c: Be careful, rs->rigport.parm is an
	  union, so serial fields should be
	  accessed only for the RIG_PORT_SERIAL type.

2008-03-31 14:22  aa6e

	* icom/icom_defs.h, icom/omni.c: Omni VI memories, rit/xit

2008-03-31 01:56  aa6e

	* icom/README.icom, icom/TODO.icom: Declutter

2008-03-30 03:37  aa6e

	* icom/README.icom: Update Icom info

2008-03-30 03:37  aa6e

	* icom/omni.c: Fix Omni VI PTT function

2008-03-29 22:54  aa6e

	* icom/icom.c: Fix typo

2008-03-29 18:54  aa6e

	* icom/icom.c, icom/omni.c, tentec/README: TT Omni VI / Plus
	  improvements

2008-03-27 02:35  n0nb

	* yaesu/ft1000mp.h: Fixed enum error in native_cmd related to
	  January 10 patch of
	  ft1000mp.c PTT patch.

2008-03-05 20:32  f4dwv

	* Makefile.am, configure.ac, include/hamlib/riglist.h: add miniVNA
	  backend

2008-03-05 20:31  f4dwv

	* miniVNA, miniVNA/Makefile.am, miniVNA/miniVNA.c,
	  miniVNA/miniVNA.h: Initial release

2008-03-01 11:20  fillods

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts2000.c,
	  kenwood/ts870s.c: set_ant/get_ant support for ts870s and ts2000

2008-02-24 22:31  fillods

	* kenwood/ts2000.c: S meter calibration, patch by Patrick Ouellette
	  KB8PYM.

2008-02-18 21:17  fillods

	* README.release: some more fixes

2008-02-18 18:18  dl1nc

	* include/hamlib/rigclass.h: added missing virtual d'tor for
	  RigException

2008-02-15 23:04  aa6e

	* tentec/README, tentec/orion.c, tentec/orion.h: Better error
	  handling, reliability for serial I/O. Misc prettification.

2008-02-13 23:21  fillods

	* configure.ac, src/Makefile.am: get ready for next round

2008-02-13 23:20  fillods

	* README.release: some fixes

2008-02-13 23:00  fillods

	* ChangeLog: Release of 1.2.7

2008-02-13 22:58  fillods

	* README.release: initial release

2008-02-13 22:55  fillods

	* NEWS, configure.ac, src/Makefile.am: Update for 1.2.7 release

2008-02-13 22:04  fillods

	* icom/Makefile.am, icom/ic820h.c, icom/icom.c, icom/icom.h: new
	  model IC-820H

2008-02-13 21:28  fillods

	* kenwood/ts570.c: fix warning

2008-02-13 20:59  fillods

	* kenwood/ts2k.c: long long portability

2008-02-13 08:06  fillods

	* yaesu/ft767gx.c: fix warning

2008-02-05 00:07  sconklin

	* yaesu/ft767gx.c: This fixes an error message from grig

2008-01-12 12:50  n0nb

	* tentec/argonaut.c: Fix rig PTT capability. Thanks Ted Albert,
	  AB8FJ.

2008-01-12 00:36  n0nb

	* INSTALL, tests/rigctl.c, tests/rigctl_parse.c, tests/rigctld.c:
	  Added info about `ldconfig' to INSTALL.
	  Removed unneeded variable in rigctl_parse.c as the prompt
	  variable
	  already served the role needed to send the END command.

2008-01-10 14:19  n0nb

	* yaesu/ft757gx.c, yaesu/ft757gx.h: Fix get_mode and get_freq--had
	  incorrect offsets and reported frequency
	  is in little endian order.
	  Fix set_mode as CW Narrow was always selected regardless of
	  bandwidth.
	  Thanks Myron, KC0MLS.

2008-01-10 14:11  n0nb

	* tests/rigctld.8: Described protocol and command differences for
	  rigctld.

2008-01-10 12:12  n0nb

	* yaesu/ft1000mp.c: Corrected PTT command. Thanks to Glenn K0BO
	  from the Fldigi mailing list.

2008-01-10 03:42  n0nb

	* tests/rigctl.1, tests/rigctl.c, tests/rigctl_parse.c,
	  tests/rigctld.c, tests/testctld.pl: Implement and document
	  rigctld protocol and provide a compatible test.

2008-01-07 21:41  n0nb

	* tests/testctld.pl: Addition of file version ID.

2008-01-07 21:10  fillods

	* include/hamlib/riglist.h: remove auto-load of gnuradio, added
	  Omni-VII

2008-01-06 22:48  fillods

	* tests/Makefile.am: rigctld.8 man page

2008-01-06 22:41  fillods

	* tests/rigctld.8: initial release

2008-01-06 15:46  n0nb

	* tests/testctld.pl: First cut at a simple Perl script for testing
	  rigctld

2008-01-06 14:38  n0nb

	* README.developer: More minor editing. Hopefully clarified a few
	  issues.

2008-01-05 18:13  fillods

	* tests/dumpcaps.c, tests/rigctl.c, tests/rigctl_parse.c,
	  tests/rigctl_parse.h, tests/rigctld.c: make dumpcaps also through
	  rigctld

2008-01-05 17:24  y32kn

	* kenwood/ts570.c: - incremented backend sub-version and
	  - declared backend as stable

2008-01-05 17:07  fillods

	* kit/elektor507.c: fix ATT, added get_ant

2008-01-05 16:47  csete

	* yaesu/ft817.c, yaesu/ft817.h: Fixed RF power reading and added
	  power2mw and mw2power.

2008-01-05 15:28  csete

	* yaesu/ft817.c: Fixed S-meter reading to use calibration table
	  since frontend always uses RAWSTR.

2008-01-05 15:07  fillods

	* tests/rigsmtr.1: fix half-baked man page

2008-01-05 15:06  fillods

	* tests/rigsmtr.c: fix sleep step and degree chars

2008-01-05 12:37  csete

	* icom/ic765.c: The 765 can do RIG_SCAN_PROG and RIG_SCAN_MEM.

2008-01-05 12:04  csete

	* tests/rigctl.1: Escape the backslash character.

2008-01-05 11:58  csete

	* icom/ic765.c: Max serial rate is 9600.
	  Changed backend status to stable.

2008-01-04 17:43  n0nb

	* LICENSE, README, README.betatester, README.developer: Bump
	  copyright year to 2008.

2008-01-04 17:30  n0nb

	* INSTALL, README, README.betatester, src/misc.c: Re-worked
	  documentation for to/from_bcd functions in misc.c.
	  Re-worked INSTALL describing `configure' options. Other minor
	  editing.

2007-12-13 18:48  y32kn

	* icom/ic910.c: - ic910_set_freq now works with RIG_VFO_CURR (you
	  can use girg and rigctl for controlling)
	  - fixed wrong VFOC into VFOB
	  - added additional bandwidth declarations for narrow filters and
	  FM

2007-12-01 22:09  n0nb

	* yaesu/ft920.c, yaesu/ft920.h, yaesu/newcat.c, yaesu/newcat.h:
	  Added support for getting VFO A/B lock status for FT-920.
	  Mention in comments in newcat.* that FTDX-9000* and FT-2000
	  use the new style CAT command protocol.

2007-12-01 00:35  n0nb

	* icom/ic746.c, icom/ic910.c: Enabled PTT in ic746.c, TNX Stelios,
	  M0GLD, for the test and patch.
	  Enabled split functions in ic910.c, TNX Karla, KE5FKU for test
	  and patch.

2007-11-29 20:47  pa4tu

	* debian/changelog, debian/rules: another debian update: use 'make
	  distclean' in the rules file

2007-11-27 19:59  pa4tu

	* debian/TODO.Debian, debian/changelog, debian/control,
	  debian/pyversions, debian/rules: sync with latest, python changes

2007-11-27 19:55  pa4tu

	* bindings/Makefile.am: no need to link to python

2007-11-27 01:02  n0nb

	* yaesu/ft920.c, yaesu/ft920.h: Added support for set_func and
	  get_func for RIG_FUNC_TUNER.
	  Control status of 0 == off, 1 == inline, 2 == start tuning.
	  Returns status of 0 == off, 1 == inline, 2 == tuning in progress.

2007-11-26 20:54  n0nb

	* include/hamlib/rig.h, src/misc.c, src/rig.c, src/settings.c:
	  Documentation edits and additions for doxygen generated
	  documentation.
	  Add missing enum to string definitions in settings.c

2007-11-26 07:08  pa4tu

	* debian/README.Debian, debian/TODO.Debian, debian/changelog,
	  debian/compat, debian/control, debian/copyright,
	  debian/libhamlib++-dev.dirs, debian/libhamlib-dev.dirs,
	  debian/libhamlib-doc.dirs, debian/libhamlib-utils.dirs,
	  debian/libhamlib2++c2.dirs, debian/libhamlib2-perl.dirs,
	  debian/libhamlib2-tcl.dirs, debian/libhamlib2.dirs,
	  debian/pycompat, debian/python-libhamlib2.dirs,
	  debian/pyversions, debian/rules, debian/watch: sync with latest
	  debian release

2007-11-26 07:01  pa4tu

	* debian/hamlib-utils.dirs: obsolete

2007-11-26 07:00  pa4tu

	* debian/hamlib++-dev.dirs, debian/hamlib-dev.dirs,
	  debian/hamlib-doc.dirs, debian/hamlib3++.dirs,
	  debian/hamlib3-perl.dirs, debian/hamlib3-tcl.dirs,
	  debian/hamlib3.dirs, debian/python2.3-hamlib3.dirs,
	  debian/shlibs.local: packages renamed

2007-11-25 04:57  n0nb

	* yaesu/ft920.c, yaesu/ft920.h: Added support for rig_set_ptt and
	  rig_get_ptt. FT-920 supports CAT
	  control of PTT even though manual lacks mention of the command.
	  Moved setting of pacing value to ft920_open from
	  ft920_get_update_data
	  to avoid sending two commands for each status update request and
	  set
	  the default pacing value in ft920.h to 0 mS between characters
	  sent
	  from the FT-920.

2007-11-23 18:49  pa4tu

	* kenwood/ts870s.c: try better s-meter readings

2007-11-23 16:08  pa4tu

	* kenwood/ts870s.c: correct set/get power

2007-11-23 04:54  aa6e

	* tentec/orion.c, tentec/orion.h: Adjust retry & timeout values to
	  help in case of no response from rig, i.e.,
	  if rig power happens to be off. Prettify some code indents.

2007-11-23 04:50  aa6e

	* tests/example.c: Add S meter operations to sample program.

2007-11-23 03:31  n0nb

	* yaesu/newcat.c, yaesu/newcat.h, yaesu/yaesu.c, yaesu/yaesu.h:
	  Updates and cleanups to newcat.c to make more use of priv data
	  structure.
	  Set port read timeout in newcat.h
	  Forgot yaesu.* last night which caused CVS build to not recognize
	  FT-450

2007-11-22 04:48  n0nb

	* include/hamlib/riglist.h, yaesu/Makefile.am, yaesu/ft450.c,
	  yaesu/ft450.h, yaesu/newcat.c, yaesu/newcat.h: New radio model,
	  FT-450, including support for the new ASCII CAT command
	  syntax now employed by Yaesu.

2007-11-15 04:10  aa6e

	* tentec/orion.c: Fix bug that seg faulted when get_info returned
	  null. (No reward points!)

2007-11-14 03:15  n0nb

	* README.betatester, README.developer: Added info on using a
	  seperate build directory. Added info on CVS
	  snapshots to README.betatester. Other minor edits to (hopefully)
	  aid
	  clarity.

2007-11-11 23:05  fillods

	* tests/Makefile.am: new rigctld

2007-11-11 23:04  fillods

	* tests/rigctl.c: code factorized in rigctl_parse.c

2007-11-11 23:03  fillods

	* tests/rigctl_parse.h: initial revision

2007-11-11 23:03  fillods

	* tests/rigctl_parse.c: code taken from rigctl, to be factorized
	  among rigctl and rigctld.
	  (optional) pthread support added because rigctld needs it.

2007-11-11 23:02  fillods

	* tests/rigctld.c: initial revision, inspired by rigctl

2007-11-11 22:46  fillods

	* configure.ac: * rigctld depends on pthread
	  * enable pthread CFLAGS for everyone when pthread present

2007-11-09 03:16  aa6e

	* tentec/orion.c: Ensure printable get_info string

2007-11-09 03:14  aa6e

	* tests/example.c: Add more functions to example program.

2007-11-07 19:26  fillods

	* kit/elektor507.c: better algorithm, yielding improved SNR

2007-11-07 19:12  fillods

	* kit/elektor304.c: status reported as stable

2007-11-07 19:11  fillods

	* kit/dwt.c: status reported as stable under Windows (Dream DRM
	  forums)

2007-11-07 19:09  fillods

	* flexradio/Makefile.am: new file: flexradio.[ch],dttsp.c, removed
	  sdr1k.h

2007-11-07 19:08  fillods

	* flexradio/dttsp.c: initial release, inspired by my work on
	  gnuradio backend

2007-11-07 19:06  fillods

	* flexradio/flexradio.c, flexradio/flexradio.h, flexradio/sdr1k.c:
	  move backend declaration into flexradio.c

2007-11-07 19:05  fillods

	* flexradio/sdr1k.h: move backend prototypes into flexradio.h

2007-11-07 18:38  fillods

	* include/hamlib/riglist.h: new RIG_MODEL_DTTSP

2007-11-05 18:42  aa6e

	* tentec/README, tentec/orion.c, tentec/orion.h: Moved firmware
	  detection to new tt565_open routine, where it is done
	  every time the rig is opened.

2007-11-05 03:53  aa6e

	* tentec/README, tentec/orion.c, tentec/orion.h: Add autodetect
	  version 1 or 2 firmware (using rig_get_info).
	  Correct V1 calibration. Make V2 calibration the default.
	  Signal RIG_LEVEL_STRENGTH supported.

2007-11-05 03:48  aa6e

	* src/cal.c: Correct float vs int interpolation options

2007-11-01 01:13  n0nb

	* Makefile.am, configure.ac, include/hamlib/rig.h: Makefile.am and
	  rig.h minor edits to the comments to (hopefully) improve
	  readability. configure.ac added AM_PROG_CC_C_O macro to quiet
	  error
	  message regarding rigmem.c in tests/Makefile.am from autoconf
	  2.61 on
	  Debian Stable.

2007-10-23 21:56  fillods

	* kit/Makefile.am, kit/dds60.c, kit/kit.c, kit/kit.h: initial
	  release of DDS-60

2007-10-15 00:52  n0nb

	* README, README.betatester: Match Copyright attributions between
	  README files.

2007-10-15 00:50  n0nb

	* README.developer: Add Hamlib Group to Copyright line.

2007-10-07 20:31  fillods

	* kit/Makefile.am, kit/kit.c, kit/kit.h: new backend elektor 5/07
	  (SDR USB)

2007-10-07 20:30  fillods

	* kit/elektor507.c: initial release

2007-10-07 20:12  fillods

	* src/usb_port.c: * call missing usb_find_devices()
	  * disable usb_set_configuration/usb_set_altinterface since they
	  seem to interfere

2007-10-05 04:19  sconklin

	* AUTHORS, yaesu/Makefile.am, yaesu/ft767gx.c, yaesu/ft767gx.h,
	  yaesu/yaesu.c, yaesu/yaesu.h: Added support for the Yaesu
	  FT-767GX. The following are implemented:
	  get/set frequency
	  get/set mode
	  get/set vfo
	  get/set CTCSS tone
	  get/set split_mode
	  get/set split_freq
	  get/set split_mode
	  get ptt

2007-09-18 19:34  fillods

	* kit/dwt.c, winradio/g303.c: fix memory access after freeing

2007-09-18 19:33  fillods

	* include/hamlib/riglist.h: new model ELEKTOR507 (SDR USB)

2007-09-18 19:31  fillods

	* aor/ar8600.c: status: alpha->beta

2007-09-04 21:53  aa6e

	* tests/example.c: Dead simple sample Hamlib program

2007-09-04 15:01  y32kn

	* kenwood/kenwood.c: fixed bug in kenwood_transaction()
	  memset() missed initializing the answer buffer by one.

2007-09-03 03:34  n0nb

	* README.developer: Add libusb-dev to optional packages list

2007-08-30 17:12  y32kn

	* kenwood/ts850.c: Deleted duplicate code (see
	  kenwood_set/get_level in kenwood.c)
	  Tnx Rob KL7NA,

2007-08-20 17:26  y32kn

	* kenwood/ts790.c: fixed .get_mode and .get_vfo (tnx for help
	  CT1DRB)

2007-08-19 08:47  y32kn

	* kenwood/ts570.c: added DSP Slope tuning.
	  Tnx Rob KL7NA.

2007-08-19 08:26  y32kn

	* src/misc.c: added support for DSP slope tuning in level_str[]

2007-08-18 20:04  aa6e

	* kenwood/ts850.c: correct CHANNEL_CAPS sytax

2007-08-18 13:00  n0nb

	* AUTHORS: Added Rob, KL7NA

2007-08-18 12:55  n0nb

	* include/hamlib/rig.h, kenwood/kenwood.c, kenwood/ts850.c,
	  src/settings.c, tests/rigctl.1: Bug fixes and slope tuning
	  support for the TS-850.
	  Thanks to Rob Frohne, KL7NA

2007-08-06 05:19  jrinas

	* kenwood/ts480.c: * fixed ptt
	  * expanded frequency range (available after firmware update)
	  according to
	  http://www.kenwood.com/i/products/info/amateur/ts_480/firmware/pop_ts480_e.htm
	  * added tuning steps
	  * added filter list
	  * increased version info

2007-06-30 12:58  n0nb

	* COPYING, COPYING.LIB, ChangeLog: Release of 1.2.6.2

2007-05-21 21:41  fillods

	* include/hamlib/rig_dll.h: cleanup and initial __BORLANDC__
	  support

2007-05-21 20:35  fillods

	* tests/Makefile.am: automated generation of <backend>_lst.html
	  files for web site sup-info

2007-05-21 20:35  fillods

	* tests/rig_split_lst.awk: initial release

2007-05-21 20:03  fillods

	* tests/Makefile.am: new rigsmtr

2007-05-21 20:02  fillods

	* tests/rigsmtr.1, tests/rigsmtr.c: initial release

2007-05-21 19:53  fillods

	* tests/Makefile.am: fix vpath build of rigmatrix.html

2007-03-17 17:27  y32kn

	* kenwood/ts570.c: * get_xit/rit now honours the state of the
	  RIT/XIT switches (returns 0 if off)
	  * set_xit/rit switches RIT/XIT on or off if needed
	  * get/set_split_vfo implemented or corrected

2007-03-05 09:01  y32kn

	* icom/icom.c: IC910H has different meaning of command 1A,
	  subcommand 03. So we should not ask for DSP filter settings in
	  'icom_get_mode'.

2007-03-02 16:29  aa6e

	* tentec/orion.c: use binary mode VFO requests

2007-02-28 15:05  aa6e

	* tentec/rx320.c, tentec/tentec.c: further rx-320 mods by Ken Prox

2007-02-28 08:55  mardigras

	* tests/rigctl.c: Added several letters to the interactive commands
	  to implement more test functions.

2007-02-28 08:52  mardigras

	* icom/ic746.c, icom/ic756.c, icom/icom.c, icom/icom.h,
	  include/hamlib/rig.h: Several Bug fixes for extra parameter code
	  and documentation added

2007-02-24 20:24  n0nb

	* rpcrig/rpc.rigd.8, rpcrot/rpc.rotd.8, tests/README,
	  tests/rigctl.1, tests/rigmem.1, tests/rigswr.1, tests/rotctl.1,
	  tests/rotctl.c: Many man page updates to provide needed
	  information and (hopefully)
	  improve readability. Also, tried to keep the man pages as
	  consistent
	  as possible.

2007-02-24 14:53  n0nb

	* rpcrig/rpc.rigd.8: Almost complete rewrite including examples and
	  diagnostic information as
	  well as (hopefully) improving readability.

2007-02-24 04:27  n0nb

	* rpcrig/rpc.rigd.8: Clarify and add usage and parameter examples.

2007-02-22 16:54  n0nb

	* winradio/g313.c: Added S-meter functionality. Thanks to Simone.

2007-02-15 12:50  dianora

	* autogen.sh: - These should have been commented out.

2007-02-13 22:41  dianora

	* autogen.sh: - document debian/FreeBSD needs for AUTOMAKE etc.
	  - add in libtoolize which should be there

2007-02-13 22:32  dianora

	* configure.ac: - gt_HEADER_INTTYPES_H is definitely bogus here,
	  leftover from what?

2007-02-04 02:36  n0nb

	* ChangeLog: Release of 1.2.6.1

2007-01-31 20:36  pa4tu

	* doc/Makefile.am: distribute footer.html

2007-01-29 10:07  dl1nc

	* autogen.sh: trying with exec bit again

2007-01-29 10:03  dl1nc

	* autogen.sh: *** empty log message ***

2007-01-28 12:57  n0nb

	* ChangeLog: Updated Changelog

2007-01-27 23:50  n0nb

	* icom/frame.c, icom/icom.c: icom/frame.c - Look for frame
	  terminators, and retry if we don't get them.
	  
	  icom/icom.c - Initialize ack_len to the size of the response
	  buffer
	  since it is an input to icom_transaction as well as an output.
	  
	  Thanks to David Hagood, N0YKG

2007-01-27 02:14  n0nb

	* bindings/Makefile.am: Revert change in bindings/Makefile.am that
	  broke autogen.sh

2007-01-13 16:19  csete

	* tests/rigctl.1: Added infor about w (send_cmd).

2006-12-27 04:41  dianora

	* bindings/Makefile.am, configure.ac: - first cut at fixing
	  configure to recognise --without-tcl-binding
	  and --without-python-binding options

2006-12-22 14:49  n0nb

	* configure.ac: Advance version to 1.2.7cvs

2006-12-22 14:04  n0nb

	* ChangeLog: Update to 1.2.6 release.

2006-12-22 13:52  n0nb

	* NEWS, configure.ac: Update NEWS and configure.ac for 1.2.6
	  release.

2006-12-10 15:27  n0nb

	* ChangeLog, NEWS: Bring Changelog and NEWS up-to-date for 1.2.6rc1

2006-12-10 14:41  n0nb

	* AUTHORS, README.developer, configure.ac: Welcome DL1JBE, AD7AI,
	  W1HKJ to the Hamlib developers group.
	  Advise against editing Changelog directly.
	  Bump to 1.2.6rc1

2006-11-29 19:38  y32kn

	* kenwood/ts570.c: Transferred all improvements for the TS570D/DG
	  made since 1.24 to the TS570S/SG variant. Both models are in sync
	  now.

2006-11-27 00:23  n0nb

	* include/hamlib/riglist.h: 20061126:
	  Update:
	  Add G313 to riglist.h. Thanks to Andrea Russo for
	  pointing this out.

2006-11-19 13:06  n0nb

	* winradio/g313.c: 20061119:
	  New:
	  New g313.c for G313i/G313e RX support. Thanks to
	  Simone Stoeppler for this support.

2006-11-19 03:04  n0nb

	* winradio/Makefile.am, winradio/winradio.c, winradio/winradio.h:
	  20061118:
	  Update:
	  New Winradio backend, G313i/G313e RX, from Simone Stoeppler.

2006-11-09 04:32  n0nb

	* bindings/Makefile.am: 20061108:
	  Update:
	  Commented out the commands to the uninstall-perl target
	  as it's broken and causes a make error and failure.

2006-11-07 21:57  n0nb

	* README.betatester, README.developer, autogen.sh,
	  tentec/Makefile.am: 20061107:
	  Update:
	  Add orion.h to Makefile.am and edited README.betatester
	  and README.developer for clarity (hopefully). Added a
	  comment to autogen.sh (no command changes).

2006-11-07 12:21  n0nb

	* icom/Makefile.am, icom/ic7000.c, icom/ic746.c, icom/ic7800.c,
	  icom/icom.c, icom/icom.h, include/hamlib/rig.h: 20061107:
	  New:
	  icom/ic7000.c
	  Update:
	  Various Icom updates from AD7AI

2006-11-07 04:28  n0nb

	* bindings/Makefile.PL, bindings/Makefile.am: 20061106:
	  Update:
	  Fix distclean bug in bindings Makefile

2006-11-06 19:35  y32kn

	* kenwood/ts570.c: corrected set/get func for RIG_FUNC_NR.
	  Now you can set/get NR-modes 0..2

2006-11-06 13:43  y32kn

	* kenwood/ts570.c: implemented get/set level for PREAMP

2006-11-02 15:19  aa6e

	* aor/README.ar5000, aor/aor.c, aor/aor.h, aor/ar5000.c,
	  include/hamlib/rig.h, include/hamlib/riglist.h, src/misc.c:
	  SM6PPS mods for AOR 5000a

2006-10-30 20:21  aa6e

	* doc/hamlib.cfg.in, doc/hamlib.css, doc/index.doxygen,
	  tentec/tentec.h: documentation

2006-10-30 20:17  aa6e

	* tentec/orion.c, tentec/orion.h: split orion.c and add doc info

2006-10-28 03:49  aa6e

	* include/hamlib/rig.h, src/ext.c, src/token.h: documentation

2006-10-17 14:28  aa6e

	* src/token.h: documentation

2006-10-17 01:26  aa6e

	* doc/index.doxygen: documentation page

2006-10-17 01:23  aa6e

	* include/hamlib/rig.h: fix enum documentation

2006-10-15 19:51  aa6e

	* aor/ar5000.c: patch from SM6PPS

2006-10-15 13:12  aa6e

	* aor/aor.c: allow atten = 0 dB

2006-10-15 00:49  aa6e

	* doc/hamlib.cfg.in: documentation

2006-10-15 00:27  aa6e

	* doc/hamlib.cfg.in, doc/hamlib.css, doc/index.doxygen,
	  include/hamlib/rig.h, include/hamlib/rotator.h,
	  include/hamlib/rotlist.h, src/cal.c, src/conf.c, src/debug.c,
	  src/event.c, src/ext.c, src/iofunc.c, src/locator.c, src/mem.c,
	  src/misc.c, src/parallel.c, src/register.c, src/rig.c,
	  src/rot_conf.c, src/rot_reg.c, src/rotator.c, src/serial.c,
	  src/settings.c, src/tones.c, src/usb_port.c: documentation

2006-10-13 18:24  aa6e

	* Makefile.am: add comment

2006-10-13 18:24  aa6e

	* doc/footer.html, doc/hamlib.cfg.in, doc/hamlib.css,
	  doc/index.doxygen: doc improvements

2006-10-13 14:33  aa6e

	* INSTALL: info on generating docs

2006-10-13 12:02  aa6e

	* include/hamlib/rig_dll.h: add comments

2006-10-12 19:19  aa6e

	* doc/footer.html, doc/hamlib.cfg.in, doc/hamlib.css,
	  doc/index.doxygen: doxygen formatting

2006-10-12 18:56  aa6e

	* src/mem.c: minor - doxygen parameters

2006-10-12 16:41  aa6e

	* include/hamlib/rig.h: minor - add doxygen info for enums

2006-10-07 21:40  csete

	* ChangeLog: Updated.

2006-10-07 21:33  csete

	* src/iofunc.c: Cast constant caps to variable caps in order to
	  avoid compiler warnings.

2006-10-07 21:10  csete

	* aor/aor.c, aor/ar3000.c, aor/ar3030.c, aor/ar7030.c: - Fixed type
	  mismatches and unhandled switch cases.
	  - Incremented backend version numbers.

2006-10-07 20:45  csete

	* icom/frame.c, icom/icom.c, icom/icom.h, icom/icr75.c,
	  icom/optoscan.c: Fixed type mismatches between signed and
	  unsigned char.
	  There are a few very suspicious 'if' statements in icom.c and
	  frame.c

2006-10-07 20:13  csete

	* icom/ic746.c, icom/ic756.c: Initialise icom_val to avoid compiler
	  warning.

2006-10-07 19:56  csete

	* tests/memload.c, tests/memsave.c: Fixed type mismatches that
	  caused compile warnings.

2006-10-07 19:24  csete

	* tests/rigctl.c: Fixed type mismatches that caused compile
	  warnings.

2006-10-07 19:12  csete

	* tests/rotctl.c: - Cast unsigned char to char in order to avoid
	  compiler warnings.
	  - Handle all enum values in switch statements.

2006-10-07 19:08  csete

	* rotorez/rotorez.c, sartek/sartek.c: - Cast/change unsigned char
	  to char in order to fix compile warnings.
	  - Incremented backend version numbers.

2006-10-07 19:00  csete

	* easycomm/easycomm.c, rft/ekd500.c, rft/rft.c, tapr/dsp10.c,
	  tapr/tapr.c, wj/wj.c, wj/wj8888.c: - Cast/change unsigned char to
	  char in order to fix compile warnings.
	  - Incremented backend version number.

2006-10-07 18:01  csete

	* lowe/hf235.c, lowe/lowe.c: - Cast/change unsigned char to char in
	  order to fix compile warnings.
	  - Incremented backend version numbers.

2006-10-07 17:56  csete

	* drake/drake.c, drake/drake.h: - Cast/change unsigned char to char
	  in order to fix compile warnings.
	  - Incremented backend version numbers.

2006-10-07 17:51  csete

	* jrc/jrc.c, jrc/jrc.h: - Cast/change unsigned char to char in
	  order to fix compile warnings.
	  - Incremented backend version number.

2006-10-07 17:42  csete

	* kachina/505dsp.c, kachina/kachina.c: - Cast unsigned char to char
	  in order to avoid compiler warnings.
	  - Incremented backend version number.

2006-10-07 17:38  csete

	* tentec/jupiter.c, tentec/tentec.c, tentec/tentec2.c,
	  tentec/tt550.c: - Cast unsigned char to char in order to avoid
	  compiler warnings.
	  - Ensure that all variables have a value before they are used
	  (tentec.c).

2006-10-07 16:55  csete

	* alinco/alinco.c, alinco/dx77.c: Cast unsigned char to char in
	  order to avoid compiler warnings. Incremented backend version
	  number.

2006-10-07 16:42  csete

	* pcr/pcr.c, pcr/pcr.h, pcr/pcr100.c: Use tone_t for
	  pcr1_ctcss_list. Changed arg 4 of pcr_transaction to unsigned.
	  Cast the other mismatches to (char *).

2006-10-07 15:51  csete

	* yaesu/frg100.c, yaesu/frg8800.c, yaesu/frg9600.c, yaesu/ft100.c,
	  yaesu/ft1000mp.c, yaesu/ft736.c, yaesu/ft747.c, yaesu/ft757gx.c,
	  yaesu/ft817.c, yaesu/ft847.c, yaesu/ft857.c, yaesu/ft890.c,
	  yaesu/ft897.c, yaesu/ft900.c, yaesu/ft920.c, yaesu/ft990.c,
	  yaesu/vr5000.c, yaesu/yaesu.c: - Cast unsigned char to char in
	  order to avoid compiler warnings.
	  - Ensure that all variables have a value before they are used
	  (ft920).
	  - Disable unused functions and variables (frg100).
	  - Incremented backend version numbers.

2006-10-07 13:26  csete

	* src/mem.c: Cast from const to variable in order to avoid compiler
	  warnings.

2006-10-07 13:08  csete

	* src/rig.c, src/rotator.c: Cast constant caps to variable caps in
	  order to avoid compiler warnings.

2006-09-27 11:38  n0nb

	* include/hamlib/rig.h: 20060927:
	  Update:
	  Update to rig.h from AD7AI

2006-09-22 19:55  n0nb

	* ChangeLog, icom/frame.c, icom/frame.h, icom/ic746.c,
	  icom/ic756.c, icom/icom.c, icom/icom.h, icom/icom_defs.h,
	  src/ext.c: 20060922:
	  Update:
	  Applied Icom patches received 4 Sep 2006 from Kent
	  Hill, AD7AI

2006-09-22 18:27  n0nb

	* tentec/tentec2.c: 20060922:
	  Update:
	  Applied tentec2.c from Dave Freese, W1HKJ

2006-09-22 14:31  n0nb

	* ChangeLog, include/hamlib/rig.h, tests/rigctl.c,
	  tests/rigmatrix.c: 20060922:
	  Update:
	  Applied July 30, 2006 patches from Kent Hill, AD7AI

2006-08-20 13:39  y32kn

	* kenwood/ts570.c: implemented TS570 specific
	  get/set_memory_channel function

2006-07-18 23:06  n0nb

	* kylix/hamlib_rigapi.pas: 20060718:
	  Update:
	  Changed RIG_FUNC_RNF to RIG_FUNC_RF for Icom RTTY filter.
	  TNX AD7AI

2006-07-18 22:51  n0nb

	* ChangeLog, icom/frame.c, icom/frame.h, icom/ic746.c,
	  icom/ic756.c, icom/ic7800.c, icom/icom.c, icom/icom.h,
	  icom/icom_defs.h, include/hamlib/rig.h, src/misc.c,
	  tests/dumpmem.c, tests/rigctl.c: 20060718:
	  Update:
	  Committing patches received from AD7AI for several Icom
	  models including IC-746, IC-756, and IC-7800.

2006-07-10 16:15  n0nb

	* README, README.betatester, README.developer: 20060710:
	  Update:
	  Miscellaneous updates and corrected spelling.

2006-07-10 04:01  n0nb

	* README.developer: 20060709:
	  Update:
	  Corrected anonymous URL in README.developer

2006-07-02 17:05  csete

	* dummy/dummy.c: Added RIT, XIT and IF shift ranges to dummy
	  backend.

2006-04-23 14:16  aa6e

	* tentec/README: Orion S-meter cal

2006-04-13 22:24  aa6e

	* tentec/orion.c: Squashed warnings about signedness

2006-04-13 19:43  pa4tu

	* kenwood/th.c, kenwood/tmv7.c: long long really needed here? -
	  patch by diane Bruce

2006-04-10 18:01  pa4tu

	* kenwood/ts140.c, kenwood/ts680.c: updates by matt, GW0VNR

2006-04-10 18:00  pa4tu

	* kenwood/kenwood.c: long long really needed here?

2006-04-10 17:27  pa4tu

	* bindings/Makefile.PL, bindings/Makefile.am: remove rpath backdoor

2006-03-26 08:01  pa4tu

	* kenwood/ts850.c: re-establish post-write delay

2006-03-22 21:31  csete

	* yaesu/ft817.c: Full RF power scale corresponds to 10 bars, not
	  15.

2006-03-18 10:45  y32kn

	* kenwood/ts570.c: fixed tansition from 'unsigned char' -> 'char'

2006-03-18 10:42  y32kn

	* kenwood/ts570.c: fixed get/set level for RFPOWER and MICGAIN.
	  (based on range 0..100)

2006-03-18 07:41  y32kn

	* include/hamlib/rig.h: Must correspond to the following definition
	  of 'setting_t'

2006-03-16 19:36  pa4tu

	* kenwood/ts850.c: add RIG_LEVEL_STRENGTH to caps, set post write
	  delay to 0 and do some cleanups

2006-03-14 20:35  pa4tu

	* kenwood/ts570.c: extend rig capabilities, patch by Tom, DL1JBE

2006-03-14 20:29  pa4tu

	* kenwood/ts570.c, kenwood/ts680.c, kenwood/ts850.c,
	  kenwood/ts870s.c: more unsigned char->char and int->size_t
	  transitions

2006-03-14 20:06  pa4tu

	* kenwood/th.c, kenwood/thg71.c, kenwood/tmv7.c, kenwood/ts140.c,
	  kenwood/ts450s.c, kenwood/ts480.c: make sure we use ack_len=0 for
	  functions that return nothing (set functions)

2006-03-14 08:36  pa4tu

	* kenwood/kenwood.c: set functions should have ack_len zero, also
	  need to check other rigs

2006-03-12 09:02  pa4tu

	* kenwood/tmv7.c, kenwood/ts140.c, kenwood/ts2000.c,
	  kenwood/ts450s.c, kenwood/ts480.c: more unsigned char->char and
	  int->size_t transitions

2006-03-09 20:12  pa4tu

	* kenwood/th.c: fix more compilation warnings, int->size_t,
	  unsigned char->char

2006-03-09 19:51  pa4tu

	* kenwood/thg71.c: use size_t

2006-03-09 19:45  pa4tu

	* kenwood/kenwood.c, kenwood/kenwood.h: more compilation warnings
	  nuked, use tone_t for ctcss_list

2006-03-07 19:48  pa4tu

	* kenwood/ic10.c, kenwood/kenwood.c: fix compilation warnings

2006-03-07 18:25  pa4tu

	* bindings/pytest.py: fix coding, python2.4 compatibility

2006-03-06 23:02  fillods

	* c++/Makefile.am, src/Makefile.am: drop the release version from
	  shared library name

2006-02-26 23:28  fillods

	* src/debug.c, src/mem.c: win32 fixes

2006-02-26 22:37  fillods

	* configure.ac, src/Makefile.am: get ready for next round

2006-02-26 19:47  fillods

	* NEWS, configure.ac: 1.2.5 release

2006-02-26 19:37  fillods

	* macros/gr_doxygen.m4, macros/perl.m4, macros/pkg.m4,
	  macros/tcl.m4: quote definitions to make automake-1.9 happy

2006-02-26 19:33  fillods

	* missing, mkinstalldirs: remove files added by autotools

2006-02-26 19:31  fillods

	* AUTHORS: welcome to Lars

2006-02-26 19:30  fillods

	* src/conf.c, src/locator.c, src/rotator.c, src/settings.c,
	  src/tones.c, tests/rigctl.1, tests/rigmem.1, tests/rigswr.1,
	  tests/rotctl.1: bump (c) date

2006-02-26 19:28  fillods

	* src/rig.c: bump (c) date, add delay if RTS/DTR is set

2006-02-26 19:24  fillods

	* macros/gr_swig.m4: deadwood

2006-02-26 19:23  fillods

	* kenwood/ts790.c: misc

2006-02-26 19:22  fillods

	* icom/ic761.c: change status

2006-02-26 19:21  fillods

	* aor/ar7030.c: filter fix after Rolf Wernli suggestion

2006-02-26 19:18  aa6e

	* tentec/README: Added Orion, Orion 2 info

2006-02-26 18:48  fillods

	* icom/frame.c, icom/ic751.c: Patch from Lars E. Pettersson, sm6rpz
	  
	  The code should work on IC-751 and IC-751A, both with the
	  original Icom
	  UX-14 board (an option needed to be able to use CI-V) and the
	  Piexx
	  UX-14px-board.
	  
	  The Piexx UX-14px board have the same capabilities as the Icom
	  one, but
	  adds S-meter reading, and PTT (can not read if the PTT is set
	  though.)
	  
	  The Icom IC-751 had FM as an option, the IC-751A had FM built in.
	  
	  I had to add an extra if-statement in frame.c for the CW-narrow
	  to work.
	  The bandwidth numbers used by Icom seem to be a jungle...

2006-02-26 06:25  bwulf

	* yaesu/ft990.c: Fixed bug in ft990_set_mode that caused RTTY
	  interchanged modes USB/LSB
	  Fixed bugs in ft990_get_channel

2006-02-26 06:17  bwulf

	* yaesu/ft990.h: Added missing modes to RX/TX caps

2006-02-26 06:12  bwulf

	* AUTHORS: Fixed mispelled name for VK5ABN

2006-02-20 22:41  fillods

	* src/usb_port.c: misc comment fix

2006-02-20 22:40  fillods

	* bindings/perltest.pl: example how to change baud rate

2006-02-20 22:28  fillods

	* kenwood/ts2000.c: Patch from Patrick Ouellette KB8PYM to get most
	  of the things that hamlib
	  supports from the get_level call working on the TS2000.
	  
	  Things working in this patch:
	  PREAMP status
	  ATTENUATOR status
	  VOX level
	  AF level (main receiver)
	  RF GAIN level
	  SQUELCH level (main receiver)
	  CW PITCH
	  RF POWER level
	  MIC GAIN level
	  KEYER SPEED
	  COMPRESSION level
	  AGC level
	  CW BREAK IN DELAY
	  METER mode
	  VOX GAIN
	  RAW SIGNAL STRENGTH (main receiver)
	  SIGNAL STRENGTH (S-meter for main receiver)

2006-01-16 21:00  fillods

	* src/debug.c: added rig_set_debug_callback example in
	  documentation

2006-01-15 14:25  fillods

	* src/mem.c: flesh out rig_[sg]et_mem_all{,_cb} functions, still
	  some work needed on it though

2006-01-15 14:23  fillods

	* include/hamlib/rig.h: values passed to rig_set_mem_all are
	  supposed to be constant

2006-01-15 14:22  fillods

	* bindings/Makefile.am: fix problem: build bindings libs as real LT
	  libs and not convenience libs(ar format) with some
	  automake/libtool

2006-01-09 21:45  fillods

	* icom/icom.c: added IC-7000 in CI-V addr list

2006-01-09 21:41  fillods

	* rpcrig/rpcrig.x: cleanup

2006-01-09 21:40  fillods

	* kit/kit.c: usb.h to needed for the DWT

2006-01-09 21:16  fillods

	* AUTHORS: Luc is new easycomm maintainer

2006-01-09 21:14  fillods

	* tentec/rx320.c, tentec/tentec.c, tentec/tentec.h: SF Patches item
	  #1397439
	  Submitted By: Ken Prox (kprox)
	  
	  Initial Comment:
	  Here is a patch for the Ten-Tec RX-320(d).
	  
	  1) IF shift (Pass Band Tuning) like the xclass version.
	  2) CW beat frequency adjustment.
	  3) Inverted AF adjustment such that up is increasing volume.
	  4) Recompute and re-send frequency with CWBFO and PBT adjustment.

2005-11-19 14:45  fillods

	* easycomm/easycomm.c: Patch from Luc Langehegermann:
	  Changed the limits to 0..360 for Azimuth and 0..180 for
	  Elevation. That was
	  -180.0..180.0 and 0..90. The devices I know about don't have
	  negative azimuth
	  values.
	  
	  2. In rot_set_position, do not wait for a reply from the
	  controller, as there
	  will not be one, according to the specifications I found at
	  http://www.amsat.org/amsat/ftp/software/win32/wisp/easycomm.txt

2005-11-19 14:41  fillods

	* configure.ac, src/usb_port.c: make libusb usage optional

2005-11-17 22:17  fillods

	* include/hamlib/riglist.h: added IC7000 id

2005-11-17 22:16  fillods

	* configure.ac: don't fail if optional pkg are not found

2005-11-01 23:40  fillods

	* kit/dwt.c: usb freq setting

2005-11-01 23:14  fillods

	* kit/Makefile.am, kit/kit.c, kit/kit.h: added DWT and USRP models

2005-11-01 23:12  fillods

	* kit/dwt.c, kit/usrp.c, kit/usrp_impl.cc, kit/usrp_impl.h: initial
	  release

2005-11-01 23:05  fillods

	* include/hamlib/riglist.h: * renamed SDR RIG_MODEL_USRP model as
	  RIG_MODEL_USRP_G
	  * added DWT, SDR-1000RFE, USRP0, USRP

2005-11-01 23:02  fillods

	* include/hamlib/rig.h, src/Makefile.am, src/rig.c, src/usb_port.c,
	  src/usb_port.h: added usb port type support

2005-11-01 22:57  fillods

	* configure.ac: check for usb and usrp packages

2005-11-01 22:53  fillods

	* AUTHORS: update

2005-10-27 20:34  fillods

	* src/parallel.c: Patch is courtesy Petr Salinger, fixing
	  compilation on the GNU/kFreeBSD

2005-09-28 21:17  fillods

	* kenwood/ts2000.c: The TS-2000 has non standard LEVEL_STRENGTH and
	  LEVEL_ATT.
	  This patch by Patrick Ouellette (and reworked by me) fixes it.

2005-09-28 21:14  fillods

	* kenwood/kenwood.c: added RIG_LEVEL_RAWSTR, and some formating

2005-09-28 21:07  dl1nc

	* hamlib.m4: added quoting for newer autoconf [supplied by Thomas
	  Klausner]

2005-09-24 07:48  fillods

	* kenwood/kenwood.c: re-indent

2005-09-04 10:44  csete

	* yaesu/ft817.c, yaesu/ft817.h: Applied Tommi's improvements from
	  the FT-857 backend with the following changes and additions:
	  
	  - Frequency ranges, tuning steps and TX power levels.
	  - Added ROG_MODE_PKTFM and disabled set WFM since it cannot be
	  explicily set.
	  - Added narrow CW modes.
	  - Enabled set_powerstat.
	  - Created private DCS codes list (not all from tone.h are
	  supported).
	  - Modified CTCSS and DCS code; it is a little different than the
	  857.
	  - Added RIG_LEVEL_RAWSTR and RIG_OP_TOGGLE.
	  - Added set_split_vfo to toggle split ON/OFF (vfo args are
	  silently ignored).
	  get_split_vfo left out becasue it only works when PTT is ON :o)

2005-06-20 21:15  fillods

	* src/rig.c: rig_mW2power fix reported by Brian Mury VE7NGR

2005-05-04 20:57  fineware

	* jrc/jrc.c, jrc/nrd545.c: Added missing manual notch switch for
	  the NRD-545

2005-05-01 11:09  fineware

	* jrc/jrc.c: Fixed several differences in 535/545 commands

2005-04-21 20:50  fillods

	* jrc/jrc.c: fixes around continuous mode

2005-04-21 20:19  fillods

	* aor/aor.c: handle empty channels, bank_num, chop trailing spaces
	  off memory names, allow aor_get_channel(RIG_VFO_CURR)

2005-04-20 16:43  fillods

	* jrc/jrc.c: fix Hold on decode, get out of remote mode for the I
	  command

2005-04-20 16:36  fillods

	* jrc/nrd545.c: added more vfo_ops

2005-04-20 15:31  fillods

	* icom/frame.c: tab reformat

2005-04-20 14:50  fillods

	* aor/aor.c, aor/ar5000.c, aor/ar8000.c, aor/ar8200.c: make use of
	  save memory at once API, don't expect and ack in aor_close

2005-04-20 14:48  fillods

	* aor/Makefile.am, aor/aor.h, aor/ar2700.c, aor/ar8600.c: added
	  AR2700 & AR8600

2005-04-20 14:47  fillods

	* tests/rigmem.c: make CSV separator a parameter

2005-04-20 14:47  fillods

	* tests/memcsv.c, tests/memsave.c: make use of save memory at once
	  API, and make CSV separator a parameter

2005-04-20 14:44  fillods

	* hamlib.spec.in, include/hamlib/rig.h, src/Makefile.am, src/mem.c:
	  extend API to support save/load memory at once

2005-04-20 13:33  fillods

	* tests/rigmem.c: make xml in option usage conditional

2005-04-20 13:29  fillods

	* tests/rigctl.c: line-up

2005-04-20 13:28  fillods

	* src/idx_builtin.h: remove deprecated 64bit code

2005-04-20 13:27  fillods

	* include/hamlib/riglist.h: added AR8600

2005-04-20 13:26  fillods

	* icom/icom.c: silence error message when RIG_OP_XCHG used to check
	  split mode

2005-04-16 11:55  fillods

	* icom/icom.c: tab reformat

2005-04-15 21:50  fillods

	* aor/aor.c, aor/aor.h, aor/ar5000.c, aor/ar8200.c: fix get_channel
	  with empty slots, and first try at bank base problem

2005-04-15 21:14  fillods

	* tests/memcsv.c: continue over empty channels

2005-04-15 18:18  fillods

	* aor/aor.c: Do wait for a reply on each aor command

2005-04-15 17:48  fillods

	* aor/aor.c, aor/aor.h, aor/ar5000.c, aor/ar8200.c: refactor
	  mode/width parsing among aor models, and update AR5000 caps

2005-04-15 15:30  aa6e

	* tentec/orion.c: Add get_, set_ant (ignores rx only ant)

2005-04-13 22:31  fillods

	* jrc/jrc.c: * jrc_transaction made static
	  * do not mask RIG_ETIMEOUT in jrc_transaction
	  * refactor jrc2rig_mode & rig2jrc_mode
	  * turned comments into #if 0 / #endif
	  * added support for RIG_OP_UP/RIG_OP_DOWN

2005-04-13 18:56  fillods

	* bindings/Makefile.am, configure.ac, macros/python.m4: check for
	  Python presence

2005-04-13 18:20  fillods

	* jrc/jrc.c: tab reformat

2005-04-12 01:47  aa6e

	* tentec/orion.c: Support LEVEL_VOX, VOXGAIN, ANTIVOX
	  Support LEVEL_NR as Orion NB setting (firmware bug), FUNC_NB ->
	  NB=0,4

2005-04-11 22:11  fillods

	* tests/rigctl.c: added special \send_cmd(w), fixed ARG_IN_LINE
	  parsing, started coding set_channel(WIP), some tab reformat and
	  reshuffled test_table for better alignment

2005-04-11 14:00  aa6e

	* tentec/orion.c: Added VFO_OPS, promote to Beta

2005-04-10 22:32  fillods

	* tests/rigctl.c: tab reformat

2005-04-10 21:57  fillods

	* alinco/dx77.c, drake/drake.h, drake/r8a.c, drake/r8b.c,
	  jrc/jrc.h, kenwood/ic10.h, lowe/hf235.c, pcr/pcr.h, rft/ekd500.c,
	  skanti/trp8000.c: reflect backend change

2005-04-10 21:55  fillods

	* README.developer: select optimization level and debugging for dev

2005-04-10 21:49  fillods

	* tentec/orion.c, wj/wj.c, yaesu/ft857.c, yaesu/ft890.c,
	  yaesu/ft897.c, yaesu/ft900.c, yaesu/ft920.c: fix error code
	  return convention, which is negative when failed

2005-04-10 21:47  fillods

	* alinco/alinco.c, aor/ar3000.c, aor/ar3030.c, drake/drake.c,
	  jrc/jrc.c, kenwood/ic10.c, lowe/lowe.c, pcr/pcr.c, rft/rft.c,
	  skanti/skanti.c, tentec/tentec.c, tentec/tt550.c,
	  uniden/uniden.c: fix proprer read_string() return code error
	  handling

2005-04-10 20:59  fillods

	* aor/aor.c: fix read_string return code bug, query only one
	  channel memory content in aor_get_channel, and parse only
	  declared fields in mem_caps

2005-04-09 16:33  fillods

	* aor/aor.c, aor/aor.h, aor/ar8200.c: added initial support for
	  get_channel/set_channel, set_mem/get_mem, set_bank, more VFO to
	  set_vfo/get_vfo and fixed aor_get_mode

2005-04-09 09:49  fillods

	* src/Makefile.am, src/debug.c, src/misc.c: moved debug primitives
	  from misc.c to proprer debug.c

2005-04-08 20:15  fillods

	* aor/aor.c: tab reformat

2005-04-06 22:02  fillods

	* tentec/Makefile.am: orion needs gettimeofday

2005-04-06 21:27  fillods

	* include/hamlib/rig.h, src/misc.c: flexible debug reporting

2005-04-05 18:54  nj8j

	* AUTHORS: Added NJ8J's email address.

2005-04-05 13:52  aa6e

	* tentec/orion.c: Added RIG_FUNC_TUNER, RIG_FUNC_LOCK and
	  RIG_FUNC_VOX, fixed MEM_CAP.

2005-04-04 22:26  fillods

	* tests/rigswr.c: tab reformat

2005-04-04 22:00  fillods

	* libltdl/config-h.in, libltdl/configure: dummy check-in to make
	  timestamps past aclocal.m4

2005-04-04 21:31  fillods

	* kenwood/ts440.c, kenwood/ts711.c, kenwood/ts811.c,
	  kenwood/ts940.c: fix version composing

2005-04-04 21:27  fillods

	* macros/gr_pwin32.m4: fix Solaris build and maybe other missing
	  getopt_long

2005-04-04 21:24  fillods

	* src/misc.c: fix mistake

2005-04-04 18:31  fillods

	* src/conf.c, src/misc.c, src/parallel.c, src/register.c,
	  src/rig.c, src/rot_conf.c, src/rot_reg.c, src/rotator.c: tab
	  reformat

2005-04-04 18:08  aa6e

	* tentec/orion.c: Added RIG_LEVEL_CWPITCH, RIG_LEVEL_KEYSPD,
	  send_morse()

2005-04-03 22:47  fillods

	* configure.ac: get ready for next round

2005-04-03 22:44  fillods

	* configure.ac: 1.2.4 release

2005-04-03 22:33  fillods

	* include/hamlib/rig.h, src/mem.c, src/rig.c, src/settings.c,
	  src/tones.c: fix targetable all

2005-04-03 22:10  fillods

	* NEWS: 1.2.4 release

2005-04-03 22:08  fillods

	* macros/tcl.m4: left over patch from previous update

2005-04-03 21:54  fillods

	* libltdl/Makefile.in: libtool post fix

2005-04-03 21:40  fillods

	* libltdl/Makefile.am, libltdl/Makefile.in, libltdl/aclocal.m4,
	  libltdl/config.guess, libltdl/config.sub, libltdl/configure,
	  libltdl/install-sh, libltdl/ltdl.c, libltdl/ltmain.sh, ltmain.sh:
	  Debian libtool-1.5.6-6 update

2005-04-03 21:25  fillods

	* macros/libtool.m4, macros/ltdl.m4: Debian libtool-1.5.6-6 update

2005-04-03 21:21  fillods

	* macros/tcl.m4: tcl8.4 update

2005-04-03 21:08  fillods

	* README.developer: compilability list

2005-04-03 20:40  fillods

	* kenwood/tmv7.c: remove unused variables

2005-04-03 20:23  fillods

	* kenwood/ic10.h, kenwood/k2.c, kenwood/kenwood.h, kenwood/r5000.c,
	  kenwood/th.h, kenwood/thd7.c, kenwood/thf7.c, kenwood/thg71.c,
	  kenwood/tmd700.c, kenwood/tmv7.c, kenwood/ts140.c,
	  kenwood/ts2000.c, kenwood/ts440.c, kenwood/ts450s.c,
	  kenwood/ts480.c, kenwood/ts50s.c, kenwood/ts570.c,
	  kenwood/ts680.c, kenwood/ts690.c, kenwood/ts711.c,
	  kenwood/ts790.c, kenwood/ts811.c, kenwood/ts850.c,
	  kenwood/ts870s.c, kenwood/ts930.c, kenwood/ts940.c,
	  kenwood/ts950.c, pcr/pcr.h, pcr/pcr100.c, pcr/pcr1000.c,
	  tentec/orion.c, uniden/bc245.c, uniden/bc895.c, uniden/uniden.h:
	  account for improvements

2005-04-03 19:57  fillods

	* jrc/jrc.h, jrc/nrd535.c, jrc/nrd545.c: account for improvements

2005-04-03 19:53  fillods

	* icom/ic271.c, icom/ic275.c, icom/ic471.c, icom/ic475.c,
	  icom/ic707.c, icom/ic725.c, icom/ic726.c, icom/ic728.c,
	  icom/ic735.c, icom/ic736.c, icom/ic737.c, icom/ic751.c,
	  icom/ic761.c, icom/ic765.c, icom/ic775.c, icom/ic781.c,
	  icom/ic821h.c, icom/ic970.c, icom/icr71.c, icom/icr75.c: follow
	  backend version

2005-04-03 19:47  fillods

	* icom/ic746.c: account for improvements

2005-04-03 19:41  fillods

	* aor/aor.h, aor/ar5000.c: account for aor.c improvements

2005-04-03 19:40  fillods

	* aor/ar3030.c: account for improvements

2005-04-03 19:35  fillods

	* alinco/dx77.c: account for alinco.c improvements

2005-04-03 19:27  fillods

	* yaesu/ft100.c, yaesu/ft100.h, yaesu/ft747.h, yaesu/ft817.c,
	  yaesu/ft817.h, yaesu/ft847.h, yaesu/ft857.h: unexport functions
	  and make them static

2005-04-03 19:19  fillods

	* include/hamlib/riglist.h: disable unexistant 'radioshack'
	  autoload for now

2005-04-03 19:15  fillods

	* include/hamlib/riglist.h: new racal model

2005-04-03 18:57  fillods

	* yaesu/ft890.c, yaesu/ft890.h, yaesu/ft900.c, yaesu/ft900.h:
	  removed non used functions, which are emulated by the frontend

2005-04-03 18:37  fillods

	* yaesu/ft736.c: typo

2005-04-03 18:36  fillods

	* tests/dumpcaps.c: report emulated features

2005-04-03 18:35  fillods

	* include/hamlib/rig.h: fix prototype

2005-04-03 18:33  fillods

	* configure.ac: search tcl headers in tcl dir, enter bindings only
	  if there's someting to do

2005-04-03 17:06  fillods

	* bindings/Makefile.am, configure.ac: allow to select indivial
	  bindings to build, patch by Hargobind S. Khalsa

2005-04-03 16:50  fillods

	* aor/ar7030.c: fix gcc-2.9x build

2005-04-03 15:54  fillods

	* tentec/orion.c: use rig_debug instead of printf

2005-04-03 12:27  fillods

	* flexradio/sdr1k.c, fodtrack/fodtrack.c, icom/frame.c,
	  icom/frame.h, icom/optoscan.c, include/hamlib/rotator.h,
	  kit/drt1.c, kit/elektor304.c, microtune/i2cio_pp.cc,
	  microtune/i2cio_pp.h, microtune/microtune_4702.h,
	  microtune/microtune_4937.h, microtune/microtune_eval_board.cc,
	  microtune/microtune_eval_board.h, src/iofunc.c, src/iofunc.h,
	  src/parallel.c, src/parallel.h, src/register.c, src/register.h,
	  src/rig.c, src/rot_reg.c, src/serial.c, src/serial.h,
	  tests/rig_bench.c, tests/testrig.c: renamed port_t as
	  hamlib_port_t

2005-04-01 19:32  aa6e

	* tentec/orion.c: various bug fixes

2005-03-30 04:30  aa6e

	* tentec/orion.c: Fix timeout, add retry, better S-mtr scale

2005-03-28 09:41  fillods

	* include/hamlib/rig.h: Better define to detect MacOSX

2005-03-28 09:39  fillods

	* include/hamlib/rig.h: Better define to detect MacOSX

2005-03-28 09:37  fillods

	* rpcrig/rpcrig.x, rpcrot/rpcrot.x: Added missing symbol for
	  MacOSX, patch by Marv

2005-03-28 02:33  aa6e

	* tentec/orion.c: Fix SWR & S-meter, set ATT, set AGC, add rough
	  STR_CAL func.

2005-03-26 23:33  fillods

	* include/hamlib/rig.h, include/hamlib/rotator.h: prepare type
	  rename of port_t to hamlib_port_t, to solve a name clash under
	  MacOSX C++

2005-03-26 17:57  fillods

	* src/rig.c: added emulated split operation through RIG_OP_TOGGLE

2005-03-26 13:03  fillods

	* yaesu/ft897.c, yaesu/ft897.h: implemented TOGGLE, LEVEL_SWR,
	  LEVEL_RAWSTR, split. Made ft857 functions unexported

2005-03-25 22:27  fillods

	* README.developer: update wrong CVS host, added section on
	  contributing

2005-03-25 20:33  aa6e

	* tentec/orion.c: specified buffer lengths, added default vfo A
	  setting

2005-03-18 16:43  fillods

	* aor/ar7030.c: patch from Fritz DC9RP

2005-03-18 16:38  fillods

	* aor/README.ar7030: initial release, from Fritz DC9RP

2005-03-13 18:30  fillods

	* yaesu/vr5000.c: patch from Jacob Heder

2005-03-13 18:09  fillods

	* AUTHORS: added Rob and Jacob

2005-03-13 17:56  fillods

	* tests/rigctl.1, tests/rigmem.1, tests/rigswr.1, tests/rotctl.1:
	  update (c)

2005-03-13 17:55  fillods

	* tests/rigctl.c: send_morse takes a whole line, including spaces

2005-03-13 17:54  fillods

	* kenwood/kenwood.c: fix send_morse which needs 24 space padding,
	  thanks to Rob KL7NA for report

2005-02-26 23:44  fillods

	* yaesu/yaesu.c: added yaesu probe rigs

2005-02-26 23:13  fillods

	* yaesu/Makefile.am, yaesu/yaesu.c: new VR-5000 and FT1000MP's
	  entries

2005-02-26 23:13  fillods

	* yaesu/ft1000mp.c: cloned FT1000MP entries

2005-02-26 23:11  fillods

	* yaesu/vr5000.c: initial release

2005-02-26 22:31  fillods

	* include/hamlib/riglist.h, yaesu/yaesu.h: new yeasu entries

2005-02-26 22:30  fillods

	* yaesu/frg100.c: fix bug in mode setting

2005-02-26 22:29  fillods

	* tentec/jupiter.c: don't export local functions, make them static

2005-02-26 22:28  fillods

	* aor/ar3000.c: changed status

2005-02-25 11:32  bwulf

	* yaesu/ft990.c: Fixed erroneous return value

2005-02-24 22:40  fillods

	* kenwood/ts140.c: don't export local functions, make them static

2005-02-24 22:39  fillods

	* kenwood/ts570.c: Patch by Rob, KL7NA (+fixes): enable tuner,
	  antenna setting, VFO scan, and send_morse support

2005-02-24 22:35  fillods

	* kenwood/thg71.c, kenwood/tmv7.c, kenwood/ts680.c,
	  kenwood/ts870s.c: don't export local functions, make them static

2005-02-21 18:56  fillods

	* src/tones.h: fix static building under MinGW/MSYS

2005-02-21 18:03  fillods

	* include/hamlib/riglist.h: added microtune 4707

2005-02-20 02:38  fillods

	* configure.ac, src/parallel.c, src/rig.c, src/rotator.c: initial
	  parallel port support for *BSD

2005-02-19 00:37  fillods

	* aor/ar3000.c: fix get_mode by Wally N9MJG

2005-02-13 00:22  fillods

	* kenwood/kenwood.c: added FUNC_FAGC, by Rob Frohne KL7NA

2005-02-03 20:51  pa4tu

	* kenwood/ts870s.c: split has_get_level and has_set_level

2005-02-03 20:22  pa4tu

	* kenwood/ts870s.c: really add ALC read this time, only change
	  meter if needed, cleanups

2005-02-02 20:23  pa4tu

	* kenwood/ts870s.c: bump version, no preamp

2005-02-02 20:14  pa4tu

	* kenwood/ts870s.c: add RIG_LEVEL_COMP, RIG_LEVEL_AGC, copied from
	  ts850

2005-02-02 20:06  pa4tu

	* kenwood/ts870s.c: add RIG_LEVEL_SWR, copied from ts850

2005-02-02 20:05  pa4tu

	* kenwood/kenwood.c, kenwood/kenwood.h: export convenience function
	  get_kenwood_level, so they can be use by other backends

2005-02-02 19:32  pa4tu

	* kenwood/kenwood.c: set attenuator level

2005-01-31 16:41  pa4tu

	* kenwood/kenwood.c: only switch tx vfo is split is on

2005-01-31 16:15  pa4tu

	* kenwood/ts140.c, kenwood/ts680.c: more functionality, mode and
	  frequency get by Matt Dawson

2005-01-28 19:14  pa4tu

	* debian/README.Debian, debian/changelog, debian/control,
	  debian/docs, debian/hamlib2++.dirs, debian/hamlib2-perl.dirs,
	  debian/hamlib2-tcl.dirs, debian/hamlib2.dirs,
	  debian/hamlib3++.dirs, debian/hamlib3-perl.dirs,
	  debian/hamlib3-tcl.dirs, debian/hamlib3.dirs,
	  debian/python2.3-hamlib2.dirs, debian/python2.3-hamlib3.dirs,
	  debian/rules: sync with latest debian release

2005-01-28 18:51  pa4tu

	* AUTHORS: lifetime e-mail address :-)

2005-01-28 09:57  fillods

	* AUTHORS: update from Darren

2005-01-27 22:32  fillods

	* AUTHORS: update from Mark

2005-01-27 12:11  n0nb

	* AUTHORS: Add Dave Hines to AUTHORS file.

2005-01-26 22:26  fillods

	* AUTHORS: first attempt at updating the maintainer list

2005-01-25 07:30  fillods

	* rft/ekd500.c: change stop bits

2005-01-25 00:33  fillods

	* aor/aor.c: commit fixup

2005-01-25 00:22  fillods

	* alinco/alinco.c, jrc/jrc.c, kenwood/ic10.c, kenwood/kenwood.c,
	  kenwood/th.c, kenwood/tmv7.c, pcr/pcr.c, tentec/orion.c,
	  tests/memsave.c, tests/rigctl.c, tests/rigmem.c, tests/testbcd.c,
	  tests/testfreq.c, uniden/uniden.c, yaesu/ft100.c,
	  yaesu/ft1000mp.c, yaesu/ft747.c, yaesu/ft817.c, yaesu/ft847.c,
	  yaesu/ft857.c, yaesu/ft890.c, yaesu/ft897.c, yaesu/ft900.c,
	  yaesu/ft920.c, yaesu/ft990.c: second pass at getting rid of "ll"
	  immediate literal format (64bit int)

2005-01-24 23:04  fillods

	* alinco/alinco.c, aor/aor.c, aor/ar3000.c, aor/ar3030.c,
	  flexradio/sdr1k.c, include/hamlib/rig.h, jrc/jrc.c, kenwood/th.c,
	  kenwood/thg71.c, kenwood/tmv7.c, kit/drt1.c, kit/elektor304.c,
	  src/misc.h, tests/memcsv.c, tests/memload.c, tests/rigctl.c,
	  tests/testbcd.c, tests/testrig.c, tests/testtrn.c, yaesu/ft100.c,
	  yaesu/ft990.c: * abstract 64bit int format type to cope with
	  portability issues.
	  introduce PRIll (printf format) and SCNll (scanf) in misc.h.
	  This needs to have config.h included beforehand.
	  * do likewise with freq_t type (double) in rig.h
	  FREQFMT is deprecated.

2005-01-24 22:54  fillods

	* configure.ac: check for <inttypes.h>, better check at tcl working
	  dist

2005-01-19 22:23  pa4tu

	* kenwood/ts140.c, kenwood/ts680.c: basic functionality by Matt
	  Dawson, tested with grig and xlog

2005-01-19 17:17  pa4tu

	* icom/ic746.c: s-meter calibration by Matt Dawson

2005-01-18 23:06  n0nb

	* src/locator.c, yaesu/ft920.c, yaesu/ft920.h: 20050118:
	  
	  Update:
	  src/locator.c -- Applied patch from Dave Hines M1CXW
	  yaesu/ft920.* -- Format cleanup

2005-01-16 18:19  fillods

	* kenwood/ts2000.c: TS-2000 needs post write delay at high speeds

2005-01-12 01:55  n2por

	* src/rig.c: Use RIG_TARGETABLE_MODE in rig_set_mode and
	  rig_get_mode

2004-12-28 12:59  f4dwv

	* kenwood/tmv7.c: fix channel desc and channel name save

2004-12-28 12:58  f4dwv

	* kenwood/th.c: fix too optimistic comment

2004-12-28 11:08  f4dwv

	* kenwood/tmv7.c: add its own set/get_channel

2004-12-27 12:53  f4dwv

	* kenwood/kenwood.c, tests/memcsv.c, tests/memsave.c: use
	  RIG_ENAVAIL as return code for empty channels in get_channel

2004-12-22 16:06  f4dwv

	* kenwood/th.c: fix get_channel for split frequency

2004-12-22 16:03  f4dwv

	* tests/memsave.c: don't save repeter offset if it's 0

2004-12-20 22:58  jrinas

	* kenwood/kenwood.c: * fixed set_func (concerns most kenwood rigs)
	  * added 115200 to the list of baudrates in probeallrigs_kenwood()

2004-12-14 07:37  jrinas

	* kenwood/ts480.c: added a few get_level/set_level
	  get_function/set_functions.

2004-12-08 21:13  fillods

	* aor/ar7030.c: Initial patch from Fritz DC9RP

2004-12-06 22:16  f4dwv

	* kenwood/thg71.c: fix rig state vfo list

2004-12-06 22:15  f4dwv

	* kenwood/th.c: fix get_level RFPOWER and set_ptt

2004-11-28 21:06  jrinas

	* kenwood/ts480.c: added antenna switching...

2004-11-27 13:40  fillods

	* kit/drt1.c: set charge pump current to 150uA, and confirm BETA
	  status

2004-11-27 13:27  fillods

	* include/hamlib/riglist.h: added TenTec Paragon II

2004-11-27 13:19  fillods

	* include/hamlib/riglist.h, kenwood/Makefile.am, kenwood/kenwood.c,
	  kenwood/kenwood.h, kenwood/ts480.c: TS-480 initial support from
	  Jurgen DC3BW

2004-11-17 22:12  fillods

	* configure.ac, hamlib.spec.in, src/Makefile.am: 1.2.4cvs version

2004-11-17 22:08  fillods

	* NEWS, configure.ac: 1.2.3 release

2004-11-17 22:02  fillods

	* yaesu/ft847.c: fix USB/LSB set_mode, from Tapio report

2004-11-15 18:51  fillods

	* kachina/505dsp.c, kachina/kachina.c, kachina/kachina.h: initial
	  support for raw S-Meter reading

2004-11-15 16:54  fillods

	* include/hamlib/riglist.h: RIG_MODEL_ICALL is deprecated

2004-11-15 16:53  fillods

	* kenwood/ts450s.c, kenwood/ts690.c: caps fixes

2004-11-15 16:23  fillods

	* kenwood/ts870s.c: debug message changes

2004-11-15 15:21  fillods

	* yaesu/frg100.c: fix a comment, rough guess at str_cal waiting for
	  real measurement

2004-11-15 14:50  fillods

	* bindings/tcltest.tcl: identify Tcl test

2004-11-15 14:50  fillods

	* bindings/pytest.py: identify python test

2004-11-15 14:49  fillods

	* bindings/perltest.pl: identify perl test

2004-11-14 22:33  fineware

	* jrc/nrd535.c: Fixed low-end of freq range from 100kHz to 10kHz.

2004-11-11 17:53  f4dwv

	* kenwood/tmv7.c: try to be nice with sgcontrol :
	  -add dummy get_powerstat
	  -add str_val
	  -add tx/rx ranges
	  -fix channel_list

2004-11-11 17:51  f4dwv

	* kenwood/th.c, kenwood/th.h: add get_powerstat
	  fix get_mem : restore previous VFO

2004-11-08 22:46  fillods

	* kenwood/k2.c: update status

2004-11-08 22:05  fillods

	* tests/testbcd.c, tests/testrig.c, tests/testtrn.c: FREQFMT fixes

2004-11-08 21:52  fillods

	* tentec/jupiter.c: patch for tt538 native support from Mike AB3AP

2004-11-04 22:49  f4dwv

	* kenwood/th.c: fix get_channel answer freq parsing

2004-10-02 20:37  fillods

	* flexradio/sdr1k.c, fodtrack/fodtrack.c, microtune/i2cio_pp.h,
	  src/Makefile.am, src/parallel.c, src/parallel.h, src/rig.c,
	  src/rotator.c, src/serial.c, src/serial.h: Split parallel port
	  primitives in separate file from serial

2004-10-02 20:18  fillods

	* icom/optoscan.c, src/rig.c, src/serial.c, src/serial.h: *
	  ser_ptt*/ser_dcd* are gone. Try to not mix low level serial stuff
	  with
	  high level Hamlib stuff. Added
	  ser_get_cts,ser_get_dsr,ser_get_car.
	  * better error code cascading

2004-10-02 10:34  fillods

	* tests/rigmem.1: be more precise about rig list source

2004-10-02 10:33  fillods

	* tests/rigctl.c: only print argument name if it is an input

2004-10-02 10:32  fillods

	* src/cal.c, src/conf.c, src/event.c, src/ext.c, src/iofunc.c,
	  src/locator.c, src/mem.c, src/misc.c, src/register.c, src/rig.c,
	  src/rot_conf.c, src/rot_reg.c, src/rotator.c, src/serial.c,
	  src/serial.h, src/settings.c, src/tones.c: prepare work for Win32
	  systems which have 2 possible ABI: _stdcall and _cdecl

2004-10-02 10:09  fillods

	* hamlib.spec.in: * New backends: skanti, racal, wj, tuner
	  * New command: 'rigswr'
	  * typo fixes

2004-10-02 10:08  fillods

	* src/Makefile.am: reflect age changes

2004-09-26 17:36  fillods

	* yaesu/ft990.c: memset is more portable than bzero

2004-09-26 17:29  fillods

	* icom/icr8500.c: S-Meter calibration data from Ralf dk5bu, various
	  dcd(sql) and scan fixes

2004-09-26 08:35  fillods

	* alinco/alinco.c, alinco/dx77.c, icom/ic703.c, icom/ic706.c,
	  icom/ic718.c, icom/ic756.c, icom/ic7800.c, icom/ic910.c,
	  icom/icom.c, icom/icom.h, icom/icr10.c, icom/icr7000.c,
	  icom/icr72.c, icom/icr9000.c, icom/id1.c, icom/optoscan.c,
	  icom/os456.c, icom/os535.c, jrc/jrc.c, jrc/nrd535.c,
	  jrc/nrd545.c, kachina/505dsp.c, kenwood/k2.c, kenwood/kenwood.c,
	  kenwood/thd7.c, kenwood/thf7.c, kenwood/tmd700.c,
	  kenwood/ts2000.c, kenwood/ts50s.c, kenwood/ts570.c,
	  kenwood/ts950.c, pcr/pcr100.c, tests/dumpcaps.c, tests/rigctl.1,
	  yaesu/ft857.c, yaesu/ft897.c: remove deprecated RIG_LEVEL_SQLSTAT
	  and fix get_dcd, fix str_cal in icom backend

2004-09-25 14:33  fillods

	* tuner/v4l.c: typo

2004-09-25 14:33  fillods

	* icom/Makefile.am, icom/ic756.c, icom/ic78.c, icom/ic7800.c,
	  icom/icom.c, icom/icom.h, icom/icr20.c: Added IC-78, IC-7800,
	  IC-R20, IC-756PROIII

2004-09-25 14:32  fillods

	* include/hamlib/riglist.h: added IC-7800, IC-R20, IC-756PROIII

2004-09-25 14:31  fillods

	* include/hamlib/rig.h: define RIG_ANT_4

2004-09-22 13:56  bwulf

	* yaesu/ft990.c: ft990_get_mem(): Fixed bug that prevented the
	  reporting of current channel
	  number when vfo != RIG_VFO_MEM
	  
	  ft990_get_channel(): Revised implementation of the get_channel()
	  function.
	  Initialisation of the "channel_t chan" data structure
	  as not every data field is supported by the FT990 rig. It
	  should be the responsibility of the frontend to initialize
	  this data structure prior to passing it to the backend.
	  
	  ft990_get_update_data(): Revised the implementation of this local
	  utility
	  responsible for the retrival of the rig's data structures.
	  The 3rd argument of this function is now used to pass
	  the channel number for memory channel related queries.
	  
	  Several bug fixes and source code cleanup

2004-09-14 22:19  fineware

	* jrc/nrd535.c, jrc/nrd545.c: Added provisions for a variable
	  bandwidth control (BWC)

2004-09-14 22:17  fineware

	* jrc/jrc.c: Added provisions for a variable bandwidth control
	  Added provisions for a tone control
	  Corrected problems with Squelch (SQL) and Notch (NOTCHF) controls

2004-09-14 22:15  fineware

	* include/hamlib/rig.h: Added a provisional variable bandwidth
	  control to the RIG_LEVEL enumeration

2004-09-14 22:14  fineware

	* src/idx_builtin.h: Added a provisional define for a variable
	  bandwidth control

2004-09-12 21:30  fillods

	* racal, racal/Makefile.am, racal/ra6790.c, racal/racal.c,
	  racal/racal.h, tuner, tuner/Makefile.am, tuner/tuner.c,
	  tuner/tuner.h, tuner/v4l.c, tuner/videodev.h, wj, wj/Makefile.am,
	  wj/wj.c, wj/wj.h, wj/wj8888.c: Initial release

2004-09-12 21:27  fillods

	* Makefile.am, configure.ac, include/hamlib/riglist.h: added
	  racal,wj and tuner backends

2004-09-08 20:51  fillods

	* kenwood/ts850.c: * set the serial handshake to use CTS/RTS
	  * mode some functions static

2004-09-07 21:54  fillods

	* icom/ic756.c, icom/icom.c, icom/icom_defs.h: * fixed icom_set_ptt
	  (wrong opcodes/format)
	  * added RTTYR and CWR to IC-756PROII

2004-09-07 20:40  fillods

	* aor/aor.c, aor/aor.h, aor/ar5000.c, aor/ar8000.c, aor/ar8200.c:
	  added support for:
	  * aor_get_dcd
	  * set_level/get_level: RIG_LEVEL_AGC (only AR5000),
	  RIG_LEVEL_RAWSTR
	  * set_powerstat: RIG_POWER_ON (only AR5000)

2004-09-07 20:37  fillods

	* aor/ar3000.c, aor/ar3030.c: misc: made internal function static

2004-09-06 19:16  fineware

	* icom/icr75.c: Added FM narrow to passband spec

2004-09-06 18:10  fineware

	* icom/frame.c: Fixed passband width return for IC-756PROII

2004-09-06 17:43  fineware

	* icom/icr75.c: accounted for dual preamp (10 & 20db)

2004-09-05 19:15  fineware

	* drake/drake.c: Made get_channel aware of untunable blank memory
	  channel

2004-09-05 00:38  fineware

	* icom/icr75.c: Updated set/get channel functions

2004-09-05 00:33  fineware

	* drake/drake.c, drake/drake.h, drake/r8a.c, drake/r8b.c,
	  jrc/jrc.c, jrc/jrc.h, jrc/nrd535.c, jrc/nrd545.c: Added set/get
	  channel functions

2004-09-01 01:08  fineware

	* drake/drake.c: Correctly detect if in memory mode in get_vfo()
	  Reduced large decision trees with bitwise math

2004-08-31 03:47  fineware

	* jrc/jrc.c, jrc/jrc.h, jrc/nrd535.c, jrc/nrd545.c: Added set_vfo
	  command for vfo/mem switching
	  Corrected handling of "vacant" memory channels

2004-08-31 03:45  fineware

	* drake/drake.c, drake/r8a.c, drake/r8b.c: Added memory switching
	  function in set_vfo
	  Added set memory channel# in radio in set_mem

2004-08-30 01:39  fineware

	* icom/icom.c: fixed get_powerstat to read correctly when memory
	  channel is blank

2004-08-29 18:21  fineware

	* tests/rigmatrix.c: included other rig_ prefixes

2004-08-27 01:49  fineware

	* icom/icom.c, icom/icom_defs.h, icom/icr75.c: Fixed CWPITCH
	  function on IC-R75 to use 'set mode data' command. Added level
	  granularity steps

2004-08-26 20:56  fillods

	* yaesu/frg100.c: quick fix has reported from DReaM user, more to
	  be done along the line of FT100

2004-08-26 20:46  fillods

	* aor/ar7030.c: fix bug in kHz/Hz conversion, and least significant
	  nibble squashing in set_freq

2004-08-23 22:01  fillods

	* configure.ac: bump version number

2004-08-23 21:05  fillods

	* NEWS, configure.ac: new release

2004-08-23 21:03  fillods

	* src/Makefile.am: bump lib revision number

2004-08-23 20:31  fillods

	* kit/elektor304.c: bump status

2004-08-23 19:48  fillods

	* winradio/g303.c: correct SignalStrength computation and function
	  pointer types

2004-08-21 23:53  fillods

	* icom/frame.c, icom/icom.c, icom/icom.h, icom/icom_defs.h,
	  icom/icr75.c: IC-R75 patch from Mark J. Fine

2004-08-19 21:02  fillods

	* kit/Makefile.am, kit/drt1.c, kit/kit.c, kit/kit.h: initial
	  release of DRT1

2004-08-18 18:51  fillods

	* Makefile.am, configure.ac, skanti, skanti/Makefile.am,
	  skanti/skanti.c, skanti/skanti.h, skanti/trp8000.c: added skanti
	  initial support

2004-08-17 23:01  fineware

	* README.win32: Updated to reflect recent changes within
	  v1.2.2cvs-2

2004-08-17 20:49  fillods

	* README.win32: Update from Mark, plus some notes of mine

2004-08-17 20:41  fillods

	* drake/drake.c, jrc/jrc.c: C++ constructs are not permitted by
	  gcc-2.9x..

2004-08-17 20:07  fillods

	* yaesu/Makefile.am, yaesu/ft1000d.c, yaesu/ft990.c, yaesu/ft990.h,
	  yaesu/yaesu.c, yaesu/yaesu.h: Cloned the FT1000D from the FT990,
	  since they are similar. Test needed.

2004-08-17 20:05  fillods

	* bindings/hamlibvb.bas.in: Not sure about Object, Long on 32 bits
	  arch is ok

2004-08-16 22:34  fillods

	* src/conf.c, src/locator.c, src/mem.c, src/rotator.c,
	  src/settings.c, src/tones.c: (c) date update

2004-08-16 22:33  fillods

	* winradio/g303.c: bump version

2004-08-16 22:32  fillods

	* macros/Makefile.am, macros/libxml.m4, tests/Makefile.am: Use the
	  lib XML 2 macro file

2004-08-16 22:30  fillods

	* macros/libxml2.m4: Try linking in case of cross-compile instead
	  of blind accept (which fails later for Mingw)

2004-08-16 22:28  fillods

	* macros/gr_pwin32.m4: Sleep() needs windows.h/winbase.h for test
	  to succeed under Cygwin w/ -mno-cygwin

2004-08-16 21:41  fillods

	* macros/libxml2.m4: initial release

2004-08-16 20:57  fillods

	* icom/icom.h: fix implicit include for timeval

2004-08-16 20:44  fillods

	* configure.ac, winradio/winradio.h: Some winradio backends have
	  only support for Linux module, ie. depend on linux/ioctl.h

2004-08-12 02:06  fineware

	* drake/r8a.c, jrc/nrd535.c, jrc/nrd545.c: Reconfigured default
	  filter modes

2004-08-12 02:05  fineware

	* drake/drake.c, drake/r8b.c: Added ECSS support to R8B and
	  reconfigured default filter modes

2004-08-11 17:58  fillods

	* include/hamlib/riglist.h: added DRT1 and SDU5000

2004-08-10 22:41  fillods

	* tests/rigmatrix.c: strstatus has been renamed to rig_strstatus

2004-08-10 21:10  fillods

	* yaesu/Makefile.am, yaesu/frg100.c, yaesu/frg9600.c,
	  yaesu/ft736.c, yaesu/yaesu.c, yaesu/yaesu.h: Initial support for
	  FT736R, FRG100 and FRG9600

2004-08-10 21:03  fillods

	* yaesu/ft757gx.c: guess at ptt_type, better validity check in
	  get_level

2004-08-10 21:02  fillods

	* kit/elektor304.c: fix bug: wrong OSCFREQ

2004-08-10 21:00  fillods

	* include/hamlib/rig.h, src/iofunc.c, src/iofunc.h, yaesu/ft857.c,
	  yaesu/ft897.c: resolve win32 header compatibility issue: no more
	  HANDLE/timeval specific types

2004-08-10 19:46  fillods

	* tests/rig_bench.c: strstatus has been renamed to rig_strstatus

2004-08-09 20:56  fillods

	* configure.ac: allow VPATH build of doc

2004-08-09 20:55  fillods

	* doc/index.doxygen: add some Internet links, fixes Debian
	  Bug#263287

2004-08-09 20:53  fillods

	* doc/hamlib.cfg: deprecated in favor of hamlib.cfg.in

2004-08-09 20:52  fillods

	* doc/hamlib.cfg.in: copy from hamlib.cfg with tweaks to allow
	  VPATH build

2004-08-08 21:38  fillods

	* winradio/g303.c: fix DLL function name binding

2004-08-08 20:14  fineware

	* drake/drake.c, drake/r8a.c, drake/r8b.c: Added support for meter
	  strength

2004-08-08 20:13  fineware

	* jrc/jrc.c, jrc/nrd535.c, jrc/nrd545.c: Added support for ECSS/FAX
	  and meter strength

2004-08-08 19:42  fillods

	* aor/ar3030.c, bindings/hamlibvb.bas.in, include/hamlib/rig.h,
	  lowe/lowe.c, src/misc.c, tests/rigctl.1: added ECSSUSB/ECSSLSB
	  and FAX modes

2004-08-08 19:15  fillods

	* yaesu/ft757gx.c, yaesu/ft757gx.h, yaesu/yaesu.c, yaesu/yaesu.h:
	  added FT757GXII initial support and reworked the FT757GX common
	  backend

2004-08-01 23:14  fillods

	* kit/elektor304.c: account for win32 serial work

2004-08-01 23:13  fillods

	* lib/termios.c, lib/win32termios.h, src/serial.c: Fixes for
	  BRK/RTS/DTR handling under win32

2004-08-01 23:12  fillods

	* src/rig.c: year stuff

2004-08-01 22:32  fillods

	* Makefile.am: added README.win32 to dist

2004-08-01 22:07  fillods

	* README.win32: initial release

2004-08-01 21:31  fillods

	* tests/rigswr.1: typo

2004-08-01 21:29  fillods

	* icom/ic726.c: status update

2004-08-01 21:26  fillods

	* rpcrot/rpcrot_backend.c: header fix

2004-08-01 21:23  fillods

	* alinco/dx77.c, jrc/nrd535.c, jrc/nrd545.c: account for backend
	  improvement

2004-08-01 21:18  fillods

	* bindings/Makefile.am, configure.ac: VB script

2004-07-30 23:09  fillods

	* bindings/hamlibvb.bas.in: closer to working script

2004-07-30 23:07  fillods

	* bindings/hamlibvb.bas.in: initial release

2004-07-16 11:47  t_mills

	* aor/ar3030.c: Fixed getting filter width.
	  Added close function.

2004-07-11 11:53  pa4tu

	* hamlib.spec.in, tests/rigctl.1, tests/rigmem.1: correct spelling

2004-07-07 00:27  nj8j

	* alinco/alinco.c: Handle setting Keyer speed and CW Pitch

2004-07-05 14:38  t_mills

	* aor/ar3030.c: Fixed get_freq() no need to multiply by 10. Manual
	  seems to be wrong.

2004-07-03 15:01  t_mills

	* aor/ar3030.c: Fixed ar3030_get_mode()
	  Removed attemped to set WFM mode (non existent on the radio) and
	  added in setting of AMS mode in ar3030_set_mode()

2004-06-26 20:01  fineware

	* jrc/nrd535.c: Fixed post-write-delay timing

2004-06-14 22:23  fillods

	* tests/rigswr.1: * add non legacy PTT control support
	  * include gnuplot example in man page
	  * misc fixes and cleanup

2004-06-14 22:22  fillods

	* tests/rigswr.c: * add non legacy PTT control support
	  * set RFPOWER to 25% when transmitting
	  * check rig has set_ptt capability before going further
	  * misc fixes and cleanup

2004-06-14 21:15  fillods

	* tentec/orion.c: first bite at the Orion

2004-06-14 21:12  fillods

	* tentec/rx320.c: level_gran caps fix

2004-06-14 21:10  fillods

	* aor/Makefile.am, aor/aor.c, aor/aor.h, aor/ar3030.c: initial
	  support for AR3030

2004-06-14 21:09  fillods

	* aor/ar3000.c: fixes, support for get_level/mem/bank, yet no
	  testing

2004-06-14 21:07  fillods

	* tests/Makefile.am: fix typo

2004-06-14 20:57  fillods

	* kenwood/ts850.c: safer this way, keep in mind value_t is a union

2004-06-14 20:16  f4dwv

	* tests/rigswr.1: fix header

2004-06-14 20:13  f4dwv

	* tests/Makefile.am, tests/rigswr.1, tests/rigswr.c: add rigswr

2004-06-14 19:32  f4dwv

	* kenwood/ts850.c: fix SWR reading +
	  increase post_write timeout : seems necessary for SWR reading to
	  work without retry

2004-06-13 12:38  fillods

	* kenwood/ic10.c, kenwood/ic10.h, kenwood/r5000.c: * Patch from
	  Mark J. Fine, plus some tweaks of mine to make it generic:
	  
	  > Attached is updated code for the IC-10 interface, which is the
	  primary
	  > code for the TS-440S and R-5000. Most of the info is
	  R-5000-specific,
	  > therefore I did not attempt to write for the RIT and XIT
	  commands.
	  > However, all of the other IC-10 commands are included.

2004-06-13 12:36  fillods

	* kenwood/kenwood.h, kenwood/ts440.c, kenwood/ts711.c,
	  kenwood/ts811.c, kenwood/ts940.c: * ic10: added if_len field to
	  priv_caps struct

2004-06-13 12:35  fillods

	* kenwood/kenwood.c, kenwood/thd7.c, kenwood/thf7.c,
	  kenwood/thg71.c, kenwood/tmd700.c, kenwood/tmv7.c: * removed
	  useless kenwood_init/kenwood_cleanup

2004-06-08 21:05  fillods

	* AUTHORS: Acknowledge Mark's work

2004-06-06 21:59  fillods

	* tests/rigctl.1, tests/rigctl.c: powerstat & send_morse commands

2004-06-06 21:58  fillods

	* rpcrig/rpcrig_backend.c: warning silencing

2004-06-04 21:48  fillods

	* drake/drake.c, drake/drake.h, drake/r8a.c, drake/r8b.c,
	  jrc/jrc.c, jrc/jrc.h, jrc/nrd535.c, jrc/nrd545.c: Patch from Mark
	  J. Fine, Part III:
	  - Added ability in JRCs to get AGC, BEEP and POWER status.
	  - First-cuts at the Drake R8A and Drake R8B.

2004-05-26 21:30  fillods

	* tentec/tentec.c, tentec/tentec.h: fix: RIG_LEVEL_AGC is an
	  integer(enum) type, not float.

2004-05-19 09:25  fillods

	* configure.ac: get ready for next round

2004-05-19 09:17  fillods

	* configure.ac: 1.2.1 release

2004-05-19 09:15  fillods

	* NEWS: work done for 1.2.1

2004-05-19 09:11  fillods

	* include/hamlib/rig.h: Try to make rig.h more MS-VC++ friendly

2004-05-19 08:57  fillods

	* jrc/jrc.c, jrc/jrc.h, jrc/nrd535.c, jrc/nrd545.c: patch from Mark
	  J. Fine, plus generic code and fixes of mine

2004-05-18 06:55  fillods

	* icom/Makefile.am, icom/ic751.c, icom/icom.c, icom/icom.h: added
	  IC-751 initial suppport

2004-05-17 22:03  fillods

	* configure.ac, src/Makefile.am: generate .DEF file on Win32
	  systems, needed for MSVC import lib

2004-05-17 21:09  fillods

	* bindings/rig.swg, dummy/dummy.c, flexradio/sdr1k.c,
	  gnuradio/demod.h, gnuradio/gnuradio.cc, include/hamlib/rig.h,
	  src/misc.c, src/misc.h, tentec/tentec2.c, tests/dumpcaps.c,
	  tests/memcsv.c, tests/memload.c, tests/memsave.c, tests/rigctl.c,
	  tests/rigmem.c, tests/sprintflst.c, yaesu/ft1000mp.c,
	  yaesu/ft847.c: Prefixed misc str* and parse_* calls with rig_ to
	  export them in rig.h

2004-05-17 21:01  fillods

	* kenwood/ts940.c: fixes

2004-05-17 20:59  fillods

	* tests/rotctl.c: cleanup

2004-05-16 07:32  fillods

	* yaesu/Makefile.am, yaesu/frg8800.c, yaesu/yaesu.c, yaesu/yaesu.h:
	  Initial release of FRG-8800

2004-05-11 17:36  fillods

	* include/hamlib/rig.h: make new AGC enum compatible with previous
	  Hamlib version

2004-05-11 15:48  pa4tu

	* debian/changelog, debian/control, debian/hamlib++-dev.dirs,
	  debian/hamlib2++.dirs, debian/hamlib2-perl.dirs,
	  debian/hamlib2-tcl.dirs, debian/python2.3-hamlib2.dirs,
	  debian/rules: sync with latest debian package and add tcl, c++,
	  python and perl bindings

2004-05-11 15:42  pa4tu

	* debian/hamlib-dev.files, debian/hamlib-utils.files,
	  debian/hamlib2.files: not needed

2004-05-03 22:34  fillods

	* tentec/Makefile.am, tentec/tentec.c, tentec/tentec.h: added
	  RX340, RX350, Jupiter and Orion

2004-05-03 22:33  fillods

	* tentec/jupiter.c, tentec/orion.c, tentec/rx340.c, tentec/rx350.c:
	  Initial release

2004-05-02 17:18  fillods

	* kenwood/ic10.c: misc fix (header)

2004-05-02 17:17  fillods

	* kenwood/Makefile.am, kenwood/kenwood.c, kenwood/kenwood.h,
	  kenwood/ts440.c, kenwood/ts711.c, kenwood/ts811.c,
	  kenwood/ts940.c: improved and separated IC-10 based code
	  (TS440,TS940,TS711,TS811,R5000) in its own file

2004-05-02 17:13  fillods

	* kenwood/ic10.c, kenwood/ic10.h, kenwood/r5000.c: Initial release

2004-04-24 13:01  fillods

	* yaesu/Makefile.am, yaesu/ft757gx.c, yaesu/ft757gx.h,
	  yaesu/yaesu.c, yaesu/yaesu.h: Initial FT757GX release,
	  contribution from David L Norris

2004-04-16 20:34  fillods

	* hamlib.spec.in: Added 'kit' backend

2004-04-16 20:31  fillods

	* Makefile.am, configure.ac: Added 'kit' backend, enable winradio
	  build under non-Linux systems

2004-04-16 20:29  fillods

	* kit, kit/Makefile.am, kit/elektor304.c, kit/kit.c, kit/kit.h:
	  Initial release

2004-04-16 20:08  fillods

	* winradio/Makefile.am: Added G303 support

2004-04-16 20:07  fillods

	* winradio/winradio.c: Add G303 support, allow build on non-Linux
	  systems

2004-04-16 20:06  fillods

	* winradio/winradio.h, winradio/wr1000.c, winradio/wr1500.c,
	  winradio/wr1550.c, winradio/wr3100.c, winradio/wr3150.c,
	  winradio/wr3500.c, winradio/wr3700.c: Allow build on non-Linux
	  systems

2004-04-16 20:05  fillods

	* winradio/g303.c: Initial release of G3 wrapper

2004-04-16 20:04  fillods

	* src/serial.c, src/serial.h: export ser_set_dtr(), added
	  ser_set_brk()

2004-04-16 20:01  fillods

	* include/hamlib/rig.h: New AGC enumeration

2004-04-16 20:01  fillods

	* include/hamlib/riglist.h: New backend: kit (Elektor), new
	  Winradio model (G3)

2004-04-16 19:58  fillods

	* aor/Makefile.am, aor/aor.c, aor/aor.h, aor/ar7030.c: Added
	  initial AR7030 support (set_freq)

2004-04-04 04:57  bwulf

	* yaesu/ft990.c: ft990_get_ptt() now uses the FT990_SF_XMIT instead
	  of FT990_SF_PTT.
	  FT990_SF_PTT only returns status of PTT activated by CAT
	  commands,
	  whereas FT990_SF_XMIT reports the actual status of the ptt line.

2004-03-29 20:55  f4dwv

	* kenwood/ts850.c: ncrease read timeout because of strange CAT
	  protocol
	  behaviour when spinning dial.

2004-03-29 20:54  f4dwv

	* kenwood/kenwood.c: improve get_freq VFO_CURR by using rig state
	  use retry caps in kenwood_transaction
	  fix termination test in kenwood_transaction

2004-03-21 18:26  f4dwv

	* kenwood/tmv7.c: fix caps

2004-03-21 18:25  f4dwv

	* kenwood/th.c, kenwood/th.h, kenwood/thd7.c, kenwood/thf7.c,
	  kenwood/thg71.c, kenwood/tmd700.c: use level_gran to compute
	  levels in get/set_level

2004-03-21 16:58  f4dwv

	* kenwood/tmv7.c: upgrade to beta level

2004-03-21 16:55  f4dwv

	* kenwood/th.c, kenwood/th.h: add th_set_func (with TBURST)
	  add AF level
	  add TO_VFO vfo op
	  add set_powerstat
	  fix get_vfo to return VFO_MEM

2004-03-20 16:48  f4dwv

	* kenwood/th.c, kenwood/th.h, kenwood/thd7.c, kenwood/thg71.c,
	  kenwood/tmd700.c: generalize th_set_channel and th_get_channel to
	  all th tm rigs

2004-03-20 10:25  fillods

	* include/hamlib/riglist.h: added model TM-V7

2004-03-20 10:23  fillods

	* kenwood/Makefile.am, kenwood/kenwood.c, kenwood/kenwood.h,
	  kenwood/tmv7.c: Initial release - clone from thg71

2004-03-15 04:02  nj8j

	* alinco/alinco.c, alinco/alinco.h, alinco/dx77.c: Added checking
	  of return string from rig on set (non-retrieval) commands.
	  Added code for COMP function.
	  Added alinco_set_parm & tweaked dx77 capabilities.

2004-03-15 03:30  nj8j

	* rpcrig/rpcrig_backend.c: Fixed same bug in rigctl_get_parm.

2004-03-15 03:24  nj8j

	* rpcrig/rpcrig_backend.c: Fixed bug in rpcrig_set_parm (using
	  RIG_LEVEL_IS_FLOAT instead of
	  RIG_PARM_FLOAT)

2004-03-10 23:33  fillods

	* drake/Makefile.am, drake/drake.c, drake/drake.h, drake/r8b.c:
	  fixed basic functions, added many more support

2004-03-10 23:32  fillods

	* drake/r8a.c: Initial release

2004-03-07 15:49  fillods

	* icom/Makefile.am, icom/ic761.c, icom/icom.c, icom/icom.h: Initial
	  IC761 support

2004-03-03 20:57  fillods

	* gnuradio/Makefile.am: missing include in dist

2004-02-16 23:48  fillods

	* tentec/tt550.c: remove useless (and non-portable) headers

2004-02-16 22:46  fillods

	* tentec/Makefile.am: include tt550.h

2004-02-16 22:42  fillods

	* configure.ac: back on business

2004-02-16 22:05  fillods

	* configure.ac: 1.2.0 release

2004-02-16 21:49  fillods

	* NEWS: update for 1.2.0 release

2004-02-16 21:44  fillods

	* TODO: misc

2004-02-16 21:38  fillods

	* yaesu/ft847.c: URL update

2004-02-15 11:05  fillods

	* tentec/pegasus.c, tentec/tt550.c: 1. A cut and paste error on my
	  part that left a chunk of reset
	  code in the middle of the CW tx calculation. Everything worked
	  but it forced the tt550 to reset everytime you changed frequency
	  in CW mode.
	  
	  2. Bug fixes in the set function code. I obviously missed testing
	  some of this.
	  
	  3. Added IF-Shift support
	  
	  4. Some minor buffer size changes, not really bugs, just cleanup.
	  
	  5. Removed RIG_LEVEL_LINEOUT support from pegasus.c until after
	  the
	  next release. Stephane, I know you #ifndef'd this but it's just
	  as
	  easy to leave out of the LEVEL definition, and has no effect on
	  the
	  #ifdef in tt550.c.

2004-02-15 00:30  fillods

	* alinco/alinco.c, alinco/dx77.c: patch from Ben NJ8J

2004-02-14 16:50  f4dwv

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts850.c: add
	  kenwood_set_split_vfo

2004-02-14 15:12  f4dwv

	* kenwood/ts850.c: add forgotten vfo_ops

2004-02-12 21:39  bwulf

	* yaesu/ft990.c: Changed debug message format for freq_t from long
	  long to double

2004-02-09 22:11  fillods

	* tentec/Makefile.am, tentec/README, tentec/pegasus.c,
	  tentec/tt550.c, tentec/tt550.h: TT550 patch from Ken, N7IPB

2004-02-09 22:07  fillods

	* include/hamlib/rig.h: bump FLTLSTSIZ limit

2004-02-09 22:06  fillods

	* icom/ic707.c: misc fixup

2004-02-09 22:05  fillods

	* c++/Makefile.am: follow frontend ABI version

2004-02-08 21:19  fillods

	* libltdl/Makefile.in: libtool post fix --SF

2004-02-08 20:27  fillods

	* gnuradio/HrAGC.h, gnuradio/am.h, gnuradio/demod.h,
	  gnuradio/gnuradio.cc, gnuradio/gr_priv.h, gnuradio/graudio.c,
	  gnuradio/nfm.h, gnuradio/ssb.h, gnuradio/testgr.cc,
	  gnuradio/wfm.h: WIP

2004-02-08 20:25  fillods

	* tests/rigctl.c: rigctl -l reformating

2004-02-08 18:02  fillods

	* NEWS: approaching 1.1.5rc1

2004-02-08 17:54  fillods

	* bindings/perltest.pl: set_conf(rig_pathname) example

2004-02-08 17:52  fillods

	* bindings/Makefile.am: new install methods

2004-02-08 17:48  fillods

	* AUTHORS: added Berndt

2004-02-08 17:44  fillods

	* libltdl/ltmain.sh: libtool 1.5.2-1 upgrade

2004-02-08 17:41  fillods

	* flexradio/sdr1k.c: freq_t casting

2004-02-08 17:40  fillods

	* README.developer: port status update

2004-02-08 17:39  fillods

	* INSTALL: Win32 notes

2004-02-08 17:28  fillods

	* libltdl/Makefile.in, libltdl/aclocal.m4, libltdl/config-h.in,
	  libltdl/configure, libltdl/install-sh, libltdl/missing: libtool
	  1.5.2-1 upgrade

2004-02-08 17:21  fillods

	* ltmain.sh, macros/libtool.m4, missing: libtool 1.5.2-1 upgrade

2004-02-08 17:16  fillods

	* macros/gr_swig.m4: disable SWIG support if requirement not met

2004-02-08 17:15  fillods

	* configure.ac: * Kylix binding declared as unmaintained
	  * gnuradio backend requires version >= 0.9
	  * bindings also depend on python

2004-02-08 17:08  fillods

	* yaesu/Makefile.am, yaesu/ft897.c, yaesu/ft897.h, yaesu/yaesu.c,
	  yaesu/yaesu.h: initial support for FT-897 (cloned from ft857)

2004-02-08 17:05  fillods

	* kenwood/Makefile.am, kenwood/kenwood.c, kenwood/kenwood.h,
	  kenwood/tmd700.c: initial support for TM-D700

2004-02-08 17:04  fillods

	* kenwood/ts850.c: misc compile fixes

2004-02-08 17:03  fillods

	* include/hamlib/riglist.h: new Kenwood TM-D700 and GNU Radio USRP
	  models

2004-02-08 17:01  fillods

	* icom/ic726.c: fix 6m range typo

2004-02-08 16:59  fillods

	* uniden/Makefile.am, uniden/bc245.c, uniden/uniden.c,
	  uniden/uniden.h: added BC245 skelton

2004-02-02 22:15  fillods

	* icom/Makefile.am, icom/ic707.c, icom/ic728.c, icom/icom.c,
	  icom/icom.h: intial support for IC-707 and IC-728

2004-02-01 22:29  fillods

	* yaesu/ft100.c: little bugfixes from Mikko OH2MMY

2004-01-30 23:42  pa4tu

	* debian/changelog, debian/control, debian/hamlib1.dirs,
	  debian/hamlib1.files, debian/hamlib2.dirs, debian/hamlib2.files,
	  debian/rules, debian/shlibs.local: build for hamlib-1.1.5

2004-01-25 17:42  fillods

	* hamlib.spec.in: Fixes from Tomi OH2BNS:
	  - Include a few backends that were missing
	  - Disable all bindings
	  - Use %configure, %makeinstall, %{_libdir} etc. macros.
	  This makes sure that things are installed in the right
	  places in the distro (like man pages in /usr/share/man,
	  not /usr/man)
	  - Because of the above, one has to use nobase_ in
	  include/Makefile.am. The current hack is overwritten by
	  %makeinstall arguments...

2004-01-25 17:38  fillods

	* include/Makefile.am: fix from Tomi OH2BNS, for RPM build

2004-01-21 19:52  f4dwv

	* kenwood/ts850.c: add lots of ts850_ functions, upgrade to BETA
	  status

2004-01-21 19:48  f4dwv

	* tests/memload.c: fix SIGSEGV when reading tag without split
	  property

2004-01-21 19:47  f4dwv

	* tests/memsave.c: don't save split and repeater shift properties
	  when not necessary

2004-01-16 21:19  fillods

	* tests/testfreq.c: be freq_t type agnostic

2004-01-16 21:19  fillods

	* tests/testloc.c: make second arg optional

2004-01-16 18:28  fillods

	* macros/Makefile.am: missing dist

2004-01-15 23:17  fillods

	* rpcrig/rpcrig.x: IMPORTANT: freq_t type changed from integer to
	  real, and setting_t type reduced from 64bits to 32 bits

2004-01-15 23:04  fillods

	* include/hamlib/rig.h: IMPORTANT: freq_t type changed from integer
	  to real, and setting_t type reduced from 64bits to 32 bits

2004-01-15 23:03  fillods

	* microtune/Makefile.am: need for stdc++

2004-01-15 22:59  fillods

	* libltdl/Makefile.in, libltdl/aclocal.m4, libltdl/config-h.in,
	  libltdl/config.guess, libltdl/config.sub, libltdl/configure,
	  libltdl/ltmain.sh, ltmain.sh: 1.5-8 update

2004-01-15 22:52  fillods

	* yaesu/ft990.c: misc portability fix

2004-01-15 22:48  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: VPATH building, again

2004-01-15 22:47  fillods

	* macros/libtool.m4: 1.5-8 update

2004-01-15 22:43  fillods

	* dummy/dummy.c, kenwood/thg71.c, tests/memcsv.c, tests/memload.c,
	  tests/memsave.c, tests/sprintflst.c, winradio/winradio.c,
	  yaesu/ft100.c: be freq_t and setting_t type agnostic

2004-01-15 22:40  fillods

	* bindings/rig.swg: more sugar

2004-01-15 22:39  fillods

	* configure.ac: kylix unsupported (for now)

2004-01-15 22:03  fillods

	* kenwood/th.c: misc fix

2003-12-24 14:36  bwulf

	* yaesu/ft990.c: Implemented RIG_MODE_PKTFM and RIG_MODE_PKTLSB
	  modes

2003-12-24 09:07  fillods

	* include/hamlib/rig.h, src/misc.c: new PKT modes

2003-12-23 13:46  bwulf

	* yaesu/ft990.c: Commented out RIG_MODE_PKTFM overlooked at the
	  submission of previous code

2003-12-23 13:32  bwulf

	* yaesu/ft990.c, yaesu/ft990.h: Implemented set_parm() for
	  BACKLIGHT operation

2003-12-22 17:56  fillods

	* yaesu/ft100.c: patch from Mikko Pikarinen OH2MMY

2003-12-22 07:39  fillods

	* alinco/alinco.c: echo fix

2003-12-08 21:41  fillods

	* kenwood/thg71.c: mingw/win32 does not allow undefined ref

2003-12-08 08:46  fillods

	* alinco/dx77.c, dummy/dummy.c, icom/ic703.c, icom/ic706.c,
	  icom/ic718.c, icom/ic746.c, icom/ic756.c, icom/ic910.c,
	  icom/icr10.c, icom/icr7000.c, icom/icr75.c, icom/icr8500.c,
	  icom/icr9000.c, icom/id1.c, icom/os456.c, icom/os535.c,
	  jrc/nrd535.c, jrc/nrd545.c, kenwood/thg71.c, tentec/pegasus.c,
	  tentec/rx320.c, tests/memcsv.c, tests/sprintflst.c: gcc-2.x fixes

2003-12-05 22:08  f4dwv

	* tests/memsave.c: save only meaningfull data

2003-12-04 23:27  fillods

	* icom/icom.c: * added icom_mem_get_split_vfo hack for rigs that
	  cannot retrieve split mode
	  directly. It works only in VFO_MEM mode.
	  * Make use of RIG_OP_XCHG when available in set_/get_split
	  functions,
	  which allow this functions to work in VFO_MEM.
	  * rig_set_vfo(VFO_CURR) ez case

2003-12-04 23:23  fillods

	* icom/ic706.c: IC706MkIIG mem cap fixup

2003-12-04 23:22  fillods

	* icom/icom.h: added icom_mem_get_split_vfo hack, IC_MEM_CAP has
	  chances to be deprecated

2003-12-04 23:18  fillods

	* tests/dumpcaps.c, tests/sprintflst.c: support for printing more
	  caps

2003-12-04 23:16  fillods

	* configure.ac: check for XML support, for tests/rigmem

2003-12-04 23:15  fillods

	* tests/Makefile.am, tests/README: added rigmem

2003-12-04 23:15  fillods

	* macros/Makefile.am: added libxml.m4 for tests/rigmem

2003-12-04 23:15  fillods

	* macros/libxml.m4, tests/memcsv.c, tests/memload.c,
	  tests/memsave.c, tests/rigmem.1, tests/rigmem.c: Initial release

2003-12-04 20:45  f4dwv

	* kenwood/thg71.c: add tx_freq to set/get channel capabilities

2003-12-03 12:25  bwulf

	* yaesu/ft990.c: Implemented rig_set_channel()

2003-12-03 01:32  n0nb

	* src/misc.c: 2003-12-02:
	  
	  Update:
	  Changed usage of NULL in a string context to "" (null string)
	  to correct a segfault in rigctl generated by passing a NULL
	  pointer to printf().

2003-12-02 23:26  f4dwv

	* kenwood/thg71.c: fix set_channel ctcss_tone/sql

2003-12-02 22:47  f4dwv

	* kenwood/thg71.c: add L/U , priority, call , band vfo to
	  set/get_channel
	  add ctcss_tone and sql to set/get_channel
	  init str_cal and level_gran in rig cap

2003-12-02 22:45  f4dwv

	* kenwood/th.c: use RAWSTR level insteed of STRENGTH

2003-12-01 20:54  fillods

	* yaesu/ft847.c: better handling of RIG_VFO_CURR (still not
	  complete though)

2003-11-30 22:46  fillods

	* yaesu/ft990.c, yaesu/ft990.h: more work from Berndt

2003-11-30 20:43  f4dwv

	* kenwood/th.h: add prototype

2003-11-30 20:27  f4dwv

	* kenwood/thg71.c: fix set_channel , imporve get_channel , change
	  return error code

2003-11-30 20:23  f4dwv

	* kenwood/th.c: fix error return code

2003-11-29 13:36  f4dwv

	* kenwood/thg71.c: near full implementation of thg71 CAT protocol

2003-11-29 13:34  f4dwv

	* kenwood/th.c: add vfo_op get_dcd set_ptt set_level procs +
	  numerous mods and fixes

2003-11-29 13:31  f4dwv

	* kenwood/kenwood.c: clear receive buff in kenwood_transaction

2003-11-28 15:45  fillods

	* yaesu/ft990.c, yaesu/ft990.h: FT990 support from Berndt

2003-11-19 07:32  fillods

	* include/hamlib/rig.h, src/rig.c: added new error codes, as
	  suggested by Nate

2003-11-16 22:32  fillods

	* src/register.h: changed to ABI version 2

2003-11-16 22:19  fillods

	* configure.ac: * IMPORTANT: moved to ABI version 2
	  * many stuff moved to macros:
	  GR_PWIN32,LF_SET_WARNINGS,ACX_PTHREAD,SWIG_PROG
	  * microtune only requires C++

2003-11-16 22:15  fillods

	* lib/gettimeofday.c, lib/usleep.c, lib/win32termios.h,
	  src/register.h, src/tones.h: gr_pwin32.m4/config.h fixes

2003-11-16 22:12  fillods

	* macros/Makefile.am: new macros

2003-11-16 22:12  fillods

	* gnuradio/Makefile.am: acx_pthread.m4 macro

2003-11-16 22:10  fillods

	* macros/gr_pwin32.m4: initial revision

2003-11-16 22:09  fillods

	* bindings/Makefile.am: gr_swig.m4 macro

2003-11-16 17:38  fillods

	* NEWS: what's ready for 1.1.5, as of now

2003-11-16 17:37  fillods

	* Makefile.am: kylix binding is unmaintained, not distributed for
	  now

2003-11-16 17:36  fillods

	* include/hamlib/rig.h: * converted RIG_LEVEL_STRENGTH to
	  RIG_LEVEL_RAWSTR, as discussed on mailing list.
	  RIG_LEVEL_STRENGTH is then derived from calibration table.
	  * gran_t has been changed, more precise with min/max.

2003-11-16 17:34  fillods

	* src/misc.c, src/misc.h, tests/Makefile.am, tests/dumpcaps.c,
	  tests/rigctl.c: moved some sprintf's out of library into dumpcap
	  application.

2003-11-16 17:31  fillods

	* kenwood/Makefile.am, kenwood/kenwood.c, kenwood/kenwood.h: added
	  TS140

2003-11-16 17:30  fillods

	* jrc/Makefile.am: added NRD535

2003-11-16 17:30  fillods

	* include/hamlib/riglist.h: new models and fixes

2003-11-16 17:29  fillods

	* icom/icr7000.c: added IC-R7100A support

2003-11-16 17:28  fillods

	* icom/icom.c, icom/icom.h: * new icom models
	  * converted RIG_LEVEL_STRENGTH to RIG_LEVEL_RAWSTR.
	  RIG_LEVEL_STRENGTH is
	  then derived from calibration table
	  * added get_ant/set_ant basic support
	  * moved icr75_set_channel/icr75_get_channel to icr75.c

2003-11-16 17:25  fillods

	* icom/Makefile.am: new models

2003-11-16 17:24  fillods

	* icom/ic737.c, icom/ic746.c, icom/ic756.c: * converted
	  RIG_LEVEL_STRENGTH to RIG_LEVEL_RAWSTR. RIG_LEVEL_STRENGTH is
	  then derived from calibration table
	  * added support for get_ant/set_ant

2003-11-16 17:22  fillods

	* flexradio/sdr1k.c: added set_level PREAMP

2003-11-16 17:20  fillods

	* dummy/dummy.c: gran fixes

2003-11-16 17:18  fillods

	* icom/ic7400.c: actually the new ic746

2003-11-16 17:14  fillods

	* alinco/alinco.c, alinco/alinco.h, alinco/dx77.c, icom/ic271.c,
	  icom/ic275.c, icom/ic471.c, icom/ic475.c, icom/ic703.c,
	  icom/ic706.c, icom/ic718.c, icom/ic725.c, icom/ic726.c,
	  icom/ic735.c, icom/ic736.c, icom/ic765.c, icom/ic775.c,
	  icom/ic781.c, icom/ic821h.c, icom/ic910.c, icom/ic970.c,
	  icom/icr8500.c, icom/omni.c, icom/optoscan.c, icom/os456.c,
	  icom/os535.c, jrc/jrc.c, jrc/jrc.h, jrc/nrd545.c,
	  kachina/505dsp.c, kachina/kachina.h, src/cal.h,
	  src/idx_builtin.h, src/rig.c, src/settings.c, tentec/argonaut.c,
	  tentec/pegasus.c, tentec/rx320.c, tentec/tentec.c,
	  tentec/tentec.h, tests/rigctl.1, yaesu/ft1000mp.c: converted
	  RIG_LEVEL_STRENGTH to RIG_LEVEL_RAWSTR. RIG_LEVEL_STRENGTH is
	  then derived from calibration table

2003-11-16 16:58  fillods

	* icom/icr10.c, icom/icr71.c, icom/icr72.c, icom/icr75.c,
	  icom/icr9000.c, icom/id1.c, jrc/nrd535.c, kenwood/ts140.c,
	  macros/acx_pthread.m4, macros/gr_doxygen.m4, macros/gr_swig.m4,
	  macros/lf_warnings.m4, tests/sprintflst.c, tests/sprintflst.h:
	  Initial release

2003-11-16 11:59  fillods

	* libltdl/config.h: remove autogenerated file

2003-11-10 16:01  fillods

	* icom/Makefile.am, icom/ic271.c, icom/ic471.c, icom/ic726.c,
	  icom/ic765.c, icom/ic781.c, icom/icom.c, icom/icom.h: added
	  support for IC-726 IC-765 IC-271 IC-471 IC-781

2003-11-10 15:59  fillods

	* kenwood/Makefile.am, kenwood/kenwood.c, kenwood/kenwood.h,
	  kenwood/ts680.c, kenwood/ts690.c, kenwood/ts711.c,
	  kenwood/ts811.c, kenwood/ts940.c: added support for TS-680 TS-690
	  TS-711 TS-811 TS-940

2003-11-10 15:57  fillods

	* include/hamlib/riglist.h: new kenwood model

2003-11-05 20:40  fillods

	* icom/Makefile.am, icom/ic703.c, icom/ic7400.c, icom/icom.c,
	  icom/icom.h, include/hamlib/riglist.h: added initial support for
	  IC-7400 and IC-703

2003-11-03 16:11  n0nb

	* AUTHORS: Updated AUTHORS so folks know where to direct bug
	  reports...

2003-11-03 15:07  n0nb

	* src/locator.c: 2003-11-03:
	  
	  Update:
	  locator.c--cruft cleanup and tweak the documentation
	  comments.

2003-11-03 04:26  n0nb

	* include/hamlib/rotator.h, src/locator.c, tests/testloc.c:
	  2003-11-02:
	  
	  Update:
	  rotator.h and locator.c--rewrote dec2*() and *2dec()
	  functions to use a sign flag. Further tweaked qrb()
	  for proper output.
	  testloc.c--rewrote as necessary to support changes in
	  locator.c

2003-10-31 16:45  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: Finally allow VPATH
	  building.
	  We need to chdir in source dir, otherwise rpcgen hardcodes
	  rpcrig.h path
	  of the source .x file. sigh.

2003-10-28 01:01  n0nb

	* src/locator.c, tests/testloc.c: 2003-10-27:
	  
	  Update:
	  src/locator.c -- Improved handling of very tiny distances
	  in qrb() as well as a new formula for azimuth.
	  tests/testloc.c -- extended distance output display for
	  very to 6 decimal places which is useful for showing the
	  distance of 12 digit locators.

2003-10-24 22:59  fillods

	* icom/Makefile.am, icom/ic746.c, icom/icom.c, icom/icom.h: added
	  initial support for IC-746 and IC-746PRO

2003-10-20 22:34  fillods

	* gnuradio/demod.h: initial revision

2003-10-20 22:15  fillods

	* alinco/alinco.c, aor/aor.c, aor/ar3000.c, drake/drake.c,
	  icom/icr7000.c, include/hamlib/rig.h, jrc/jrc.c,
	  kenwood/kenwood.c, kenwood/th.c, pcr/pcr.c, tentec/tentec2.c,
	  tests/rigctl.c, uniden/uniden.c: Prepare eventual move from
	  freq_t as a "long long" to a "double" type.

2003-10-20 20:34  fillods

	* microtune/Makefile.am, microtune/microtune.cc,
	  microtune/microtune.h, microtune/microtune_4702.cc,
	  microtune/microtune_4702.h, microtune/microtune_4937.cc,
	  microtune/microtune_4937.h, microtune/microtune_eval_board.h,
	  microtune/microtune_eval_board_defs.h, microtune/module_4702.c,
	  microtune/module_4937.c: added Microtune 4702 support (from GNU
	  Radio)

2003-10-20 20:29  fillods

	* include/hamlib/riglist.h: declared Microtune 4702

2003-10-20 03:33  fillods

	* ltmain.sh: upgrade to libtool-1.5-3

2003-10-20 03:27  fillods

	* macros/libtool.m4, macros/ltdl.m4: upgrade to libtool-1.5-3

2003-10-20 03:21  fillods

	* libltdl/Makefile.in, libltdl/aclocal.m4, libltdl/configure,
	  libltdl/ltdl.c, libltdl/ltmain.sh, libltdl/missing: upgrade to
	  libtool-1.5-3

2003-10-17 22:53  fillods

	* lib/termios.c, lib/win32termios.h, src/event.c, src/iofunc.c:
	  various hacks to make win32_serial_select to work (notify read)

2003-10-12 18:04  fillods

	* yaesu/Makefile.am, yaesu/ft990.c, yaesu/ft990.h, yaesu/yaesu.c,
	  yaesu/yaesu.h: Initial skelton revision for the FT990

2003-10-08 17:58  pa4tu

	* hamlib.spec.in: fix 'make rpm'

2003-10-07 22:21  fillods

	* flexradio/sdr1k.c: work based on Gerald's CRig.cls

2003-10-07 22:15  fillods

	* Makefile.am, configure.ac, rft, rft/Makefile.am, rft/ekd500.c,
	  rft/rft.c, rft/rft.h, tapr, tapr/Makefile.am, tapr/dsp10.c,
	  tapr/tapr.c, tapr/tapr.h: added skelton for new backends:
	  tapr(DSP10) and rft(EKD500).

2003-10-07 22:11  fillods

	* include/hamlib/riglist.h: added EKD500, renamed DSP10

2003-10-01 21:51  fillods

	* tests/Makefile.am, yaesu/Makefile.am: lib replacement needed for
	  portability

2003-10-01 19:50  fillods

	* include/hamlib/rig.h: * remove unused buffered mode stuff (stream
	  field)
	  * no need to include stdio.h any more (be careful of implicit
	  include!)
	  * removed some dead wood about sockaddr in the network port. This
	  will
	  be put back in correctly when this kind of port is really
	  implemented.

2003-10-01 19:44  fillods

	* src/iofunc.c, src/iofunc.h, src/rig.c, src/rotator.c,
	  src/serial.c: remove unused buffered mode stuff

2003-10-01 19:40  fillods

	* icom/icom.c, icom/optoscan.c: include fixup, stdio.h is not
	  included by rig.h anymore

2003-10-01 19:38  fillods

	* gnuradio/Makefile.am, gnuradio/ssb.h, gnuradio/wfm.h: added SSB
	  and WFM demodulator classes

2003-10-01 19:34  fillods

	* yaesu/ft100.c, yaesu/ft747.c, yaesu/ft817.c, yaesu/ft847.c,
	  yaesu/ft857.c: remove some dead wood

2003-10-01 19:32  fillods

	* alinco/alinco.c, alinco/dx77.c, aor/aor.c, aor/ar3000.c,
	  aor/ar5000.c, aor/ar8000.c, aor/ar8200.c, drake/drake.c,
	  drake/r8b.c, dummy/dummy.c, easycomm/easycomm.c, gnuradio/gr.c,
	  gnuradio/graudio.c, gnuradio/mc4020.c, icom/ic275.c,
	  icom/ic475.c, icom/ic706.c, icom/ic718.c, icom/ic725.c,
	  icom/ic735.c, icom/ic736.c, icom/ic737.c, icom/ic775.c,
	  icom/ic821h.c, icom/ic910.c, icom/ic970.c, icom/icr7000.c,
	  icom/icr8500.c, icom/omni.c, icom/os456.c, icom/os535.c,
	  jrc/jrc.c, jrc/nrd545.c, kachina/505dsp.c, kenwood/kenwood.c,
	  kenwood/th.c, kenwood/thd7.c, kenwood/thf7.c, kenwood/thg71.c,
	  kenwood/ts2000.c, kenwood/ts440.c, kenwood/ts450s.c,
	  kenwood/ts570.c, kenwood/ts790.c, kenwood/ts850.c,
	  kenwood/ts870s.c, kenwood/ts930.c, kenwood/ts950.c, lowe/hf235.c,
	  lowe/lowe.c, microtune/module_4937.c, pcr/pcr.c, pcr/pcr100.c,
	  pcr/pcr1000.c, rotorez/rotorez.c, sartek/sartek.c, src/tones.c,
	  tentec/argonaut.c, tentec/pegasus.c, tentec/rx320.c,
	  tentec/tentec.c, tentec/tentec2.c, uniden/bc895.c,
	  uniden/uniden.c, winradio/wr1000.c, winradio/wr1500.c,
	  winradio/wr1550.c, winradio/wr3100.c, winradio/wr3150.c,
	  winradio/wr3500.c, winradio/wr3700.c: include fixup, stdio.h is
	  not included by rig.h anymore

2003-10-01 18:08  fillods

	* macros/python.m4: don't put us into trouble if python is not
	  installed

2003-09-28 20:51  fillods

	* gnuradio/Makefile.am, gnuradio/am.h, gnuradio/gnuradio.cc,
	  gnuradio/gr_priv.h, gnuradio/nfm.h: WIP, new demodulator chain
	  class

2003-09-28 16:14  fillods

	* kenwood/Makefile.am, kenwood/kenwood.c, kenwood/kenwood.h,
	  kenwood/thg71.c: added initial support for the TH-G71

2003-09-28 16:00  fillods

	* gnuradio/graudio.c: version update

2003-09-28 15:59  fillods

	* gnuradio/gnuradio.cc, gnuradio/gnuradio.h, gnuradio/gr_priv.h,
	  gnuradio/graudio.c: * this is WIP. Some new demodulators
	  copy/pasted from the GNU Radio project
	  * declared GrAudio I&Q interface

2003-09-28 15:36  fillods

	* flexradio/sdr1k.c: * First working version! still a WIP though..
	  * reworked parallel port access: invert logic to make it more
	  natural
	  * explicit ppdev locking

2003-09-28 15:34  fillods

	* fodtrack/fodtrack.c, src/serial.c, src/serial.h: * reworked
	  parallel port access: invert logic to make it more natural
	  * explicit ppdev locking
	  * support for inclusion by C++ code

2003-09-28 15:30  fillods

	* kenwood/ts570.c: warning silencing

2003-09-28 15:28  fillods

	* microtune/Makefile.am, microtune/givelp1.cc, microtune/i2c.cc,
	  microtune/i2c.h, microtune/i2cio.h, microtune/i2cio_pp.cc,
	  microtune/i2cio_pp.h, microtune/microtune.cc,
	  microtune/microtune.h, microtune/microtune_4937.cc,
	  microtune/microtune_4937.h, microtune/microtune_eval_board.cc,
	  microtune/microtune_eval_board.h, microtune/module_4937.c,
	  microtune/ppio.cc, microtune/ppio.h: * upstream upgrade from GNU
	  Radio project (0.8cvs current 030928)
	  * added AGC level set
	  * no more raw parallel port access -> use portable Hamlib //
	  primitives

2003-09-23 22:54  fillods

	* gnuradio/gnuradio.cc: follow register.h init method

2003-09-23 22:52  fillods

	* src/register.h: support for C++ backends

2003-09-21 20:25  fillods

	* macros/python.m4: make lack of python not fatal

2003-09-21 17:05  fillods

	* include/hamlib/riglist.h: new models

2003-09-21 11:08  fillods

	* yaesu/ft857.c, yaesu/ft857.h: Patch from Tomi Manninen / OH2BNS:
	  
	  ft857-arg-check:
	  
	  - remove all checks for rig != NULL, these are done by the front
	  end
	  
	  ft857-squelch:
	  
	  - add ft857_get_dcd() and ft857_get_level(RIG_LEVEL_SQLSTAT)
	  - changed S meter calculation a bit
	  - the rig rejects ft857_set_ptt() if state isn't changed,
	  handling this might be needed in other set commands as well
	  - increased read timeout a bit
	  - tried ft857_set_powerstat(), didn't work...
	  - minor cosmetic stuff

2003-09-12 03:15  n0nb

	* include/hamlib/rotator.h, src/locator.c, tests/testloc.c:
	  2003-09-11
	  
	  Updated:
	  rotator.h -- new declarations dec2dmmm() and dmmm2dec()
	  locator.c -- new functions dec2dmm() and dmm2dec() also
	  reworked document comments
	  testloc.c -- support for new dec2dmm() and dmmm2dec()

2003-09-11 01:04  n0nb

	* include/hamlib/rotator.h, src/locator.c, tests/testloc.c:
	  2003-09-10
	  
	  Updated:
	  locator.c -- fixed "zero bug" in dec2dms() and dms2dec()
	  rotator.h -- changed dec2dms() and dms2dec() parameter,
	  degrees to float and minutes to double
	  testloc.c -- modified to support changed parameters

2003-09-07 18:30  fillods

	* icom/optoscan.c, icom/os456.c, icom/os535.c, src/event.c: Patches
	  for pipelined tuning and OS535 from Michael Smith

2003-09-07 14:07  fillods

	* winradio/winradio.c: Missing WR-1550 registration, from Juergen
	  DC3BW

2003-08-27 07:39  fillods

	* yaesu/ft857.c, yaesu/ft857.h: FT-857 patch from Tomi, OH2BNS

2003-08-25 22:45  fillods

	* tests/rigctl.c: typo

2003-08-25 22:41  fillods

	* flexradio/Makefile.am, fodtrack/Makefile.am: Include LIBOBJ
	  portability replacements

2003-08-25 22:38  fillods

	* tests/rigctl.c: strange longlong portability(win32) fix

2003-08-25 22:36  fillods

	* tests/dumpcaps.c: let rigctl know about parallel ports

2003-08-25 22:35  fillods

	* src/serial.c, src/serial.h: * fix a bug with TIOCMBIC/TIOCMBIS
	  and char arg
	  * added support for Win32 parallel port
	  * added par_read_status() helper

2003-08-25 22:33  fillods

	* src/rig.c, src/rotator.c: Default device name (OS dependant)

2003-08-25 22:32  fillods

	* src/Makefile.am, src/par_nt.h: Win32 parallel port support,
	  borrowed from libieee1284

2003-08-25 22:28  fillods

	* include/hamlib/rig.h, src/misc.c, tests/rigctl.1: added new VFO
	  OP

2003-08-25 22:26  fillods

	* fodtrack/fodtrack.c: missing defines on non-Linux systems

2003-08-25 22:26  fillods

	* bindings/Makefile.am, bindings/pytest.py: added python binding
	  initial support

2003-08-25 22:23  fillods

	* configure.ac: * fodtrack and flexradio gained systemwise
	  portability
	  * added python binding intial support
	  * requirement: gnuradio >= 0.8

2003-08-25 22:20  fillods

	* macros/Makefile.am, macros/python.m4: added python binding
	  support

2003-08-21 20:37  n0nb

	* tests/testloc.c: 2003-08-21
	  
	  Update
	  testloc.c -- added error checking for longlat2locator()
	  return value.

2003-08-21 20:22  n0nb

	* include/hamlib/rotator.h, src/locator.c, tests/testloc.c:
	  2003-08-21
	  
	  Update:
	  locator.c -- added argument int pair_count to
	  longlat2locator() and changed longlat2locator() from
	  void to type int return. Changed *seconds argument in
	  dms2dec() and dec2dms() from type int to type double.
	  
	  rotator.h -- function prototypes to match above.
	  
	  testloc.c -- modified to support changes in locator.c
	  Added additional command line parameter, locator-length
	  which is expected after the first locator and before the
	  optional second locator.

2003-08-21 03:11  n0nb

	* src/locator.c, tests/testloc.c: 2003-08-20
	  
	  Update:
	  locator.c incoporated Dave Hines' code to work with
	  extended locators as long as 6 lon/lat pairs. Changed
	  locator array to be a nul terminated string as created
	  by longlat2locator().
	  
	  testloc.c changed to accomodate nul terminated string
	  from longlat2locator().

2003-08-20 07:28  fillods

	* tests/Makefile.am, tests/config, tests/config/unix.exp,
	  tests/rigctl.test, tests/rigctl.test/rigctl.exp,
	  tests/testbcd.test, tests/testbcd.test/testbcd.exp,
	  tests/testfreq.test, tests/testfreq.test/testfreq.exp,
	  tests/testloc.test, tests/testloc.test/testloc.exp: DejaGNU tests

2003-08-20 07:23  fillods

	* tests/rigmatrix.c: API change

2003-08-20 07:22  fillods

	* lib/termios.c, lib/usleep.c, src/event.c, src/iofunc.c,
	  src/serial.c: mingw/cygwin fixes

2003-08-19 23:41  n0nb

	* src/locator.c: 2003-08-19
	  
	  Update:
	  locator.c--various bug fixes

2003-08-19 21:28  fillods

	* tests/testloc.c: Better error checking from Nate N0NB

2003-08-17 22:39  fillods

	* bindings/ignore.swg, icom/Makefile.am, icom/frame.c, icom/icom.h,
	  icom/optoscan.c, icom/optoscan.h, icom/os456.c,
	  include/hamlib/rig.h, rpcrig/rpc.rigd.8, rpcrig/rpcrigd.c,
	  src/event.c, src/event.h, src/misc.c, src/rig.c, src/serial.c,
	  src/serial.h, tests/dumpcaps.c, tests/rigctl.1, tests/rigctl.c:
	  Support for pipelined tuning, including DCD on CD line.

2003-08-17 22:33  fillods

	* configure.ac, lib/Makefile.am, lib/gettimeofday.c: gettimeofday
	  replacement for WIN32

2003-08-15 19:17  pa4tu

	* kenwood/kenwood.c: ts-850 returns ID 009 according to martin,
	  OK1RR

2003-08-15 01:33  fillods

	* libltdl/acinclude.m4: update to libtool 1.5.0a/Debian

2003-08-15 01:25  fillods

	* configure.ac, src/event.c, src/iofunc.c, src/serial.c: termios
	  replacement for win32 support

2003-08-15 01:16  fillods

	* lib/usleep.c: win32 support

2003-08-15 01:15  fillods

	* lib/Makefile.am, lib/termios.c, lib/win32termios.h: added termios
	  replacement for win32

2003-08-15 01:05  fillods

	* kenwood/thf7.c: added URL to protocol specs

2003-08-15 01:01  fillods

	* libltdl/COPYING.LIB, libltdl/Makefile.in, libltdl/aclocal.m4,
	  libltdl/config.guess, libltdl/config.h, libltdl/config.sub,
	  libltdl/configure, libltdl/configure.ac, libltdl/install-sh,
	  libltdl/ltdl.c, libltdl/ltdl.h, libltdl/ltmain.sh, ltmain.sh,
	  macros/libtool.m4, macros/ltdl.m4: update to libtool
	  1.5.0a/Debian

2003-08-11 21:21  fillods

	* yaesu/ft847.c: optional filter?

2003-08-11 21:20  fillods

	* yaesu/Makefile.am, yaesu/ft857.c, yaesu/ft857.h, yaesu/yaesu.c,
	  yaesu/yaesu.h: added intial support for ft857

2003-08-11 21:18  fillods

	* include/hamlib/riglist.h: added new Yeasu

2003-07-03 06:47  fillods

	* include/hamlib/rig.h: compile warning fixes on NetBSD from
	  Berndt, VK5ABN

2003-07-03 06:46  fillods

	* rpcrig/rpcrig.x: NetBSD patch from Berndt, VK5ABN

2003-06-28 22:39  fillods

	* kenwood/kenwood.c: the TS-950SD is not declared yet

2003-06-23 21:30  fillods

	* libltdl/Makefile.in, ltmain.sh: revert Joop changes

2003-06-23 18:11  pa4tu

	* kenwood/kenwood.c, kenwood/ts450s.c, kenwood/ts850.c,
	  libltdl/Makefile.in, ltmain.sh: correct baudrate for some rigs
	  and add ts-950 to the id_list

2003-06-23 17:48  pa4tu

	* kenwood/kenwood.c, kenwood/ts870s.c, kenwood/ts950.c: correct
	  baudrate for the ts-950, use the information field IF for get_vfo
	  by default (supported by most kenwood rigs), ts870s will use the
	  much shorter FR command for get_vfo

2003-06-22 21:37  fillods

	* src/rig.c: fix previous commit(rig_close) and default parallel
	  port

2003-06-22 20:43  fillods

	* configure.ac: fix finger cross-over

2003-06-22 19:58  fillods

	* doc/hamlib.cfg: add event.c, misc tuning

2003-06-22 19:57  fillods

	* configure.ac: new backends, forget about libieee math

2003-06-22 19:54  fillods

	* bindings/Makefile.am: add rotator and lists in deps

2003-06-22 19:52  fillods

	* fodtrack/fodtrack.c: use new par_write* helpers

2003-06-22 19:51  fillods

	* doc/Makefile.am: don't forget style sheet in dist

2003-06-22 19:50  fillods

	* src/serial.c, src/serial.h: new pp_write data/control helpers

2003-06-22 19:41  fillods

	* src/rig.c: handle RIG_PORT_PARALLEL ports in open/close

2003-06-22 19:40  fillods

	* icom/icom.c: probe OptoScan

2003-06-22 19:39  fillods

	* include/hamlib/rig.h, src/misc.c, tests/rigctl.1: added AM-S mode

2003-06-22 19:38  fillods

	* include/hamlib/rotlist.h: new sartek

2003-06-22 19:37  fillods

	* include/hamlib/riglist.h: new HF235 and fix SDR1000

2003-06-22 19:36  fillods

	* flexradio, flexradio/Makefile.am, flexradio/sdr1k.c,
	  flexradio/sdr1k.h, lowe, lowe/Makefile.am, lowe/hf235.c,
	  lowe/lowe.c, lowe/lowe.h, sartek, sartek/Makefile.am,
	  sartek/sartek.c, sartek/sartek.h: Initial release

2003-06-22 19:34  fillods

	* Makefile.am: new backends, and aclocal -I flag

2003-06-21 11:10  fillods

	* src/event.c: NetBSD HAVE_SIGINFO_T but no SA_SIGINFO

2003-05-31 08:55  pa4tu

	* debian/changelog, debian/control, debian/rules,
	  debian/shlibs.local: update the debian build tree to the latest

2003-05-20 07:01  fillods

	* icom/optoscan.h: Initial release

2003-05-19 06:57  fillods

	* icom/Makefile.am, icom/icom.h, icom/optoscan.c, icom/os456.c,
	  icom/os535.c: Patch from Michael Smith adding support for
	  RIG_LEVEL_AF,
	  as well as tape jack support, 5khz window support, and support
	  for reading various status bits from the os456.

2003-05-16 16:31  fillods

	* rpcrig/rpcrig_backend.c: allow ptt and dcd operation over RPC

2003-05-12 22:29  fillods

	* tentec/Makefile.am, tentec/argonaut.c, tentec/tentec.c,
	  tentec/tentec.h, tentec/tentec2.c, tentec/tentec2.h: added
	  initial support for Argonaut V

2003-05-12 22:27  fillods

	* include/hamlib/riglist.h: new Ten-Tec models, DSP-10 and SDR-1000

2003-05-05 10:46  fillods

	* tentec/tentec.c: fix a bug in tentec_set_freq, make get STRENGTH
	  to work thanks to Maitland AA4HS

2003-05-03 13:34  fillods

	* icom/frame.c: added support for retry

2003-05-03 13:17  fillods

	* include/hamlib/rig.h, src/conf.c, src/event.c, src/rig.c,
	  src/token.h, tests/rigctl.1, tests/rigctl.c: Implemented
	  emulation of rig transceive mode using polling (based on
	  SIGALRM),
	  moved all transceive and event related functions from rig.c to
	  event.c.

2003-05-03 11:24  fillods

	* yaesu/ft847.c: added explicit CWR support, print full vfo name in
	  debug messages

2003-05-03 11:23  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: parallel build fixes

2003-05-03 11:21  fillods

	* configure.ac: Let's start the 1.1.5cvs round:
	  check for setitimer, fix backend dir dependency in VPATH
	  building.

2003-04-28 07:12  fillods

	* configure.ac: bump version number

2003-04-28 06:56  fillods

	* ChangeLog: regenerated, release update

2003-04-28 06:43  fillods

	* TODO: 1.1.4 status

2003-04-28 06:34  fillods

	* INSTALL, NEWS, README, README.developer: updates before release

2003-04-27 22:15  fillods

	* include/hamlib/rig.h, src/rig.c: doxygen fixes

2003-04-27 22:14  fillods

	* include/hamlib/rotator.h: added ROT_RESET_ALL

2003-04-26 09:54  fillods

	* icom/frame.c, icom/frame.h, icom/icom.c, icom/os456.c: OS456 has
	  no passband data in set_mode/get_mode

2003-04-23 22:17  fillods

	* bindings/Makefile.am: VPATH build fix, tcl build fix

2003-04-23 22:15  fillods

	* configure.ac: re-enable c++ binding, fix tcl build, bindings
	  build requires perl *and* tcl

2003-04-23 21:06  fillods

	* src/rotator.c: typo

2003-04-23 21:05  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: Tell rpcgen to generate
	  code in ANSI C, with conventional stub names

2003-04-23 20:57  fillods

	* macros/libtool.m4: upgrade libtool-1.5

2003-04-23 20:13  fillods

	* include/hamlib/rig_dll.h, src/tones.h: Cygwin fixes

2003-04-23 20:10  fillods

	* acinclude.m4: remove autogenerated file from macros/ subdir

2003-04-22 19:31  fillods

	* rpcrig/rpcrig.x, rpcrig/rpcrig_backend.c, rpcrig/rpcrig_proc.c:
	  shadowed struct declaration fixup

2003-04-20 18:39  pa4tu

	* debian/README.Debian, debian/changelog, debian/rules: fix the
	  debian build script, new maintainer

2003-04-19 13:47  fillods

	* configure.ac, libltdl/COPYING.LIB, libltdl/Makefile.am,
	  libltdl/Makefile.in, libltdl/README, libltdl/acinclude.m4,
	  libltdl/aclocal.m4, libltdl/config-h.in, libltdl/config.guess,
	  libltdl/config.h, libltdl/config.sub, libltdl/configure,
	  libltdl/configure.ac, libltdl/configure.in, libltdl/install-sh,
	  libltdl/ltdl.c, libltdl/ltmain.sh, libltdl/missing,
	  libltdl/mkinstalldirs, libltdl/stamp-h, libltdl/stamp-h.in,
	  ltmain.sh, macros/Makefile.am, macros/ltdl.m4, src/rig.c: upgrade
	  to libtool 1.5

2003-04-19 11:49  fillods

	* src/serial.c: speed_t requires termios

2003-04-19 11:49  fillods

	* src/tones.h: oops, allow build on win32

2003-04-19 11:48  fillods

	* include/hamlib/rig_dll.h: don't forget mingw

2003-04-16 22:33  fillods

	* include/hamlib/rig.h, include/hamlib/rig_dll.h, src/event.c,
	  src/serial.c, src/tones.c, src/tones.h: * portability fixes
	  * On some arch (win32), backends cannot use exported global
	  variables as initializers

2003-04-16 22:30  fillods

	* alinco/alinco.c, alinco/alinco.h, aor/aor.c, aor/aor.h,
	  configure.ac, drake/drake.c, drake/drake.h, dummy/dummy.c,
	  dummy/dummy.h, dummy/rot_dummy.c, dummy/rot_dummy.h,
	  easycomm/easycomm.c, easycomm/easycomm.h, fodtrack/fodtrack.c,
	  fodtrack/fodtrack.h, gnuradio/gnuradio.h, icom/icom.c,
	  icom/icom.h, jrc/jrc.c, jrc/jrc.h, kachina/kachina.c,
	  kachina/kachina.h, kenwood/kenwood.c, kenwood/kenwood.h,
	  microtune/microtune.h, microtune/module_4937.c, pcr/pcr.c,
	  pcr/pcr.h, rotorez/rotorez.c, rotorez/rotorez.h,
	  rpcrig/rpcrig_backend.c, rpcrig/rpcrig_backend.h,
	  rpcrot/rpcrot_backend.c, src/Makefile.am, src/register.c,
	  src/register.h, src/rot_reg.c, tentec/tentec.c, tentec/tentec.h,
	  uniden/uniden.c, uniden/uniden.h, winradio/winradio.c,
	  winradio/winradio.h, yaesu/yaesu.c, yaesu/yaesu.h: * added ABI
	  VERSION to backend entry point symbol name

2003-04-14 22:17  n0nb

	* yaesu/ft900.c, yaesu/ft900.h: 2003-04-14:
	  
	  Update:
	  Upload missing ft900.[ch] (sheepish grin)

2003-04-14 03:05  n0nb

	* yaesu/Makefile.am, yaesu/yaesu.c, yaesu/yaesu.h: 2003-04-13:
	  
	  Updated:
	  Makefile.am, yaesu.h, yaesu.c--addition of FT-900 backend
	  New:
	  ft900.h, ft900.c--basically a carbon copy of the ft890
	  backend.

2003-04-12 13:00  n0nb

	* yaesu/ft890.c, yaesu/ft890.h: 2003-04-12:
	  
	  Update:
	  Added suport to ft890 for rig_vfo_op RIG_OP_TUNE for
	  tuner start command.

2003-04-10 18:25  fillods

	* AUTHORS: added Michael

2003-04-09 06:43  fillods

	* icom/optoscan.c: should always compile test before commit...

2003-04-09 06:37  fillods

	* icom/icom.h, icom/optoscan.c, icom/os456.c: Patch from Michael
	  Smith for the OS456:
	  - adds SQL status and signal strength support
	  - fixes the signal strength scaling
	  - adds code to support get_ctcss_tone(), get_dcs_code() and
	  rig_recv_dtmf()

2003-04-07 22:42  fillods

	* alinco/alinco.c, aor/aor.c, drake/drake.c, dummy/dummy.c,
	  dummy/rot_dummy.c, easycomm/easycomm.c, fodtrack/fodtrack.c,
	  icom/frame.c, icom/icom.c, icom/optoscan.c, jrc/jrc.c,
	  kachina/kachina.c, kenwood/kenwood.c, kenwood/th.c, pcr/pcr.c,
	  rotorez/rotorez.c, rpcrig/rpcrig_backend.c,
	  rpcrot/rpcrot_backend.c, src/iofunc.c, tentec/tentec.c,
	  uniden/uniden.c, winradio/winradio.c, yaesu/ft100.c,
	  yaesu/ft1000mp.c, yaesu/ft747.c, yaesu/ft817.c, yaesu/ft847.c,
	  yaesu/ft890.c, yaesu/ft920.c, yaesu/yaesu.c: fix headers

2003-04-07 20:54  fillods

	* tests/rotctl.c: misc fixes

2003-04-07 20:47  fillods

	* macros/tcl.m4: added default cygwin dir

2003-04-06 18:53  fillods

	* kenwood/ts790.c: ongoing work

2003-04-06 18:52  fillods

	* bindings/hamlib.swg: hamlib -> Hamlib

2003-04-06 18:50  fillods

	* gnuradio/gnuradio.cc, gnuradio/gnuradio.h, gnuradio/gr.c,
	  gnuradio/gr_priv.h, gnuradio/graudio.c, gnuradio/mc4020.c,
	  gnuradio/testgr.cc: WIP

2003-04-06 18:48  fillods

	* bindings/rig.swg: adopt new split_vfo

2003-04-06 18:45  fillods

	* bindings/perltest.pl: hamlib -> Hamlib

2003-04-06 18:44  fillods

	* bindings/Makefile.PL: initial release

2003-04-06 18:43  fillods

	* bindings/Makefile.am: Reworked. Use perl install helper

2003-04-06 18:40  fillods

	* alinco/alinco.c, alinco/alinco.h, alinco/dx77.c, c++/rigclass.cc,
	  dummy/dummy.c, icom/ic706.c, icom/ic718.c, icom/ic725.c,
	  icom/ic736.c, icom/ic737.c, icom/ic756.c, icom/icom.c,
	  icom/icom.h, include/hamlib/rig.h, include/hamlib/rigclass.h,
	  rpcrig/rpcrig.x, rpcrig/rpcrig_backend.c, rpcrig/rpcrig_proc.c,
	  src/mem.c, src/rig.c, tests/dumpcaps.c, tests/rigctl.1,
	  tests/rigctl.c, yaesu/ft100.c, yaesu/ft100.h, yaesu/ft817.c,
	  yaesu/ft890.c, yaesu/ft890.h, yaesu/ft920.c, yaesu/ft920.h: Adopt
	  new split_vfo handling. Basically, rename set_split/get_split
	  to set_split_vfo/get_split_vfo, and take an extra transmit vfo
	  arg.
	  Ascending compatibility is retained at the API frontend level.
	  NOTE: only function name has changed. The backends do not
	  implement
	  necessarily the new semantic (the extra tx vfo is just ignored).

2003-04-06 18:34  fillods

	* src/register.c: misc warning silencing

2003-04-06 18:30  fillods

	* c++/testcpp.cc: misc fixes

2003-04-05 04:13  n0nb

	* doc/README.ft890, yaesu/ft890.c, yaesu/ft890.h: 2003-04-04:
	  
	  Updated:
	  Implemented RIT functions, setting and reading PTT status
	  as well as (rudimentary) reading S-meter level.
	  
	  New:
	  README.ft890

2003-04-02 21:29  fillods

	* install-sh: remove autogenerated file

2003-04-02 07:24  fillods

	* src/event.c: allow build on solaris

2003-03-27 23:51  fillods

	* tests/rigctl.1: misc update

2003-03-27 23:45  fillods

	* src/settings.c: fix broken documentation about set_func/get_func

2003-03-27 23:44  fillods

	* tests/rigctl.c: added ability to specify target vfo for each cmd
	  when -o option is passed on command line

2003-03-24 23:08  fillods

	* kenwood/th.c, kenwood/th.h, kenwood/thd7.c, kenwood/thf7.c:
	  Removed RIG_FUNC_LMP in favor of RIG_PARM_BACKLIGHT

2003-03-24 23:07  fillods

	* src/misc.c: added RIG_FUNC_TUNER and RIG_OP_TUNE

2003-03-24 23:06  fillods

	* include/hamlib/rig.h: added RIG_FUNC_TUNER, RIG_OP_TUNE. Removed
	  RIG_FUNC_LMP in favor of RIG_PARM_BACKLIGHT

2003-03-24 12:18  n0nb

	* tests/rigctl.c, yaesu/ft890.c, yaesu/ft890.h: 2003-03-24:
	  
	  Update:
	  Fixed a stupid error in ft890_get_freq that caused returned
	  freq to be divided by 10.
	  Added two new functions, set_ptt and get_ptt to set rig
	  into and out of TX mode and query PTT status.
	  Modified ft890_set_freq to check passed vfo against stored
	  value and update rig only if passed vfo differs.

2003-03-21 19:56  pa4tu

	* debian/README.Debian: unofficial

2003-03-21 19:53  pa4tu

	* debian/rules: update debian build for rotorez and fodtrack, minor
	  fixes

2003-03-19 23:44  fillods

	* tests/dumpcaps.c: misc update after rig.h change

2003-03-19 23:41  fillods

	* include/hamlib/rig.h: cleanups, converted define's to enum's w/
	  initializers bringing in doxygen comments

2003-03-15 23:58  fillods

	* include/hamlib/riglist.h, kenwood/Makefile.am, kenwood/kenwood.c,
	  kenwood/kenwood.h, kenwood/ts930.c: added TS-930

2003-03-10 08:40  fillods

	* include/hamlib/rig.h: reworked rig discovery (probe) API and cast
	  a vfo_t rewrite

2003-03-10 08:26  fillods

	* yaesu/ft100.c, yaesu/ft817.c, yaesu/ft847.h: misc fixes of macros
	  should not be used or incorrect type

2003-03-10 08:26  fillods

	* drake/drake.c, drake/drake.h, icom/icom.c, icom/icom.h,
	  kenwood/kenwood.c, kenwood/kenwood.h, src/register.c, src/rig.c:
	  allow discovery(probe) of more than one rig attached to a port,
	  fixes

2003-03-09 04:43  n0nb

	* yaesu/Makefile.am, yaesu/ft890.c, yaesu/ft890.h, yaesu/yaesu.c,
	  yaesu/yaesu.h: 2003-03-08
	  
	  Added:
	  New backend for Yaesu FT-890/FT-890AT

2003-02-27 03:50  n0nb

	* rotorez/rotorez.h: 2003-02-26:
	  
	  Updated:
	  rotorez.h for rot_set_conf support

2003-02-27 03:47  n0nb

	* doc/README.rotorez, rotorez/rotorez.c, tests/rotctl.1,
	  tests/rotctl.c: 2003-02-26
	  
	  Added:
	  doc/README.rotorez -- backend to API document
	  Updated:
	  Added rot_set_conf support to rotorez.c
	  Added interactive support for rot_set_conf in rotctl.c
	  Updated rotctl.1 for changes.

2003-02-24 22:27  fillods

	* aor/aor.c, aor/aor.h, aor/ar5000.c: patch from Chuck N2POR fixing
	  End-of-message and a potential seg fault in get_freq. Added
	  get_level/set_level support for ATT, and moved mode handling for
	  AR5000

2003-02-24 20:55  fillods

	* tests/Makefile.am, tests/rig_bench.c: added rig_bench app to
	  measure get_freq/get_mode speed

2003-02-23 22:43  fillods

	* dummy/dummy.c: make use of TS_ANY, added 2 new vfo_op: UP/DOWN

2003-02-23 22:41  fillods

	* tests/dumpcaps.c: report tuning_step ANY (free form) and filter
	  ANY caps

2003-02-23 22:38  fillods

	* src/conf.c, src/rig.c, src/token.h: added support for set DTR/RTS
	  state, useful to power external device from the serial port

2003-02-23 22:36  fillods

	* src/serial.c, src/serial.h: extract set_dtr/set_rts to serve
	  multiple purposes

2003-02-23 22:34  fillods

	* include/hamlib/rig.h: * made RIG_VFO_CURR different than
	  RIG_VFO_NONE
	  * added RIG_TS_ANY, RIG_FLT_ANY for free form tuning_step and
	  filters
	  * added support for set RTS/DTR state of the serial port

2003-02-23 18:43  fillods

	* configure.ac: * gnuradio backend requires GNU Radio >= 0.7 with
	  new FIR API
	  * fodtrack backend needs linux/ppdev.h support (2.4+ kernels)

2003-02-19 23:56  fillods

	* icom/Makefile.am, icom/ic736.c, icom/icom.c, icom/icom.h: added
	  IC-736

2003-02-14 15:23  avflinsch

	* yaesu/ft100.c: *** empty log message ***

2003-02-13 22:17  fillods

	* aor/Makefile.am, aor/aor.c, aor/aor.h, aor/ar3000.c: added
	  initial support for the AR3000A

2003-02-13 03:08  n0nb

	* rotorez/rotorez.c, rotorez/rotorez.h: 2003-02-12:
	  
	  Update:
	  Fixed read bug where Rotor-EZ is apparently returning the
	  azimuth string prepended with a semi-colon. Thanks to
	  Orv W6BI for testing the code.

2003-02-09 23:06  fillods

	* gnuradio/testgr.cc: some fixes, still to scope

2003-02-09 23:02  fillods

	* gnuradio/gnuradio.cc: * 2 demodulators are WIP: (W)FM and SSB
	  * MultiTask->process runs on its own thread within Hamlib
	  backend,
	  thus no need to compile GNUradio with -DTHREAD=1.
	  * Appropriate locking to gurantee GNUradio coherency wrt
	  multithreading.
	  * support for tuner control through Hamlib! The rig model number
	  can be set through set_conf
	  * made backend fully vfo targetable
	  * added set_level/get_level support. setting RIG_LEVEL_RF works!

2003-02-09 22:54  fillods

	* gnuradio/gr_priv.h: MultiTask in separate thread, support for
	  tuner control through Hamlib, per channel modulation data

2003-02-09 22:50  fillods

	* include/hamlib/riglist.h: added GRAUDIO model (sound card source
	  GNUradio)

2003-02-09 22:49  fillods

	* gnuradio/gr.c: can do vfo target, has set_level, and some priv
	  capabilities

2003-02-09 22:47  fillods

	* gnuradio/gnuradio.h: new calls and struct

2003-02-09 22:46  fillods

	* gnuradio/Makefile.am: added MC4020/graudio sources, gnuradio.cc
	  now multithreaded, and some testgr fixes

2003-02-09 22:46  fillods

	* gnuradio/graudio.c, gnuradio/mc4020.c: Initial release

2003-02-09 22:43  fillods

	* configure.ac: gnuradio backend requires lib version 0.6

2003-01-29 23:06  fillods

	* microtune, microtune/Makefile.am, microtune/givelp1.cc,
	  microtune/i2c.cc, microtune/i2c.h, microtune/i2cio.cc,
	  microtune/i2cio.h, microtune/i2cio_pp.cc, microtune/i2cio_pp.h,
	  microtune/microtune.cc, microtune/microtune.h,
	  microtune/microtune_4937.cc, microtune/microtune_4937.h,
	  microtune/microtune_eval_board.cc,
	  microtune/microtune_eval_board.h,
	  microtune/microtune_eval_board_defs.h, microtune/module_4937.c,
	  microtune/ppio.cc, microtune/ppio.h: Initial release

2003-01-29 23:04  fillods

	* Makefile.am: added microtune backend

2003-01-29 23:02  fillods

	* configure.ac: * added microtune backend
	  * added --without-rpc-backends to explicitly disable RPC build
	  (in case
	  of compilation trouble)

2003-01-29 23:00  fillods

	* src/rotator.c: fix a potential seg fault on backend open failure,
	  removed useless rot_get_position in open

2003-01-29 22:31  fillods

	* src/rig.c: fix a potential seg fault on backend open failure,
	  initialize state.current_vfo appropriately

2003-01-29 22:31  fillods

	* include/hamlib/riglist.h: added microtune in backend list

2003-01-29 22:25  fillods

	* kenwood/kenwood.c: added TS790 ID

2003-01-19 04:48  n0nb

	* doc/README.ft920, yaesu/ft920.c, yaesu/ft920.h: 2003-01-18
	  
	  Updated:
	  More code cleanups. Updated README.ft920 to reflect
	  latest backend status.

2003-01-17 04:43  n0nb

	* yaesu/ft920.c, yaesu/ft920.h: 2003-01-16
	  
	  Update:
	  Rewrote most of the backend functions to work with passed RIG_VFO
	  values.
	  Wrote three more helper functions to clean up main code.
	  Added set/get rit/xit functions.

2003-01-15 19:42  pa4tu

	* hamlib.spec.in: a working spec file

2003-01-15 19:39  pa4tu

	* configure.ac: make rpm will fail with a '-' in the version number

2003-01-15 19:37  pa4tu

	* Makefile.am: need hamlib.spec for 'make rpm'

2003-01-12 17:02  pa4tu

	* Makefile.am, configure.ac: add rpm support

2003-01-12 14:59  n0nb

	* rotorez/rotorez.c: 2003-01-12
	  
	  Updated:
	  Added check for values greater than 359.4999 and adjust
	  it to 0 for compatibility with DCU-1

2003-01-12 14:29  n0nb

	* include/hamlib/rotlist.h, rotorez/rotorez.c, rotorez/rotorez.h,
	  rotorez/rotorez.txt: 2003-01-12
	  
	  Updated:
	  Implemented basic functions for rotorez backend
	  
	  Added:
	  Text file describing extended DCU protocol used by
	  rotorez backend

2003-01-11 00:48  n0nb

	* Makefile.am, configure.ac, include/hamlib/rotlist.h: 2003-01-10
	  
	  Update:
	  Updated build files for rotorez backend.

2003-01-11 00:47  n0nb

	* rotorez, rotorez/Makefile.am, rotorez/rotorez.c,
	  rotorez/rotorez.h: 2003-01-10
	  
	  New:
	  Adding files for initial rotorez build. Will build,
	  but no functionality.

2003-01-07 03:40  n0nb

	* yaesu/ft920.c: 2003-01-06
	  
	  Updated:
	  Bumped version in ft920.c to 0.1.3

2003-01-07 03:32  n0nb

	* doc/README.ft920, yaesu/ft920.c, yaesu/ft920.h: 2003-01-06
	  
	  Updated:
	  Added set/get_split_freq/mode support to FT-920 backend.
	  Added error handling in ft920.c to pass errors from called
	  functions to main library.

2003-01-06 22:13  fillods

	* tests/Makefile.am: testfreq doesn't need backends

2003-01-06 22:12  fillods

	* kenwood/ts870s.c: added missing header

2003-01-06 22:08  fillods

	* src/misc.c: added RTTYR/CWR, cleanup

2003-01-06 22:06  fillods

	* icom/icom.c: * fix undefined signed char overflow
	  * icom_get_freq to be more tolerant on freq len (4 or 5),
	  regardless of civ_731_mode

2003-01-06 22:04  fillods

	* icom/frame.c: fix undefined signed char overflow

2002-12-26 14:32  fillods

	* icom/icom.h: added basic mem_cap definition

2002-12-26 11:43  fillods

	* icom/ic725.c: misc fixes

2002-12-23 14:20  fillods

	* icom/Makefile.am, icom/ic725.c, icom/icom.c, icom/icom.h: added
	  IC725 initial support

2002-12-22 13:52  pa4tu

	* kenwood/kenwood.c: minor bug

2002-12-22 13:51  pa4tu

	* kenwood/ts450s.c: should use kenwood_get_freq

2002-12-21 15:34  pa4tu

	* kenwood/ts450s.c: set_level for this rig

2002-12-21 13:48  pa4tu

	* kenwood/ts870s.c: more modes

2002-12-21 13:46  pa4tu

	* kenwood/kenwood.c: cleanups

2002-12-21 13:41  pa4tu

	* kenwood/ts450s.c: add get_level

2002-12-21 12:35  pa4tu

	* kenwood/kenwood.c: correct rit

2002-12-21 12:08  pa4tu

	* kenwood/ts570.c: some comments

2002-12-21 00:30  pa4tu

	* kenwood/ts570.c: filters

2002-12-21 00:23  pa4tu

	* kenwood/ts570.c: get_mode and set_mode for this rig

2002-12-20 23:44  pa4tu

	* kenwood/ts870s.c: more filters

2002-12-20 16:13  pa4tu

	* kenwood/ts870s.c: cw filters for normal, narrow and wide

2002-12-20 15:43  pa4tu

	* kenwood/ts870s.c: use FW command to set bandpass

2002-12-20 11:00  pa4tu

	* debian/rules: one last lintian fix

2002-12-20 10:52  pa4tu

	* debian/control, debian/copyright, debian/rules: various lintian
	  fixes

2002-12-20 10:39  pa4tu

	* kenwood/kenwood.c: use rig_passband_normal here

2002-12-20 10:37  pa4tu

	* kenwood/ts450s.c: passband should be calculated after mode is set

2002-12-20 10:35  pa4tu

	* kenwood/ts870s.c: retrieve passband with FW command

2002-12-20 09:49  pa4tu

	* kenwood/ts450s.c: this rig does not have a command for reading IF
	  bandwidth

2002-12-19 11:02  pa4tu

	* kenwood/kenwood.c, src/misc.c: add CWR and RTTYR

2002-12-17 22:46  fillods

	* kenwood/ts450s.c: filter list fix

2002-12-17 12:08  pa4tu

	* kenwood/ts450s.c: minor bugfix, bump to beta

2002-12-16 22:07  fillods

	* configure.ac, rpcrig/Makefile.am, rpcrig/rpcrig_backend.c,
	  rpcrig/rpcrigd.c, rpcrot/Makefile.am, rpcrot/rpcrot_backend.c,
	  rpcrot/rpcrotd.c: Solaris RPC portability fix

2002-12-16 22:02  fillods

	* include/hamlib/rig.h: added reverse sideband modes

2002-12-16 18:44  fillods

	* kenwood/kenwood.c: added new ID; for autoprobe

2002-12-16 15:36  pa4tu

	* kenwood/ts450s.c: ts450s uses IF command for get_vfo, get_freq
	  and get_mode

2002-12-15 22:12  fillods

	* kenwood/ts790.c: misc comm fix

2002-12-01 21:49  fillods

	* yaesu/Makefile.am, yaesu/ft1000.c, yaesu/ft1000.h,
	  yaesu/ft1000mp.c, yaesu/ft1000mp.h: renamed ft1000 files to
	  ft1000mp in order to avoid future clash

2002-12-01 03:35  n0nb

	* README.developer: 2002-11-30
	  
	  Update:
	  Added sarge to list of tested Debian systems.

2002-12-01 03:08  n0nb

	* yaesu/ft100.c, yaesu/ft100.h, yaesu/ft747.c, yaesu/ft747.h,
	  yaesu/ft817.c, yaesu/ft817.h, yaesu/ft847.c, yaesu/ft847.h,
	  yaesu/yaesu.c, yaesu/yaesu.h: 2002-11-30
	  
	  Update:
	  Changed license boilerplate to LGPL after securing permission
	  from Frank Singleton and Chris Karpinsky.

2002-11-28 22:45  fillods

	* autogen.sh: grr

2002-11-28 22:38  fillods

	* include/hamlib/rig.h: - doxygen update
	  - RIG_DEBUG_* are now enum's
	  - new RIG_PORT_PARALLEL
	  - new RIG_TYPE_TUNER
	  - RIG_VFO_UPLINK/RIG_VFO_DOWNLINK have been renamed to
	  RIG_VFO_TX/RIG_VFO_RX
	  - new RIG_ANT_1, RIG_ANT_2, etc.

2002-11-28 22:34  fillods

	* README.developer: misc fixes

2002-11-28 22:33  fillods

	* src/rotator.c, src/serial.c: fixes to allow new RIG_PORT_PARALLEL

2002-11-28 22:32  fillods

	* src/rig.c: misc update

2002-11-28 22:31  fillods

	* autogen.sh: Gentoo needs the WANT_AUTOCONF_2_5

2002-11-28 22:29  fillods

	* yaesu/ft1000.c, yaesu/ft1000.h: more work on the MARK-V FT1000MP:
	  - set_rit/get_rit
	  - set_xit/get_xit
	  - get_level
	  - set_ptt
	  
	  to be tested..

2002-11-28 22:27  fillods

	* tests/dumpcaps.c: misc update

2002-11-28 22:25  fillods

	* tests/rigctl.1, tests/rigctl.c: added set/get xit and ant

2002-11-28 22:24  fillods

	* Makefile.am, configure.ac, fodtrack, fodtrack/Makefile.am,
	  fodtrack/fodtrack.c, fodtrack/fodtrack.h,
	  include/hamlib/rotlist.h: added fodtrack rotator initial support

2002-11-25 23:54  fillods

	* yaesu/ft1000.c, yaesu/ft1000.h: fix get_freq, set_vfo(CURR), and
	  get_mode

2002-11-23 14:09  n0nb

	* doc/README.ft920, yaesu/ft920.c, yaesu/ft920.h: 2002-11-23
	  
	  New:
	  Added doc/README.ft920 to document FT-920 behavior with
	  Hamlib.
	  
	  Updated:
	  Added support for rig_set_split and rig_get_split

2002-11-22 03:04  n0nb

	* yaesu/ft920.c, yaesu/ft920.h: 2002-11-21
	  
	  Update:
	  Corrected problem with "NULL pointer" in ft920_get_vfo
	  Updated rx/tx ranges for regions 1 & 2 with bandplan.h
	  Changed license in ft920.c/h to LGPL
	  Bumped backend version to 0.1.2

2002-11-21 23:09  fillods

	* yaesu/Makefile.am, yaesu/ft1000.c, yaesu/ft1000.h, yaesu/yaesu.c,
	  yaesu/yaesu.h: added initial support for the MARK-V FT-1000MP

2002-11-21 23:06  fillods

	* yaesu/ft920.c: little fix to make gcc-3.x happy

2002-11-16 14:05  fillods

	* icom/Makefile.am, icom/ic737.c, icom/icom.c, icom/icom.h: added
	  IC 737 support

2002-11-16 14:05  fillods

	* include/Makefile.am, include/bandplan.h: bandplan.h gathers
	  couple handy macros to declare freq_range's in model capabilities

2002-11-16 04:12  n0nb

	* yaesu/ft920.c: 2002-11-15:
	  
	  Update:
	  Fixed targetable VFO and other typographical cleanups.
	  Bumped backend version to 0.1.1

2002-11-15 13:15  n0nb

	* yaesu/ft920.c, yaesu/ft920.h: 2002-11-15:
	  
	  Update:
	  In ft920.c get_freq, set_freq, get_mode, set_mode,
	  get_vfo, set_vfo should be complete enough to consider
	  them in beta state.
	  
	  Advanced ft920 backend version to 0.1.0

2002-11-14 19:27  fillods

	* bindings/rig.swg: make swig 1.3.16 happy wrt preprocessor pass
	  time

2002-11-14 19:27  fillods

	* include/hamlib/rig_dll.h, include/hamlib/rigclass.h: gcc 3.x
	  fixes

2002-11-13 20:39  fillods

	* Makefile.am, alinco/Makefile.am, aor/Makefile.am,
	  bindings/Makefile.am, c++/Makefile.am, drake/Makefile.am,
	  dummy/Makefile.am, easycomm/Makefile.am, gnuradio/Makefile.am,
	  icom/Makefile.am, jrc/Makefile.am, kachina/Makefile.am,
	  pcr/Makefile.am, rpcrig/Makefile.am, rpcrot/Makefile.am,
	  src/Makefile.am, tentec/Makefile.am, tests/Makefile.am,
	  uniden/Makefile.am, winradio/Makefile.am, yaesu/Makefile.am: misc
	  Makefile fixes

2002-11-13 20:36  fillods

	* README.developer: automake requirement and autogen.sh fixup

2002-11-13 20:35  fillods

	* kenwood/Makefile.am, kenwood/k2.c, kenwood/kenwood.c,
	  kenwood/kenwood.h: added initial support for Elecraft K2

2002-11-12 00:16  fillods

	* dummy/dummy.c: reflect rig.h changes

2002-11-12 00:15  fillods

	* include/hamlib/rig.h, include/hamlib/riglist.h: first take at
	  doxygenization, always enable NET port

2002-11-12 00:12  fillods

	* doc/hamlib.cfg: doxygenized rig.h and riglist.h

2002-11-12 00:11  fillods

	* include/hamlib/rotator.h, include/hamlib/rotlist.h: typo's

2002-11-12 00:11  fillods

	* configure.ac: always enable NET port

2002-11-09 13:11  csete

	* doc/hamlib.cfg: Added rotator.h and rotlist.h to the input list.

2002-11-09 13:09  csete

	* include/hamlib/rotator.h, include/hamlib/rotlist.h: Added doxygen
	  comments.

2002-11-09 08:11  pa4tu

	* debian/control, debian/rules: remove some build dependencies and
	  don't call autogen.sh

2002-11-08 19:26  pa4tu

	* debian/rules: cleanup

2002-11-08 19:25  pa4tu

	* debian/rules: we don't have to call configure twice

2002-11-08 19:22  pa4tu

	* debian/hamlib-doc.dirs, debian/rules: build the documentation
	  package

2002-11-08 19:15  pa4tu

	* debian/rules: INSTALL file not used

2002-11-08 19:06  pa4tu

	* debian/control, debian/rules: make building easier, call
	  autogen.sh

2002-11-08 18:43  pa4tu

	* debian/control: move hamlib1 to the top so the documentations
	  gets installed correctly

2002-11-08 18:41  pa4tu

	* debian/rules: don't create shlibs file for drake, jrc and
	  easycomm libraries

2002-11-08 18:34  pa4tu

	* debian/hamlib-dev.dirs, debian/rules: include pkgconfig support

2002-11-08 18:28  pa4tu

	* debian/hamlib-utils.dirs, debian/rules: include rpc.rigd and
	  rpc.rotd

2002-11-08 18:24  pa4tu

	* debian/rules: move .la, .a, .so files to the correct package

2002-11-08 17:55  pa4tu

	* debian/rules: versioning not used

2002-11-08 17:51  pa4tu

	* debian/rules: do not install the old changelog

2002-11-08 16:45  pa4tu

	* debian/rules: correct the path for copying files in the
	  apropriate package

2002-11-08 16:30  pa4tu

	* debian/changelog: make this NMU for now

2002-11-08 16:28  pa4tu

	* debian/hamlib-doc.dirs, debian/hamlib-utils.dirs,
	  debian/hamlib-utils.files: initial checkin

2002-11-08 16:25  pa4tu

	* debian/conffiles.ex, debian/manpage.1.ex, debian/postinst.ex,
	  debian/postrm.ex, debian/preinst.ex, debian/prerm.ex,
	  debian/watch.ex: remove template files

2002-11-08 16:22  pa4tu

	* debian/changelog, debian/control, debian/docs, debian/rules:
	  getting in sync with the debian 1.1.2 package

2002-11-07 13:21  n0nb

	* bindings/perltest.pl: 2002-11-07
	  
	  Update:
	  Fixed path in hint on making perltest.pl work.

2002-11-05 21:54  fillods

	* winradio/linradio/radio_ioctl.h, winradio/linradio/wrapi.h:
	  updated to linradio-toolkit-0.7

2002-11-05 21:33  fillods

	* perl/Changes, perl/Hamlib.pm, perl/Hamlib.xs, perl/MANIFEST,
	  perl/README, perl/test.pl, perl/typemap, tcl: deprecated, use
	  swig bindings/ instead

2002-11-04 22:40  fillods

	* alinco/dx77.c, icom/ic275.c, icom/ic475.c, icom/ic706.c,
	  icom/ic718.c, icom/ic735.c, icom/ic756.c, icom/ic775.c,
	  icom/ic821h.c, icom/ic910.c, icom/ic970.c, icom/icr7000.c,
	  jrc/nrd545.c, kenwood/thd7.c, kenwood/thf7.c, kenwood/ts440.c,
	  kenwood/ts50s.c, kenwood/ts570.c, kenwood/ts790.c,
	  kenwood/ts850.c, kenwood/ts870s.c, kenwood/ts950.c,
	  uniden/bc895.c: fix to account for struct chan_list change

2002-11-04 22:37  fillods

	* src/locator.c, src/rotator.c: misc doxygen fix

2002-11-04 22:36  fillods

	* dummy/dummy.c: added mem_cap, missing filters, and first dummy
	  level_gran

2002-11-04 22:32  fillods

	* include/hamlib/rig.h: * added VFO_UPLINK and VFO_DOWNLINK
	  (backend-wise) aliases
	  * added channel_caps
	  * added gran_t for levels and parm's

2002-11-04 22:28  fillods

	* tests/dumpcaps.c: dump chan_caps

2002-11-04 22:27  fillods

	* src/register.c, src/rot_reg.c: libhamlib-backend.so.x.y.z ->
	  hamlib-backend.so

2002-11-04 22:26  fillods

	* icom/icom.h: remove icall, added mem_cap initializer

2002-11-04 22:25  fillods

	* icom/icall.c, icom/icom.c: remove icall

2002-11-04 22:23  fillods

	* src/idx_builtin.h: initial release

2002-11-04 22:22  fillods

	* doc/hamlib.cfg, src/conf.c, src/mem.c, src/rig.c, src/settings.c,
	  src/tones.c: split rig.c

2002-11-04 22:19  fillods

	* alinco/Makefile.am, aor/Makefile.am, drake/Makefile.am,
	  dummy/Makefile.am, easycomm/Makefile.am, gnuradio/Makefile.am,
	  icom/Makefile.am, jrc/Makefile.am, kachina/Makefile.am,
	  kenwood/Makefile.am, pcr/Makefile.am, rpcrig/Makefile.am,
	  rpcrot/Makefile.am, tentec/Makefile.am, uniden/Makefile.am,
	  winradio/Makefile.am, yaesu/Makefile.am:
	  libhamlib-backend.so.x.y.z -> hamlib-backend.so, avoid version
	  info for modules

2002-11-04 22:18  fillods

	* src/Makefile.am: bump version info, split rig.c

2002-11-04 22:17  fillods

	* c++/Makefile.am: bump version info, testcpp is TEST

2002-11-04 22:16  fillods

	* bindings/Makefile.am: VPATH build, avoid version on modules

2002-11-04 22:14  fillods

	* configure.ac: * libhamlib-backend.so.x.y.z -> hamlib-backend.so
	  * check swig version is at least 1.3.14
	  * more C99 checks (array initializer)

2002-11-04 22:11  fillods

	* src/conf.h: since the move into conf.c, protos in header are
	  useless

2002-11-04 05:16  n0nb

	* yaesu/ft920.c, yaesu/ft920.h: 2002-11-03
	  
	  Update:
	  Miscellaneous formating cleanup.

2002-11-01 04:39  n0nb

	* yaesu/ft920.c, yaesu/ft920.h: 2002-10-31 (Spooky release)
	  
	  Update:
	  Completed basic operation of all functions in ft920.*

2002-10-31 01:43  fillods

	* bindings/Makefile.am, rpcrig/Makefile.am, rpcrot/Makefile.am:
	  VPATH and distcheck fixes

2002-10-31 01:00  n0nb

	* yaesu/ft920.c, yaesu/ft920.h: 2002-10-30
	  
	  Update:
	  Merged my changes in ft920.c, .h with Stephane's get_freq
	  update. Will get and set frequency and not much else!

2002-10-31 00:47  fillods

	* bindings/Makefile.am: do not distribute swig'generated files

2002-10-31 00:26  fillods

	* configure.ac: check for rpcgen, add -no-cpp-precomp on Mac OS X,
	  cleanup

2002-10-31 00:23  fillods

	* tests/Makefile.am: user app need libmisc, in case of

2002-10-31 00:22  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: do not include
	  rpcgen'erated files in dist, and make the rules more BSD friendly

2002-10-31 00:16  fillods

	* lib/Makefile.am, lib/getopt.c, lib/getopt_long.c: portability
	  fixes, will have to better fix the getopt_long

2002-10-30 23:39  fillods

	* rpcrot/rpcrotd.c: fix include order

2002-10-29 23:53  fillods

	* yaesu/ft920.h: fix to make get_freq work for the ft920 (different
	  than ft847)

2002-10-29 23:47  fillods

	* yaesu/ft920.c: fix to make get_freq work for the ft920 (different
	  than ft847)

2002-10-29 22:48  fillods

	* yaesu/Makefile.am: missing ft920 header for dist

2002-10-29 22:43  fillods

	* autogen.sh: customize the script to your own needs!

2002-10-29 22:38  fillods

	* install-sh, missing, mkinstalldirs: updated to automake-1.7

2002-10-29 22:27  fillods

	* gnuradio/Makefile.am: automake fix

2002-10-29 22:26  fillods

	* acinclude.m4: updated to libtool-1.4.3

2002-10-29 22:18  fillods

	* macros/Makefile.am: missed

2002-10-29 22:14  fillods

	* README.betatester, README.developer: more info on autogen.sh,
	  moved cvs checkout info from README.betatester to
	  README.developer

2002-10-29 22:13  fillods

	* libltdl/Makefile.in, libltdl/acinclude.m4, libltdl/aclocal.m4,
	  libltdl/config-h.in, libltdl/configure, libltdl/ltdl.c,
	  ltmain.sh, macros/libtool.m4: updated to libtool-1.4.3

2002-10-28 23:11  fillods

	* include/config.h.in: remove autogenerated file

2002-10-28 22:00  n0nb

	* include/config.h.in: 2002-28-02
	  
	  Update:
	  Goofed by running configure scripts in my main hamlib
	  directory. Accidentally changed include/config.h.in to
	  a version for my system. This will hopefully roll back
	  the change to file version 1.19 last modified by Stephane
	  in July 2002.

2002-10-28 04:53  n0nb

	* include/config.h.in, yaesu/Makefile.am, yaesu/ft920.c,
	  yaesu/ft920.h, yaesu/yaesu.c, yaesu/yaesu.h: 2002-10-27
	  
	  New:
	  ft920.c, ft920.h -- very very immature attempt at FT-920
	  control. Code can send simple query to rig but cannot
	  properly decode returned data. Much more work is needed.
	  
	  Updated:
	  Makefile.am, yaesu.c, yaesu.h -- necessary changes for
	  ft920.

2002-10-22 20:24  fillods

	* kenwood/kenwood.c: fix for *BSD portability

2002-10-20 20:46  fillods

	* drake/drake.c, drake/drake.h, drake/r8b.c: initial basic support
	  for R8B (untested)

2002-10-08 22:37  fillods

	* configure.ac: check for gnuradio pkg data only upon request

2002-10-08 21:54  fillods

	* bindings/hamlib.swg, bindings/perltest.pl, bindings/rig.swg:
	  added intial channel support

2002-10-07 22:03  fillods

	* compile, config.guess, config.sub, depcomp: remove auto-generated
	  files

2002-10-07 21:57  fillods

	* src/misc.c, src/misc.h: fixed a bug with even numbers of digits
	  in BCD conversion

2002-10-07 21:55  fillods

	* c++/Makefile.am, tests/Makefile.am: build only when requested

2002-10-07 21:52  fillods

	* rpcrig/rpc.rigd.8, tests/rotctl.1: updated man pages

2002-10-07 21:50  fillods

	* tests/rigctl.c: handle every parameter cases for get_channel

2002-10-07 21:49  fillods

	* include/hamlib/rig.h: misc addition to make compilers happy

2002-10-07 21:48  fillods

	* icom/ic756.c: ext_parm name change

2002-10-07 21:46  fillods

	* gnuradio/Makefile.am, gnuradio/gr_priv.h, gnuradio/testgr.cc:
	  some fixes for gnuradio 0.5

2002-10-07 21:44  fillods

	* bindings/Makefile.am, bindings/hamlib.swg, bindings/ignore.swg,
	  bindings/perltest.pl, bindings/rig.swg, bindings/rotator.swg,
	  bindings/tcltest.tcl: more work on swig bindings, nearly every
	  calls supported, some chan wrapping missing, and also lists

2002-10-07 21:40  fillods

	* Makefile.am, configure.ac: tcl and perl subdir are gone in favor
	  of bindings, added pkg support, fixed from gnuradio stuff

2002-10-07 21:37  fillods

	* hamlib.pc.in, macros, macros/Makefile.am,
	  macros/aclocal-include.m4, macros/libtool.m4, macros/perl.m4,
	  macros/pkg.m4, macros/tcl.m4: initial release

2002-10-07 21:36  fillods

	* acinclude.m4: updated from macros concatenation

2002-10-03 20:13  fillods

	* dummy/dummy.c: improved chan support

2002-09-30 14:55  dl1nc

	* Segfault-award: typo fixed

2002-09-29 20:18  fillods

	* src/event.c: fix typo

2002-09-29 19:40  fillods

	* Segfault-award, src/event.c: bug fix with non file oriented rigs

2002-09-24 21:45  fillods

	* tests/rotctl.c: fix for 8 bits cmd IDs

2002-09-24 21:42  fillods

	* doc/hamlib.cfg, doc/index.doxygen, src/locator.c, src/rig.c,
	  src/rotator.c: cleanup doxygen warnings

2002-09-23 22:33  fillods

	* doc/hamlib-doc: removed deprecated script, we're now using
	  doxygen/DocBook

2002-09-23 22:27  fillods

	* doc/html: moved to ..

2002-09-23 22:27  fillods

	* doc/hamlib.css: moved from html/

2002-09-22 11:41  fillods

	* c++/rigclass.cc, include/hamlib/rigclass.h: misc fix for picky
	  compilers

2002-09-22 11:39  fillods

	* README.betatester: mention to run autogen.sh after checkout

2002-09-22 11:39  fillods

	* rpcrig/rpc.rigd.8, rpcrot/rpc.rotd.8, tests/rigctl.1: list
	  verbose levels

2002-09-21 13:54  fillods

	* Segfault-award: Initial release

2002-09-21 13:54  fillods

	* icom/ic910.c: update (band swapping, pream/att, ..) by Luc LX2GT

2002-09-21 13:52  fillods

	* kenwood/ts570.c: fix missing initialization, thx goes to Dave
	  WB5NHL

2002-09-18 21:19  fillods

	* src/ext.c: fix bug with empty ext list

2002-09-18 21:19  fillods

	* icom/icom.c: fix for LEVEL_ATT, reported by lx2gt

2002-09-16 06:50  fillods

	* bindings/hamlib.swg, bindings/rig.swg, bindings/rotator.swg:
	  added error checking through exception

2002-09-15 22:35  pa4tu

	* kenwood/kenwood.c: fix set_level_agc

2002-09-15 22:22  pa4tu

	* kenwood/kenwood.c: fix get_level_agc

2002-09-13 19:57  pa4tu

	* kenwood/kenwood.c: nothing returned by the rig for these commands

2002-09-13 19:00  pa4tu

	* kenwood/ts2000.c, kenwood/ts440.c, kenwood/ts450s.c,
	  kenwood/ts50s.c, kenwood/ts570.c, kenwood/ts790.c,
	  kenwood/ts850.c, kenwood/ts870s.c, kenwood/ts950.c: bump version
	  numbers

2002-09-13 07:01  fillods

	* rpcrig/rpcrig.x, rpcrot/rpcrot.x: include config.h

2002-09-13 06:59  fillods

	* rpcrig/rpc.rigd.8, rpcrig/rpcrig_backend.c, rpcrig/rpcrigd.c,
	  rpcrot/rpc.rotd.8, rpcrot/rpcrot_backend.c, rpcrot/rpcrotd.c:
	  added ability to change RPC program number

2002-09-11 21:33  fillods

	* Makefile.am, configure.ac: check for C99 struct intializer
	  support, and enter bindings/ subdir only if swig is installed

2002-09-11 21:32  fillods

	* kenwood/Makefile.am: because of round()

2002-09-11 21:32  fillods

	* icom/ic910.c: dual band handling contributed by Luc LX2GT

2002-09-11 21:30  fillods

	* icom/icom.c: fix stupid bug in icom_set_func that was inverting
	  status + wrong frame len checking, thank goes to Luc LX2GT

2002-09-10 06:43  fillods

	* README.developer: GNU make needed

2002-09-08 22:45  fillods

	* src/serial.c: BSD port fix

2002-09-08 22:33  fillods

	* Makefile.am, configure.ac: added swig bindings

2002-09-08 22:31  fillods

	* bindings, bindings/Makefile.am, bindings/hamlib.swg,
	  bindings/ignore.swg, bindings/perltest.pl, bindings/rig.swg,
	  bindings/rotator.swg, bindings/tcltest.tcl: Initial release

2002-09-08 22:30  fillods

	* src/event.c: BSD port fix, by ke4rjq

2002-09-08 22:27  fillods

	* include/hamlib/rotator.h: function name fix to reflect locator.c
	  changes

2002-09-07 15:13  fillods

	* icom/ic910.c: fix on freq len

2002-09-06 14:12  fillods

	* tests/testbcd.c: fixed a bug with long long int, accepts an extra
	  arg for number of digits

2002-09-06 14:07  fillods

	* tests/Makefile.am, tests/dumpcaps.c, tests/rigctl.1,
	  tests/rigctl.c, tests/testcaps.c: merged testcaps and dumpcaps
	  into rigctl, added -u option (dumpcaps) to rigctl

2002-09-06 14:05  fillods

	* tentec/tentec.c: fixed a segfault bug in init

2002-09-06 10:43  fillods

	* tests/rigctl.c, tests/rotctl.c: added ability to enter long
	  command names in interactive mode, by prefixing them with a \

2002-09-05 18:20  fillods

	* src/serial.c: fix to make it build on *BSD, and maybe others

2002-09-04 17:56  pa4tu

	* kenwood/ts450s.c, kenwood/ts50s.c, kenwood/ts570.c,
	  kenwood/ts790.c, kenwood/ts950.c: bring rig in sync with other
	  kenwood rigs

2002-09-04 17:43  pa4tu

	* kenwood/ts440.c: add set_level and get_level

2002-09-04 17:32  pa4tu

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts2000.c,
	  kenwood/ts440.c, kenwood/ts450s.c, kenwood/ts50s.c,
	  kenwood/ts570.c, kenwood/ts790.c, kenwood/ts850.c,
	  kenwood/ts870s.c, kenwood/ts950.c: add xit capabilities

2002-09-04 15:10  pa4tu

	* kenwood/kenwood.c: typo

2002-09-04 15:08  pa4tu

	* kenwood/kenwood.c: fix get_ctcss_tone by using IF command

2002-09-04 14:36  pa4tu

	* kenwood/kenwood.c: explain set_rit

2002-09-04 14:31  pa4tu

	* kenwood/ts870s.c: send_morse added

2002-09-04 14:26  pa4tu

	* kenwood/ts2000.c: add rit capabilities

2002-09-03 18:58  pa4tu

	* kenwood/ts440.c: bring comands in sync with other kenwood rigs

2002-09-03 18:55  pa4tu

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts450s.c,
	  kenwood/ts50s.c, kenwood/ts570.c, kenwood/ts790.c,
	  kenwood/ts850.c, kenwood/ts870s.c, kenwood/ts950.c: add rit
	  capabilities

2002-09-03 16:12  pa4tu

	* rpcrig/Makefile.am, rpcrot/Makefile.am: fix_compilation

2002-09-02 14:42  csete

	* doc/hamlib.cfg: Modified to use new stylesheet.

2002-09-02 14:41  csete

	* doc/html, doc/html/hamlib.css: Added new stylesheet to make API
	  docs look better.

2002-09-01 22:23  fillods

	* src/locator.c, src/rig.c: fixed typo

2002-09-01 22:21  fillods

	* configure.ac: needed for BSD systems

2002-08-26 22:33  fillods

	* pcr/pcr.c, pcr/pcr.h, pcr/pcr1000.c: patch from Darren G0WCW

2002-08-26 22:31  fillods

	* perl/Hamlib.xs: implemented more calls

2002-08-26 21:26  fillods

	* dummy/dummy.c, gnuradio/gnuradio.cc, src/misc.c, src/misc.h,
	  tcl/tclrig.c, tests/rigctl.c: WARNING: renamed strmode to
	  strrmode because the symbol is already in use on BSD systems

2002-08-24 10:52  fillods

	* rpcrig/rpcrig.h, rpcrig/rpcrig_clnt.c, rpcrig/rpcrig_svc.c,
	  rpcrig/rpcrig_xdr.c, rpcrot/rpcrot.h, rpcrot/rpcrot_clnt.c,
	  rpcrot/rpcrot_svc.c, rpcrot/rpcrot_xdr.c: remove autogenerated
	  files from cvs rep

2002-08-23 20:01  fillods

	* rpcrig/rpcrig.h, rpcrig/rpcrig.x, rpcrig/rpcrig_backend.c,
	  rpcrig/rpcrig_clnt.c, rpcrig/rpcrig_proc.c, rpcrig/rpcrig_svc.c,
	  rpcrig/rpcrig_xdr.c: implemented more calls

2002-08-23 19:55  fillods

	* rpcrig/rpc.rigd.8, rpcrig/rpcrigd.c: ptt_type and dcd_type
	  options now accept keywords

2002-08-22 23:44  fillods

	* tests/rigctl.1, tests/rigctl.c: added transceive Event reporting,
	  ptt_type and dcd_type options now accept keywords

2002-08-22 23:42  fillods

	* configure.ac, lib/trunc.c, src/locator.c, tests/testloc.c: fixed
	  locator and dms conversion and also got rid of trunc usage, fixed
	  misnamed 'bearing' references

2002-08-19 22:17  fillods

	* icom/icom.c, icom/icom.h, icom/omni.c, tests/rigctl.c: patch from
	  Rein PA0RCT implementing icom_set_rit, and ability to call
	  rig_set_rit from rigctl

2002-08-16 17:43  fillods

	* alinco/dx77.c, aor/ar5000.c, aor/ar8000.c, aor/ar8200.c,
	  drake/r8b.c, dummy/dummy.c, dummy/rot_dummy.c,
	  easycomm/easycomm.c, gnuradio/gr.c, icom/ic275.c, icom/ic475.c,
	  icom/ic706.c, icom/ic718.c, icom/ic735.c, icom/ic756.c,
	  icom/ic775.c, icom/ic821h.c, icom/ic910.c, icom/ic970.c,
	  icom/icall.c, icom/icom.c, icom/icr7000.c, icom/icr8500.c,
	  icom/omni.c, icom/os456.c, icom/os535.c, jrc/nrd545.c,
	  kachina/505dsp.c, kenwood/th.c, kenwood/thd7.c, kenwood/thf7.c,
	  kenwood/ts2000.c, kenwood/ts440.c, kenwood/ts450s.c,
	  kenwood/ts50s.c, kenwood/ts570.c, kenwood/ts790.c,
	  kenwood/ts850.c, kenwood/ts870s.c, kenwood/ts950.c, pcr/pcr100.c,
	  pcr/pcr1000.c, rpcrig/rpcrig_backend.c, rpcrig/rpcrigd.c,
	  rpcrot/rpcrot_backend.c, rpcrot/rpcrot_proc.c, src/conf.c,
	  src/rot_conf.c, tentec/pegasus.c, tentec/rx320.c, uniden/bc895.c,
	  winradio/wr1000.c, winradio/wr1500.c, winradio/wr1550.c,
	  winradio/wr3100.c, winradio/wr3150.c, winradio/wr3500.c,
	  winradio/wr3700.c, yaesu/ft100.c, yaesu/ft747.c, yaesu/ft817.c,
	  yaesu/ft847.c: converted to C99 intialization style

2002-07-26 08:53  dedmons

	* libltdl/Makefile.in: 1) Updated branch_ts2k with respect to HEAD.
	  2) Working ts2k_menu. (only in RIG_MODEL_TS2K)
	  3) Split TS-2000 into experimental and standard versions:
	  RIG_MODEL_TS2000 = standard, RIG_MODEL_TS2K = experimental.
	  4) Basic command parser in tests/rc. Will open/close rig or copy
	  a
	  freq from one rig/vfo to another rig/vfo. Very cool. Very basic.
	  Very experimental.
	  5) Added test programs.
	  a) testcmd - calls parser (no command prompt yet!)
	  b) testts2k - replacement for testrig (with trivial modification)
	  c) testptt - testts2k/testrig should not transmit. TX stuff in
	  testptt.
	  6) Used crowbar to merge HEAD into branch_ts2k. Working on
	  clean-up.
	  7) I'm sure I've forgotten or neglected to mention some other
	  stuff.

2002-07-11 22:13  fillods

	* perl/Hamlib.xs: remove deprecated functions

2002-07-10 21:45  fillods

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/ts440.c: fix
	  set_vfo/get_vfo for TS-440

2002-07-10 21:34  fillods

	* tests/dumpmem.c, tests/rigctl.c: fixed support for new vfo param
	  in get_channel

2002-07-10 21:30  fillods

	* src/rig.c: fix dangerous typo in case of get_channel emulation

2002-07-09 22:18  fillods

	* src/misc.c: added FUNC_TBURST

2002-07-09 22:17  fillods

	* c++/rigclass.cc, include/hamlib/rig.h, include/hamlib/rigclass.h,
	  src/rig.c: - removed rig_save_channel and rig_restore_channel
	  from API
	  - rig_set_channel and rig_get_channel can now target VFO, besides
	  memories
	  - emulation of set_channel and get_channel has been kept in
	  generic routines.
	  Added in these routines the support for ext_levels.

2002-07-09 20:43  fillods

	* icom/ic756.c, icom/icom.c, icom/icom.h: added IC756PROII caps
	  with basic "extra" parm support

2002-07-09 20:40  fillods

	* include/hamlib/rig.h, src/Makefile.am, src/rig.c, tests/rigctl.c:
	  added "extra" level and "extra" parm support

2002-07-09 20:36  fillods

	* src/ext.c: Initial release

2002-07-08 22:53  fillods

	* dummy/dummy.c, dummy/rot_dummy.c, kenwood/kenwood.c,
	  kenwood/th.c, rpcrig/rpcrig_backend.c, rpcrig/rpcrig_proc.c,
	  src/iofunc.c, winradio/linradio/wrapi.h: gcc3 fixes

2002-07-08 22:20  fillods

	* include/hamlib/rig.h, kenwood/Makefile.am, kenwood/ts2000.c,
	  src/misc.c: Temporarily roll back ts2k experimental patches, esp.
	  the VFO bits
	  kept:
	  - indentation
	  - new PARM_KEYLIGHT, SCAN_VFO
	  - new scan_group field in struct channel
	  - added RIG_CHFLAG's
	  ts2k stuff in 'branch_ts2k' will be merged later

2002-07-08 22:14  fillods

	* Makefile.am, configure.ac: added Drake backend

2002-07-08 22:10  fillods

	* drake, drake/Makefile.am, drake/drake.c, drake/drake.h,
	  drake/r8b.c: Initial release of skeleton for Drake backend

2002-07-08 22:09  fillods

	* include/hamlib/riglist.h: added Drake R-8B

2002-07-06 09:31  fillods

	* configure.ac: added gnuradio backend, bumped version number, misc
	  fix for recent LIBTOOL

2002-07-06 09:30  fillods

	* Makefile.am, include/config.h.in: added gnuradio backend

2002-07-06 09:27  fillods

	* gnuradio, gnuradio/Makefile.am, gnuradio/gnuradio.cc,
	  gnuradio/gnuradio.h, gnuradio/gr.c, gnuradio/gr_priv.h,
	  gnuradio/testgr.cc: Initial alpha release

2002-07-06 09:26  fillods

	* src/misc.h: misc fix for C++

2002-07-06 09:24  fillods

	* include/hamlib/riglist.h: added GNUradio models

2002-07-06 09:24  fillods

	* rpcrig/Makefile.am, rpcrot/Makefile.am: build fix

2002-07-05 23:22  fillods

	* kenwood/Makefile.am, kenwood/kenwood.c, kenwood/kenwood.h,
	  kenwood/ts440.c: added TS440 caps

2002-07-05 23:20  fillods

	* aclocal.m4: remove autogenerated file

2002-07-03 13:53  dl1nc

	* autogen.sh: fixed it

2002-07-03 13:50  dl1nc

	* autogen.sh: *** empty log message ***

2002-07-02 18:03  fillods

	* Makefile.in, alinco/Makefile.in, aor/Makefile.in,
	  c++/Makefile.in, configure, doc/Makefile.in, dummy/Makefile.in,
	  easycomm/Makefile.in, icom/Makefile.in, include/Makefile.in,
	  jrc/Makefile.in, kachina/Makefile.in, kenwood/Makefile.in,
	  kylix/Makefile.in, lib/Makefile.in, pcr/Makefile.in,
	  perl/Makefile.in, rpcrig/Makefile.in, rpcrot/Makefile.in,
	  src/Makefile.in, tcl/Makefile.in, tentec/Makefile.in,
	  tests/Makefile.in, uniden/Makefile.in, winradio/Makefile.in,
	  yaesu/Makefile.in: removed autogenerated files, use autogen.sh
	  instead

2002-07-01 22:11  fillods

	* autogen.sh: Initial release

2002-07-01 22:08  fillods

	* icom/ic275.c, icom/ic475.c: update max serial speed the rig can
	  do (dip-switches inside the rig)

2002-06-30 11:32  dedmons

	* kenwood/Makefile.in: Had to re-run automake kenwood/Makefile.

2002-06-30 10:20  dedmons

	* kenwood/ts2000.c, kenwood/ts2000.h: Changed name back to
	  original.

2002-06-30 10:17  dedmons

	* include/hamlib/rig.h, kenwood/Makefile.am, kenwood/ts2k.c,
	  kenwood/ts2k.h, kenwood/ts2k_menu.c, src/misc.c: Added working
	  TS-2000 files. There are some changes left out but this
	  is the minimum I could commit and have a functional rig. The cost
	  is
	  that I've broken kylix and others that duplicate rig.h. I'm in
	  the
	  process of repairing the damage. Please be patient. I hope a day
	  or so,
	  but am asking for up to a week. E-mail me about *anything* you
	  find
	  broken. Kylix (and similar) is (are) known to not work.

2002-06-29 09:58  dedmons

	* kenwood/README.ts2k: Updated status.

2002-06-29 09:54  dedmons

	* kenwood/Makefile.am, kenwood/Makefile.in, kenwood/ts2k.c,
	  kenwood/ts2k.h: Temp kludge to make ts2k.c compile (keeps Hamlib
	  from compiling!).

2002-06-29 09:16  dedmons

	* kenwood/Makefile.am: Wouldn't compile. Removed ts2k.c. Haven't
	  got all new rig.h stuff removed.

2002-06-29 09:04  dedmons

	* kenwood/ts2000.c: Renamed new ts2000.c to ts2000.h

2002-06-29 08:56  dedmons

	* kenwood/README.ts2k: Corrected status to CVS branch.

2002-06-29 08:47  dedmons

	* kenwood/ts2k.status: Changes often, so added status. Will delete
	  when things stabilize.

2002-06-29 08:42  dedmons

	* kenwood/ts2k.c: Bring code more in line with CVS code.

2002-06-29 08:40  dedmons

	* kenwood/ts2000.h: Renamed ts2000.c.new ts2000.h

2002-06-29 08:39  dedmons

	* kenwood/README.ts2k: New file.

2002-06-29 08:38  dedmons

	* kenwood/ts2k_menu.c, kenwood/ts2k_menu.h: Start of rig menuing
	  functions.

2002-06-29 08:20  dedmons

	* kenwood/Makefile.am: Changed ts2000.c to ts2000.h.

2002-06-29 08:18  dedmons

	* kenwood/ts2k.c: Bring ts2k.c more in line with current CVS.

2002-06-27 09:16  dedmons

	* kenwood/Makefile.am, kenwood/ts2000.c.orig: Copied too much
	  stuff, backed out what I broke.

2002-06-27 08:55  dedmons

	* kenwood/Makefile.am, kenwood/README.ts2k, kenwood/ts2000.c,
	  kenwood/ts2000.c.orig, kenwood/ts2k.c, kenwood/ts2k.h: Started
	  TS-2000 update/overhaul --Dale

2002-06-26 20:44  dedmons

	* tests/rigctl.c: Added comments to commandline in rigctl (second
	  time) --Dale

2002-06-19 17:33  fillods

	* kenwood/ts2000.txt: initial release

2002-06-17 21:00  fillods

	* hamlib.spec.in: preliminary work for 1.1.3 release

2002-06-17 20:59  fillods

	* Makefile.in, THANKS, lib/Makefile.am, src/iofunc.c, src/misc.c,
	  tcl/tcltest.tcl, tests/testtrn.c: misc

2002-06-17 20:59  fillods

	* acinclude.m4, aclocal.m4, configure, libltdl/COPYING.LIB,
	  libltdl/acinclude.m4, libltdl/aclocal.m4, libltdl/config-h.in,
	  libltdl/configure, libltdl/ltdl.c, ltmain.sh: updated to
	  libtool-1.4.2-6

2002-06-17 20:53  fillods

	* include/hamlib/riglist.h: added IC7400

2002-06-17 20:52  fillods

	* README: misc update before release

2002-06-17 20:51  fillods

	* NEWS: 1.1.3 release

2002-06-04 22:41  fillods

	* icom/omni.c: CI-V address fix, this rig looks like a IC-735

2002-05-31 18:25  fillods

	* icom/Makefile.am, icom/Makefile.in: added OMNI VI+

2002-05-30 17:38  fillods

	* icom/icom.c, icom/icom.h, icom/omni.c: added OMNI VI+, basic
	  support only

2002-05-28 21:46  fillods

	* alinco/Makefile.in, aor/Makefile.in, c++/Makefile.in, configure,
	  doc/Makefile.in, dummy/Makefile.in, easycomm/Makefile.in,
	  icom/Makefile.in, include/Makefile.in, jrc/Makefile.in,
	  kachina/Makefile.in, kenwood/Makefile.in, kylix/Makefile.in,
	  lib/Makefile.in, pcr/Makefile.in, perl/Makefile.in,
	  rpcrig/Makefile.in, rpcrot/Makefile.in, src/Makefile.in,
	  tcl/Makefile.in, tentec/Makefile.in, tests/Makefile.in,
	  uniden/Makefile.in, winradio/Makefile.in, yaesu/Makefile.in:
	  regenerated

2002-05-28 21:43  fillods

	* AUTHORS: thanks to all of you guys

2002-05-28 21:39  fillods

	* README.betatester: misc addition

2002-05-28 21:38  fillods

	* include/config.h.in: regenerated

2002-05-28 21:35  fillods

	* icom/ic706.c: cleanup, LEVEL_STRENGTH is now the S-meter level

2002-05-28 21:34  fillods

	* icom/os535.c: status update

2002-05-28 21:33  fillods

	* hamlib.m4: cloned from Alsa project, still not thouroughly tested

2002-05-28 21:32  fillods

	* configure.ac: disabled perl default building, and also changes to
	  make autoconf-2.53 happy

2002-05-28 21:28  fillods

	* README.developer: much needed update on lib arch

2002-05-14 21:53  fillods

	* config.guess, config.sub: updated scripts to 20020320.1

2002-04-23 22:04  fillods

	* tests/rigctl.c: misc fix in labels

2002-04-23 22:03  fillods

	* src/iofunc.c: dump hex buffer even in error cases

2002-04-23 22:01  fillods

	* icom/icall.c, icom/icr8500.c: no support for
	  icr75_get/set_channel on this model

2002-04-23 21:59  fillods

	* icom/icom.h: renamed function to appropriate model

2002-04-23 21:56  fillods

	* yaesu/ft100.c: obvious fix for dcs functions. Please test and
	  report

2002-04-23 21:55  fillods

	* tests/rigctl.1: be more explicit about parameter description

2002-04-23 21:53  fillods

	* src/misc.c: misc adding to parse/str helpers

2002-04-23 21:49  fillods

	* icom/ic910.c, icom/icom.c, include/hamlib/rig.h: converted
	  RIG_SCAN_RESUME_ON/OFF to more appropriate RIG_FUNC_RESUME

2002-04-23 19:47  fillods

	* include/hamlib/riglist.h: added K2

2002-04-23 19:46  fillods

	* doc/NOTES: *** empty log message ***

2002-03-26 08:05  fillods

	* pcr/pcr.c: temporary fix: read_block instead of read_string to
	  make initialization to work, added UK code info

2002-03-25 00:22  pa4tu

	* kenwood/kenwood.c, kenwood/ts2000.c, kenwood/ts450s.c,
	  kenwood/ts50s.c, kenwood/ts570.c, kenwood/ts790.c,
	  kenwood/ts850.c, kenwood/ts870s.c, kenwood/ts950.c: add
	  RIG_LEVEL_RFPOWER

2002-03-18 23:04  fillods

	* icom/frame.c, icom/frame.h, icom/icom.c: better collision
	  handling, patch from Chuck N2POR

2002-03-18 22:59  fillods

	* include/hamlib/rig.h, src/rig.c: added new error codes

2002-03-15 22:58  pa4tu

	* kenwood/kenwood.c: fix signal strength

2002-03-15 19:43  fillods

	* kenwood/kenwood.c: fix needed after previous commit. with new
	  kenwood_transaction, the max receive buffer size must be passed.
	  Also included a fix for rig_get_strenght in range expected by
	  frontend (0 = S9).

2002-03-15 13:04  fillods

	* icom/icom.c: fixes to handle old rigs (mode and mem)

2002-03-15 13:03  fillods

	* icom/ic735.c: IC-735 fixes, thanks to traces from Darren G0WCW

2002-03-14 23:06  fillods

	* src/rig.c: various fixes associated with get_channel and
	  set_channel

2002-03-13 23:56  fillods

	* pcr/pcr.c: protocol fix: PCR always send a short ack, whatever
	  the response can be. So eat it.

2002-03-13 23:42  fillods

	* kenwood/kenwood.c, kenwood/kenwood.h, kenwood/th.c, kenwood/th.h,
	  kenwood/thd7.c, kenwood/thf7.c, kenwood/ts2000.c,
	  kenwood/ts450s.c, kenwood/ts50s.c, kenwood/ts570.c,
	  kenwood/ts790.c, kenwood/ts850.c, kenwood/ts870s.c,
	  kenwood/ts950.c: factorized th_transaction with
	  kenwood_transaction, killed thd7_* functions and share with th
	  breed rigs

2002-03-13 23:37  fillods

	* alinco/alinco.c, aor/aor.c, jrc/jrc.c, kachina/kachina.c,
	  pcr/pcr.c, tentec/tentec.c, uniden/uniden.c: replaced fread_block
	  in favor of the more intelligent read_string, added some
	  serial_flush

2002-03-12 19:28  fillods

	* src/iofunc.c: fix a bug introduced by previous commit

2002-03-12 13:27  avflinsch

	* yaesu/ft100.h: added getinfo func hdr

2002-03-12 13:02  avflinsch

	* yaesu/ft100.c: added get frequency to ft100 code

2002-03-11 23:28  fillods

	* icom/frame.c, icom/frame.h, icom/icom.c: read_icom_block is gone,
	  in favor of read_string. Thanks to Chuck Hemker.

2002-03-10 23:44  fillods

	* icom/frame.c, icom/frame.h, icom/icom.c: reworked rig2icom_mode
	  and icom2rig_mode to better handle cases with no passband data

2002-03-10 23:41  fillods

	* easycomm/easycomm.c, kenwood/th.c, src/iofunc.c, src/iofunc.h:
	  handle nul char in stopset

2002-03-10 23:39  fillods

	* icom/icom_defs.h: added IC-R7000 defs

2002-03-10 23:36  fillods

	* icom/Makefile.in: regenerated

2002-03-10 23:36  fillods

	* icom/Makefile.am, icom/icom.h: added OptoScan 456

2002-03-10 23:36  fillods

	* icom/os456.c: Initial release

2002-03-07 22:58  fillods

	* icom/optoscan.c, icom/os535.c: misc fixes as suggested by John R.
	  Marshall

2002-03-07 22:50  fillods

	* pcr/pcr1000.c: various fixes to bring this rig in alpha stage

2002-03-07 22:49  fillods

	* src/serial.c, src/serial.h: split serial_open in open and
	  serial_setup

2002-03-07 22:48  fillods

	* pcr/pcr.c, pcr/pcr.h: bug fixes, added pcr_open and pcr_close

2002-03-06 22:56  fillods

	* perl/Makefile.in, yaesu/Makefile.in: regenerated

2002-03-06 22:55  fillods

	* perl/Makefile.am: moved files from Hamlib/ subdir to this
	  directory, and passed more args to perl Makefile creation to make
	  VPATH happy

2002-03-06 22:55  fillods

	* yaesu/Makefile.am: misc build fix

2002-03-06 22:48  fillods

	* perl/Hamlib: moved to ..

2002-03-06 22:46  fillods

	* perl/Changes, perl/Hamlib.pm, perl/Hamlib.xs, perl/MANIFEST,
	  perl/Makefile.PL, perl/README, perl/test.pl, perl/typemap: moved
	  from Hamlib/ subdir, to make VPATH working easier

2002-03-06 21:11  fillods

	* icom/Makefile.in: regenerated

2002-03-06 21:11  fillods

	* icom/icom_defs.h: added OptoScan extension defines

2002-03-06 21:10  fillods

	* icom/Makefile.am, icom/icom.c, icom/icom.h: added OptoScan535

2002-03-06 21:10  fillods

	* icom/optoscan.c, icom/os535.c: Initial release

2002-03-06 21:09  fillods

	* include/hamlib/riglist.h: added OS535 and OS456 ids

2002-03-05 23:33  fillods

	* icom/Makefile.in: regenerated

2002-03-05 23:31  fillods

	* icom/Makefile.am, icom/icom.c, icom/icom.h: added IC-718, patch
	  from Chuck Gilkes WD0FCL/4

2002-03-05 23:26  fillods

	* icom/ic718.c: Initial release

2002-03-05 23:25  fillods

	* kenwood/Makefile.in: regenerated

2002-03-05 20:23  fillods

	* kenwood/Makefile.am, kenwood/kenwood.c, kenwood/kenwood.h: added
	  TS-850

2002-03-05 20:23  fillods

	* kenwood/ts850.c: Initial release

2002-03-05 00:49  fillods

	* icom/icr7000.c: numerous fixes reported by Chuck N2POR

2002-03-05 00:45  fillods

	* include/hamlib/riglist.h: fixed stupid copy-paste model id
	  duplicates

2002-03-05 00:43  fillods

	* include/hamlib/rig.h: fixed the kHz/MHz/GHz macros so it works
	  with doubles and >2GHz integers

2002-03-05 00:41  fillods

	* icom/icom.c: fixed a bug detecting empty channel freq

2002-03-05 00:39  fillods

	* icom/frame.c: flush serial before icom_transaction, added
	  workarounds for IC-R7000 mode/bandwidth

2002-03-04 20:28  fillods

	* icom/Makefile.in: regenerated

2002-03-04 20:23  fillods

	* icom/Makefile.am, icom/icom.c, icom/icom.h: added IC-970

2002-03-04 20:22  fillods

	* icom/ic970.c: Initial release

2002-03-04 20:08  fillods

	* cgirig: deprecated, by Perl binding

2002-03-04 13:28  avflinsch

	* yaesu/yaesu_tones.h: new file, list of tones/codes and sequence
	  used by various yaesu rigs

2002-03-04 13:16  avflinsch

	* tests/rigctl.1: fixed various command options

2002-03-04 13:01  avflinsch

	* yaesu/ft100.h: initial release

2002-03-04 13:00  avflinsch

	* yaesu/ft100.c: Initial release

2002-03-04 12:57  avflinsch

	* kylix/HamlibComponents.pas: Initial changes for ft100

2002-02-28 11:00  fgretief

	* include/hamlib/rig.h: Added constants for the IC-910 rig.

2002-02-28 10:59  fgretief

	* icom/Makefile.am, icom/Makefile.in, icom/ic910.c, icom/icom.c,
	  icom/icom.h, icom/icom_defs.h: Added IC-910 rig.

2002-02-27 23:34  fillods

	* src/rig.c: added functions to install event callbacks with its
	  private data pointer

